<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANT GUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

$editor 	= & JFactory::getEditor();

?>
<form action="index.php" method="post" name="adminForm" id="adminForm">


	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TYPE_NAME', 'name' ); ?></td>
						<td>
							<input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PRICE', 'price' ); ?></td>
						<td>
							<input id="price" name="price" class="required" value="<?php echo $this->row->price; ?>" size="20" maxlength="100" />
                            <?php echo '&nbsp;&nbsp;'.JText::_( 'RG_PER_MONTH' ).'&nbsp;&nbsp;'.JHTML::_( 'restaurantguide.list.currency', 'CURRENCY', $this->row->currency, NULL ).'  '.JText::sprintf( 'RG_THE_DEFAULT_CURRENCY_IS', $this->defaultcurrency->name ); ?>
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published' ); ?></td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
				</table>			
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="adtypes" />
<input type="hidden" name="view" value="adtype" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>