<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
 
// Check to ensure this file is included in Joomla!

defined('_JEXEC') or die();


jimport( 'joomla.application.component.view' );


class restaurantguideViewTestimonialEdit extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}

	function displayDefault()
	{
		$cid 		= JRequest::getVar( 'cid' );
		
		//create the toolbar
		if ( $cid ) {
			JToolBarHelper::title( JText::_( 'RG_EDIT_REVIEW' ), 'testimonial' );

		} else {
			JToolBarHelper::title( JText::_( 'RG_ADD_REVIEW' ), 'testimonial' );

		}
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();

		$data		=& $this->get('Data');
		
		$lists['published'] = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $data->published);	
		
		$author = JFactory::getUser($data->userid);
		
		$this->assignRef('data', $data);
		$this->assignRef('author', $author);
		$this->assignRef('lists', $lists);
	}
}

