<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
defined('_JEXEC') or die('Restricted Access');

require_once( JPATH_ADMINISTRATOR . DS . JPath::clean('components/com_restaurantguide/defines.php') );;

// check the PHP version

$php_version = phpversion();
if ($php_version{0} < 5)
	echo "<h2>Warning: You are running an old version of PHP ($php_version) This extension requires at least version 5.0. Some functions may not work properly</h2>";
	
// check the MySql version

$query = "SELECT version()";
$db	= &JFactory::getDBO();
$db->setQuery($query);
$mysql_version = $db->loadResult();
if ($mysql_version{0} < 5)
	echo "<h2>Warning: You are running an old version of MySql ($mysql_version) This extension requires at least version 5.0. Some functions may not work properly</h2>";

// check the Joomla version and get component version from the component manifest xml file

$version = new JVersion();
$joomla_version = $version->RELEASE;

switch ($joomla_version)
	{
	case '1.0':		
	case '1.5':
		echo '<h3>'."Restaurant Guide cannot run on this version of Joomla ($joomla_version)".'</h3>';
		return false;
	case '1.6';
	case '1.7';
		$component_version = $this->manifest->version;
		break;
	default:
		$component_version = $this->manifest->version;
		echo '<h3>'."This version of Restaurant Guide has not been tested on this version of Joomla ($joomla_version). Some functions may not work properly.".'</h3>';
		break;
	}

?>
