<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANT GUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo '<div id="restaurantguide" class="restaurantguide">' . "\n";
	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
		
		echo '<div style="clear:both;"></div>' . "\n";
	}
	
	if ($this->params->def( 'show_page_title', 1 ) && $this->rgconf->titleimage) {
		$height = $this->rgconf->titleimageheight + 0;

		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->rgconf->titleimage .'" align="left" width="100%" height="'.$this->rgconf->titleimageheight.'px" alt="'.htmlentities($this->params->get('page_title')).'" />' . "\n";  

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->world_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}

		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div style="clear:both;"></div>' . "\n";

		
	echo rg_html::boxtop();
		echo '<h3 class="title">';  
			echo JText::_('RG_CALL_US');
		echo '</h3>';
	
		echo '<div class="clear"></div>' . "\n"; 
		if ($this->row->intro)	{		
			echo $this->row->intro;		
		}
		echo '<h3 class="title" style="font-size:11px; font-weight:normal; text-align:right; margin-top:20px; margin-bottom:20px;">';  
		echo '</h3>';

		$region = explode(',', $this->row->region);
		$phone = explode(',', $this->row->phone);
	
		$remainder = count($region) % 4;
		$division = (int)(count($region) / 4);

		$division_one = 1;
		$division_two = 1;
		$division_three = 1;
		if ($remainder == 1) {
			$division_one = $division + 1;
		} else if ($remainder == 2) {
			$division_one = $division + 1;
			$division_two = $division + 1;
		} else if ($remainder == 3) {
			$division_one = $division + 1;
			$division_two = $division + 1;
			$division_three = $division + 1;
		}
		$j = 0;
        echo '<div class="rg_callus">' . "\n";  
            echo '<ul class="rg_greybox" style="background:none">' . "\n";  
				for ($i=0; $i<$division_one; $i++) {
                	echo '<li>'.$region[$j].'<br />Toll Free:<span style="font-weight:100; color:#333">'.$phone[$j].'<span></li>' . "\n";  
					$j ++;
				}
            echo '</ul>' . "\n";   
        echo '</div>' . "\n";  
        
        echo '<div class="rg_callus">' . "\n";  
            echo '<ul class="rg_greybox">' . "\n";  
				for ($i=0; $i<$division_two; $i++) {
                	echo '<li>'.$region[$j].'<br />Toll Free:<span style="font-weight:100; color:#333">'.$phone[$j].'<span></li>' . "\n";  
					$j ++;
				}
            echo '</ul>' . "\n";   
        echo '</div>' . "\n"; 
            
        echo '<div class="rg_callus">' . "\n";  
            echo '<ul class="rg_greybox">' . "\n";  
				for ($i=0; $i<$division_three; $i++) {
                	echo '<li>'.$region[$j].'<br />Toll Free:<span style="font-weight:100; color:#333">'.$phone[$j].'<span></li>' . "\n";  
					$j ++;
				}
            echo '</ul>' . "\n";   
        echo '</div>' . "\n"; 
            
        echo '<div class="rg_callus">' . "\n";  
            echo '<ul class="rg_greybox">' . "\n";  
				for ($i=0; $i<$division; $i++) {
                	echo '<li>'.$region[$j].'<br />Toll Free:<span style="font-weight:100; color:#333">'.$phone[$j].'<span></li>' . "\n"; 
					$j ++; 
				}
            echo '</ul>' . "\n";   
        echo '</div>' . "\n"; 

	echo rg_html::boxbottom();



	if ($this->rgconf->world_links && count($this->sponsors) > 0) {
		echo '<div class="clear"></div>' . "\n"; 
		echo rg_html::boxtop();
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</s></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
		echo rg_html::boxbottom();
	}
	
	if ($this->rgconf->world_topdesti && count($this->topdestinations) > 0) {
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
	
	if ($this->rgconf->world_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
	}

echo '<div style="clear:both;padding-bottom:20px;"></div>' . "\n"; 
?>
<!---
/***********************************************
* Restaurant Guide - © EazyTOUR (www.eazytour.com)
* Do not remove footer for legal use.
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
echo RGUtil::footer();

echo '</div>';
?>
