<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo rg_html::boxtop();

	echo '<h3 class="title">';  
	echo JText::sprintf('RG_RESTAURANTS_IN', $this->city->name);
	echo '</h3>';

	if ($this->city->image) {
		echo '<div class="floatleft"><a rel="lightbox" title="'.$this->city->name.'" href="'.JURI::base().'images/restaurantguide/city/album/'.$this->city->image.'"><img class="img_left imgshadow" style="padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/city/resize/' . $this->city->image .'" width="'. $this->city->imagewidth.'px" height="'.$this->city->imageheight.'px" align="left" alt="'.htmlentities($this->city->name).'" /></a></div>';
	}

	if (($this->city->description)<>'')	{
		echo '<p style="text-align:left">';
			echo $this->city->description;
		echo '</p>';
	} else {
		echo '<p style="text-align:left">';
			echo JText::_('RG_OOPS_NO_INFORMATION');
		echo '</p>';
	}

	if ($this->rgconf->city_links && count($this->sponsors) > 0) {
		echo '<div style="clear:both;"></div>' . "\n";
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;">'.JText::_('RG_SPONSOR_LINKS').'</span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
	}

echo rg_html::boxbottom();

?>