<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


?>
<script language="javascript" type="text/javascript">


function getMapData(){ 

	var mapdata = new Array();
	var x = y = 0;
	<?php 
	foreach( $this->countryname as $sub){ 
		if (empty($sub->lat)) continue;  ?>		
		mapdata[x] = new Array(2);
		for (y = 0; y < 2; y++) {
			if (y == 0) {
				mapdata[x][y] = <?php echo $sub->lat ?>;
			} else if (y == 1) {
				mapdata[x][y] = <?php echo $sub->lon ?>;
			}
		}
		
		x++;
	<?php
	} ?>

	return mapdata; 
}

function togglemainmap(){

	loadRestoMap(); 
}

</script>
<?php
if ( $this->countryname ) {
	$base = array(
		'lat' => $this->countryname[0]->lat,
		'lon' => $this->countryname[0]->lon,
		'region' => "country",
		'child' => false,
		'ajaxmap' => true
	);

	echo rg_html::showmap($this->rgconf, $base, $this->countryname, $this->continent->name);
}

echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->conti_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->conti_publisher_id, $this->rgconf->conti_ad_slot, $this->rgconf->conti_ad_width, $this->rgconf->conti_ad_height );
	}

	if ($this->params->def( 'show_page_title', 1 ) && $this->continent->titleimage) {
		$height = $this->continent->titleimageheight + 0;
		
		if ($this->rgconf->conti_menu) {
			echo rgSelectHelper::ContinentMenu();
		}
		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->continent->titleimage .'" align="left" width="100%" height="'.$this->continent->titleimageheight.'px" alt="'.htmlentities($this->continent->name).'" />' . "\n";   

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="padding: 5px 10px"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>';
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->conti_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}
		if ($this->rgconf->conti_menu) {
			echo rgSelectHelper::ContinentMenu();
		}
		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="padding: 5px 10px"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div class="clear"></div>' . "\n"; 
	
	echo '<div id="restomap" style="display: none; height:480px;">' . "\n";
		echo '<h3 class="title">'; 
			if (isset($this->continent)) 
				echo JText::_('RG_FIND_COUNTRY_BY_MAP'); 
			else if (isset($this->continents))
				echo JText::_('RG_FIND_CONTINENT_BY_MAP');
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	echo '</div>' . "\n";  
	
	echo $this->loadTemplate('destinations');
	
	if ($this->rgconf->conti_topdesti && count($this->topdestinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	
	if ($this->rgconf->conti_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');


	echo '<div style="text-align:center">' . "\n";

	if ($this->rgconf->conti_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->conti_publisher_id, $this->rgconf->conti_ad_slot, $this->rgconf->conti_ad_width, $this->rgconf->conti_ad_height );
	}

echo '</div>' . "\n";
echo '<div class="clear"></div>' . "\n";  

?>
<!---
/***********************************************
* Restaurant Guide - © EazyTOUR (www.eazytour.com)
* Do not remove footer for legal use.
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
echo RGUtil::footer();

echo '</div>' . "\n"; 
?>