<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo rg_html::boxtop();

	echo '<h3 class="title">';  
		echo $this->continent->name; 
	echo '</h3>';

	echo '<p>';
	if ($this->continent->image) {
		echo '<a href="'.JURI::base().'images/restaurantguide/country/album/'.$this->continent->image.'" rel="lightbox" title="'.$this->continent->image.'"><img class="img_left imgshadow" style="padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/country/resize/' . $this->continent->image .'" width="'. $this->continent->imagewidth.'px" height="'.$this->continent->imageheight.'px" align="left" alt="'.htmlentities($this->continent->name).'" /></a>';
	}

	if (($this->continent->description)<>'')	{
		echo $this->continent->description;
	} else {
		echo JText::_('RG_PLEASE_INSERT_DESCRIPTION');
	}
	echo '</p>';
	
	echo '<h3 class="title" style="margin-top:20px">';  
	echo JText::sprintf('RG_ALL_COUNTRIES_IN', $this->continent->name);
	echo '</h3>';
	
	echo '<div id="list_wrapper"><ul class="multiple_columns">' . "\n";
		foreach ($this->countryname as $country) : 
			echo '<li style="padding:3px 0; height:28px; background:none;">' . "\n";
				$link = JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
				$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
				if (strlen(strip_tags($country->name)) > 22) {
					echo '<p style="line-height:12px; font-size:11px;"><a href="'.$link.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a>' . "\n";
				} else {
					echo '<p style="line-height:26px; font-size:11px;"><a href="'.$link.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a>' . "\n";
				}
			echo '</li>' . "\n";
		endforeach;	
	echo '</ul></div>' . "\n";
	
	echo '<div style="clear:both;"></div>' . "\n";

	if ($this->rgconf->conti_links && count($this->sponsors) > 0) {
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;">'.JText::_('RG_SPONSOR_LINKS').'</span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
	}

echo rg_html::boxbottom();

?>