<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Tags View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewConversionGuide extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		$app 		= JFactory::getApplication('site');
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();
		
		//params
		$params->set( 'page_title', JText::_('RG_COOKING_CONVERSION_CHART_GUIDE'));

		$document->setTitle(JText::_('RG_COOKING_CONVERSION_CHART_GUIDE'));
		
		//pathway		
		$pathway->addItem( JText::_('RG_COOKING_CONVERSION_CHART_GUIDE') );

//		$app->addMetaTag('title', JText::_('RG_COOKING_CONVERSION_CHART_GUIDE'));
//		$document->setMetadata( 'keywords' , $params->get('page_title') );
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
/*		
		if ($rgconf->tag_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->tag_top_limit);
		if ($rgconf->tag_desti)
			$destinations = $modelguide->getDestinations($rgconf->tag_city_limit, $rgconf->tag_resto_limit);
*/
		$topdestinations = $modelguide->getTopDestinations(4);
		$destinations = $modelguide->getDestinations(4, 6);
		
		$currentpage = 'conversionguide';
		
		$this->assignRef('rgconf',	 				$rgconf);
		$this->assignRef('params', 					$params);
		$this->assignRef('destinations',	 		$destinations);
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('currentpage',	 			$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($items);
		echo "</pre>";
*/		
		parent::display($tpl);

	}
}
?>