<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

?>
<script language="javascript" type="text/javascript">

window.addEvent( "domready", function()
{  
	<?php
	$id = 0;
	if ($this->mainrecipes) {
		$id = $this->mainrecipes[0]->id;
	} else if ($this->recipes) {
		$id = $this->recipes[0]->id;
	} ?>
	var recipe = new itemscreen('recipe', {id:<?php echo $id ? $id : 0; ?>, type:'', script_url :'<?php echo JURI::base();?>index.php?option=com_restaurantguide&format=raw', task:'getrecipe'});

	recipe.fetchscreen(); 
});


function getrecipe($id)
{	
    var recipe = new itemscreen('recipe', {id:$id, script_url :'<?php echo JURI::base();?>index.php?option=com_restaurantguide&format=raw', task:'getrecipe'});

    recipe.fetchscreen();
}

</script>

<?php
echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
		
		echo '<div style="clear:both;"></div>' . "\n";
	}
	
	if ($this->params->def( 'show_page_title', 1 ) && $this->rgconf->titleimage) {
		$height = $this->rgconf->titleimageheight + 0;
		
		if ($this->rgconf->world_menu) {
			echo rgSelectHelper::ContinentMenu();
		}
		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->rgconf->titleimage .'" align="left" width="100%" height="'.$this->rgconf->titleimageheight.'px" alt="'.htmlentities($this->params->get('page_title')).'" />' . "\n";  

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->world_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}
		if ($this->rgconf->world_menu) {
			echo rgSelectHelper::ContinentMenu();
		}
		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}
	if ($this->mainrecipes) {
		$items = $this->mainrecipes;
	} else if ($this->recipes) {
		$items = $this->recipes;
	}
	if (count($this->mainrecipes) > 0 || count($this->recipes) > 0) {
		echo '<div style="clear:both;"></div>' . "\n";
		echo rg_html::boxtop();
			echo '<div id="ThumbMatrix">' . "\n";
			foreach($items as $item) {
				echo '<div class="AlbumCell" style="width: 25%; height: 200px;">' . "\n"; 
					echo '<div class="shadow" style="width:134px; height:134px;">' . "\n";
						echo '<div class="rg_inner" style="background: #e9e8ca; border: solid 1px #ccc; left:0px; top:0px; width:128px; height:128px;">' . "\n";
						if ($item->assignedrecipes > 0) {
							$link = JRoute::_( restaurantguideHelperRoute::getRecipeRoute($item->slug) );
							echo '<a href="'. $link.'">';
						} else {
							echo '<a href="javascript:void(0);" onclick="javascript:getrecipe('.$item->id.')">';
						}
						if ($item->image) {
							echo '<img src="'.JURI::base().'images/restaurantguide/recipes/crop/' . $item->image. '" width="120px" alt="" title="'.$item->title.'" alt="'.$item->title.'" style="left:0; top:4px;" /></a>';
						} else {
							echo '<img src="'.JURI::base().'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.$item->title.'" alt="'.$item->title.'" style="left:0; top:4px;" /></a>';	
						}
						echo '</div>' . "\n";
					echo '</div>' . "\n"; 
					echo '<div class="clear"></div>' . "\n"; 
					echo '<p style="margin-top:5px; text-align:center;">';
					echo '&#9642; &nbsp;<a href="javascript:void(0);" onclick="javascript:getrecipe('.$item->id.')">'.$item->title.'</a>&nbsp; &#9642'; 
					echo '</p>';
				echo '</div>' . "\n"; 
			}
			echo '<div class="clear"></div>' . "\n"; 
			
			echo '</div>' . "\n"; 
		echo rg_html::boxbottom();
	}


	echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";

	if ($this->recipes) {
		echo '<p><ul class="pagination">';
		echo '<p class="pageslinks">';
			echo $this->pageNav->getPagesLinks();
		echo '</p>' . "\n"; 
		
		echo '<p class="pagescounter">';
			echo $this->pageNav->getPagesCounter(); 	
		echo '</ul></p>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	}


echo '<div style="clear:both;padding-bottom:20px;"></div>' . "\n";

if (isset($this->recipe->absoluteURL)) {
echo '<div style="display:inline; width:100%; float:right;">';
		echo '<div id="linkedin" style="width:auto; float:right;"><script type="text/javascript" src="http://platform.linkedin.com/in.js"></script><script type="in/share" data-url="'.$this->recipe->absoluteURL.'" data-counter="right"></script></div>';
		
		$code_google  = '';
		$size_google = 'medium';
		$show_count_google= '1';
		$language_google  = 'en-US';
		$container_google = '1';

		$tmp = '<script type="text/javascript" src="http://apis.google.com/js/plusone.js">
		{lang: '.$language_google.'}
		</script>';
		$tmp .= '<g:plusone size="'.$size_google.'" href="'.$this->recipe->absoluteURL.'" count="'.$show_count_google.'"></g:plusone>';
		$code_google .= '<div style="float:right;">'.$tmp.'</div>';		
		echo $code_google;
		
		$code_twitter = '';
		$language_twitter    = 'en';
		$data_via_twitter    = '';
		$data_related_twitter= '';

		if ($language_twitter!= 'en'){$language_twitter = 'data-lang="'.$language_twitter.'"';} else {$language_twitter='';}
		if ($data_via_twitter!= ''){$data_via_twitter= 'data-via="'.$data_via_twitter.'"';} else {$data_via_twitter='';}
		if ($data_related_twitter!= ''){$data_related_twitter= 'data-related="'.$data_related_twitter.'"';} else {$data_related_twitter='';}
		
		$code_twitter = '<div style="float:right;"><a href="http://twitter.com/share" class="twitter-share-button" class="twitter-share-button" data-url="'.$this->recipe->absoluteURL.'" data-text="'.$this->recipe->title.'" data-count="horizontal" data-via="'.$data_via_twitter.'">Tweet</a></div>';
		echo $code_twitter;
	
		echo '<div style="float:right;margin-right:10px;"><a name="fb_share" type="button_count" share_url=\"'.$this->recipe->absoluteURL.'" href=\"http://www.facebook.com/sharer.php?u='.$this->recipe->absoluteURL.'&t='.$this->recipe->title.'">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script></div>';
		
		$code_like    = '';		
		$code_like .= '<fb:send href="'.$this->recipe->absoluteURL.'" colorscheme="light"></fb:send>';
		$code_like .= '<fb:like href="'.$this->recipe->absoluteURL.'" layout="button_count" show_faces="true" send="true" width="100px" action="like" font="arial" colorscheme="light"></fb:like>';
		echo '<div style="float:left;">'.$code_like.'</div>';
		 				
	echo '</div>' . "\n"; 	

	echo '<div class="clear" style="margin:0"></div>' . "\n"; 
}
	echo '<div id="recipe"></div>' . "\n"; 


echo '<div class="clear"></div>' . "\n"; 
echo '<p style="text-align:right;">';
$link = JRoute::_( restaurantguideHelperRoute::getConversionRoute());
echo '<a href="'. $link.'">'.JText::_('RG_MEASUREMENT_GUIDE').'&nbsp;&raquo</a>';
echo '</p>';

	if ($this->rgconf->world_links && count($this->sponsors) > 0) {
		echo '<div class="clear"></div>' . "\n"; 
		echo rg_html::boxtop();
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</a></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
		echo rg_html::boxbottom();
	}
	
	if ($this->rgconf->world_topdesti && count($this->topdestinations) > 0) {
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
	
	if ($this->rgconf->world_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
	}

?>
<!---
/***********************************************
* Restaurant Guide - © EazyTOUR (www.eazytour.com)
* Do not remove footer for legal use.
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
echo RGUtil::footer();

echo '</div>' . "\n"; 
?>