<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

echo '<div id="tab-container-1" class="tablayout">' . "\n";
    echo '<ul id="tab-container-1-nav" class="tablayout">' . "\n";
		if ($this->menus || $this->item->price) {
			echo '<li><span><a href="#menus">'.JText::_('RG_MENU').'</a></span></li>' . "\n";
		}
		if ($this->item->branches) {
			echo '<li><span><a href="#branches">'.JText::_('RG_BRANCHES').'</a></span></li>' . "\n";
		}
		if ($this->promotions) {
			echo '<li><span><a href="#promotion">'.JText::_('RG_PROMOTION').'</a></span></li>' . "\n";
		}
		if ($this->item->service) {
			echo '<li><span><a href="#service">'.JText::_('RG_SERVICES').'</a></span></li>' . "\n";
		}
		if ($this->item->events) {
			echo '<li><span><a href="#events">'.JText::_('RG_EVENTS').'</a></span></li>' . "\n";
		}
		if ($this->articles) {
			echo '<li><span><a href="#article">'.JText::_('RG_USEFUL_INFOS').'</a></span></li>' . "\n";
		}
		if (count($this->galleries) > 0) {
			echo '<li><span><a href="#gallery">'.JText::_('RG_GALLERY').'</a></span></li>' . "\n";
		}
		echo '<li><span><a href="#review">'.JText::_('RG_REVIEW').'</a></span></li>' . "\n";
		if ($this->rgconf->reservation == 1) {
			echo '<li><span><a href="#reservation">'.JText::_('RG_RESERVATION').'</a></span></li>' . "\n";
		}
	echo '</ul>' . "\n";
	
	echo '<div class="tabs-container" style="border-color:'.$this->rgconf->bordercolor.';">' . "\n";
		if ($this->menus || $this->item->price) {
			echo '<div class="tab" id="menus">' . "\n";
				if ($this->menus) {
					echo '<div class="menu_itembox">' . "\n";
					$margin = 76;
					$k = 0;
					foreach ($this->menus as $menu) :
						
						if ($menu->parent_id == 0) {
							echo '</div>' . "\n";
							echo '<h4 style="font-size:14px; font-weight: bold; text-align:center; margin:20px 0px 5px 0px;">'.JText::_($menu->title).'</h4>' . "\n";
							echo '<div class="menu_itembox">' . "\n";
						} else if ($menu->parent_id > 0 && $menu->children > 0) {
							echo '</div>' . "\n";
							echo '<h6 style="font-size:12px; font-weight: bold; text-align:center; margin:10px 0px 5px 0px;">'.JText::_($menu->title).'</h6>' . "\n";
							echo '<div class="menu_itembox">' . "\n";
						} else { 
	
							if ($menu->backimage) {
								$imagelink = JURI::base() .'images/restaurantguide/menu/restaurant_'.$menu->resto.'/resize/'.$menu->backimage;
							} else {
								if ($k == 0)
									$imagelink = JURI::base() .'components/com_restaurantguide/assets/images/back_light.png';
								else
									$imagelink = JURI::base() .'components/com_restaurantguide/assets/images/back_dark.png';
							}
							if ($k == 0) {
								if ($menu->backimage)
									echo '<div class="titlerow" style="height: '.$margin.'px; background: transparent url('.$imagelink.') 0 40px no-repeat;">' . "\n";
								else
									echo '<div class="titlerow" style="height: '.$margin.'px; background: transparent url('.$imagelink.') 0 0 repeat;">' . "\n";
							} else {
								if ($menu->backimage)
									echo '<div class="titlerow" style="height: '.$margin.'px; background: transparent url('.$imagelink.') 100% 40px no-repeat;">' . "\n";
								else
									echo '<div class="titlerow" style="height: '.$margin.'px; background: transparent url('.$imagelink.') 0 0 repeat;">' . "\n";
							}
							
							if (!$menu->backimage && $menu->image) {								
								echo '<div class="leftcell" style="width:80px;">' . "\n";
									echo '<div class="rg_inner" style="width:80px;">' . "\n";										
										echo '<a href="'.JURI::base().'images/restaurantguide/menu/restaurant_'.$menu->resto.'/album/'.$menu->image.'" rel="lightbox" title="'.$menu->title.'"><img class="img_left imgshadow" style="float:none; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/menu/restaurant_'.$menu->resto.'/crop/' . $menu->image. '" alt="'.htmlentities($menu->title).'"/></a>'; 
									echo '</div>' . "\n";
								echo '</div>' . "\n";
							}
						
							echo '<div class="centercell" style="width:auto; #left:80px; #right:120px;">' . "\n";
								echo '<div class="rg_inner">' . "\n";
									echo '<p class="resto" style="font-weight: bold;">';	
										echo stripslashes($menu->title);
									echo '</P>';
									if ($menu->description) { 
										echo stripslashes($menu->description);										
									}
								echo '</div>' . "\n";
							echo '</div>' . "\n";
	
							
							echo '<div class="rightcell" style="vertical-align: middle;">' . "\n";
								echo '<div class="rg_inner">';
									echo '<p class="resto" style="width:120px; text-align:right; padding-right:5px;">';	
									if ($menu->price > 0) {
										echo '<strong>'.rg_html::getCurrency($this->item->id, $menu->price, 0).'</strong>';
									}
									echo '</P>';
								echo '</div>' . "\n";
							echo '</div>' . "\n";
	
							echo '</div>' . "\n";								
						}
	
						$k = 1 - $k; 
					endforeach;
					echo '</div>' . "\n";
				}
			echo '</div>' . "\n";
		}
		
		if ($this->item->branches) {
			echo '<div class="tab" id="branches">' . "\n";
				echo $this->item->branches; ;
			echo '</div>' . "\n";
		}
		
		if (count($this->promotions) > 0) {
			echo '<div class="tab" id="promotion">' . "\n";
				if ($this->item->promotions) {
					echo '<div class="innerelement">' . "\n";
					echo '<p style="text-align:left">';
					echo $this->item->promotions;
					echo '</p>';
					echo '</div>' . "\n";
				}
				for ($i = 0, $n = count($this->promotions); $i < $n; $i++) :
					echo '<div class="frametitle"><strong>&#9642;&nbsp;&nbsp;'.$this->promotions[$i]->title.'&nbsp;&nbsp;&#9642;</strong>' . "\n";
					echo '<div class="frame">' . "\n";
						echo '<div class="textcontent">' . "\n";	
							echo $this->promotions[$i]->description;
						echo '</div>';
						echo '<div class="imagecontent" style="float:right; width:240px; margin-left:16px;">' . "\n";
							echo '<a href="'.JURI::base().'images/restaurantguide/gallery/restaurant_'.$this->promotions[$i]->resto.'/album/'.$this->promotions[$i]->filename.'" rel="lightbox" title="'.$this->promotions[$i]->title.'"><img src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$this->promotions[$i]->resto.'/resize/'.$this->promotions[$i]->filename.'" width="240px" align="right" margin="5px 0px 0px 15px" alt="" /></a>';
						echo '</div>';
						
					echo '</div></div>' . "\n";
					echo '<div style="clear:both;padding-bottom:16px;"></div>' . "\n"; 
				endfor;
			echo '</div>' . "\n";
		}
		
		if ($this->item->service) {
			echo '<div class="tab" id="service">' . "\n";
				echo $this->item->service; 
			echo '</div>' . "\n";
		}
		
		if ($this->item->events) {
			echo '<div class="tab" id="events">' . "\n";
				for ($i = 0, $n = count($this->item->events); $i < $n; $i++) :
					echo '<div class="frametitle"><h6 style="font-size:12px">&#9642;&nbsp;&nbsp;'.$this->item->events[$i]->title.'&nbsp;&nbsp;&#9642;</h6>' . "\n";
					echo '<div class="frame">' . "\n";
						echo '<div class="imagecontent" style="float:left; width:'.$this->item->events[$i]->imagewidth.'px; margin-right:16px;">' . "\n";
							echo '<a href="'.JURI::base().'images/restaurantguide/event/album/'.$this->item->events[$i]->image.'" rel="lightbox" title="'.$this->item->events[$i]->title.'"><img src="'.JURI::base() .'images/restaurantguide/event/resize/'.$this->item->events[$i]->image.'" width="'.$this->item->events[$i]->imagewidth.'px" align="right" margin="5px 0px 0px 15px" alt="" /></a>';
						echo '</div>';
						echo '<div class="textcontent">' . "\n";	
							echo '<ul id="top" class="feature">' . "\n";
								echo '<li class="feature">' . "\n";
								echo '<strong>'.JText::_('RG_START_DATE').':&nbsp;</strong>'. "\n";
								echo JHTML::_('date', $this->item->events[$i]->startdates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
								
								echo '<li class="feature">' . "\n";
								echo '<strong>'.JText::_('RG_END_DATE').':&nbsp;</strong>'. "\n";
								echo JHTML::_('date', $this->item->events[$i]->enddates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
							echo '</ul>'. "\n";
							echo '<div class="clear" style="padding-bottom:15px;"></div>' . "\n";
							echo $this->item->events[$i]->description;
						echo '</div>';
						
						
					echo '</div></div>' . "\n";
					echo '<div style="clear:both;padding-bottom:16px;"></div>' . "\n"; 
				endfor;
			echo '</div>' . "\n";
		}
		
		if ($this->articles) {
			echo '<div class="tab" id="article">' . "\n";
				echo '<div id="list_wrapper"><ul class="multiple_columns">' . "\n";
		
				
				foreach ($this->articles as $article) :
					$link = JRoute::_(ContentHelperRoute::getArticleRoute($article->slug, $article->catslug, $article->sectionid));
					echo '<li style="text-align:left">';

					echo '<div class="ratetitle" style="font-weight:normal"><a href="'.$link.'"  target="_blank" title="'. $article->title . '">'.$article->title.'</a></div>' . "\n";
					echo '</li>' . "\n";
					
				endforeach;	
				
				echo '</ul></div>' . "\n";
				echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
			echo '</div>' . "\n";
		}
		
		if (count($this->galleries) > 0) {
			if ($this->rgconf->gall_thumb_width > 0)
				$thumbwidth = $this->rgconf->gall_thumb_width + 20;
			else
				$thumbwidth = 74;
			echo '<div class="tab" id="gallery">' . "\n";
				echo '<div class="frametitle"><h6 style="font-size:12px">&#9642;&nbsp;&nbsp;'.JText::_('RG_RESTAURANT_PHOTOS').'&nbsp;&nbsp;&#9642;</h6>' . "\n";
				echo '<div id="ThumbMatrix">' . "\n"; 
					foreach ($this->galleries as $image) : 
						echo '<div class="AlbumCell" style="width: '.$thumbwidth.'px; height: 80px;">' . "\n"; 
						echo '<a href="'.JURI::base().'images/restaurantguide/gallery/restaurant_'.$this->item->id.'/album/'.$image->filename.'" rel="lightbox-gallery" title="'.$image->title.'"><img class="img_left imgshadow" style="padding:4px;border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$this->item->id.'/thumb/'.$image->filename.'" /></a></div>'. "\n";
					endforeach;	
				echo '</div></div>' . "\n";
			echo '</div>' . "\n";	
		}
		
		echo '<div class="tab" id="review">' . "\n";
			if ($this->totaltestimonials > 0) {
				echo JText::sprintf('RG_REVIEWS_FOR', $this->totaltestimonials, $this->item->title);
			}?>
			<form action="<?php echo JRoute::_( 'index.php?option=com_restaurantguide&view=restaurant' ); ?>" method="post" id="reviewForm" name="reviewForm"  class="form-validate"> <?php
			echo '<div class="review">' . "\n";
				echo '<div class="rg_left">' . "\n";
					echo '<blockquote class="quotation"><div><p>'.JText::_('RG_REVIEW_TIP').'</p></blockquote>';
				echo '</div>' . "\n"; 
				echo '<div class="rg_right" style="width:270px">' . "\n";
					if ($this->item->rate > 0) {
						$result = number_format((intval($this->item->rate_sum) / intval($this->item->rate)), 2);
					} else {
						$result = -1;
					}
					echo rg_html::ratingbar($this->item, JText::_('RG_AVERAGE_OVERALL_RATING'), 220, 130, $result);
					echo rg_html::votebox($this->testimonials, $this->totaltestimonials, 1, 170);
				echo '</div>' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div class="clear"></div>' . "\n"; 

			$count = 1;
			$user = 0;
				
			foreach( $this->testimonials as $testimonial):
				if ($testimonial->userid == $this->user->get('id'))
					$user = 1;
												 
				echo '<div style="padding:5px 0px; border-top: 1px solid #999;">' . "\n";
					echo '<p class="testimonialtitle">'.$testimonial->title;
					echo '<span class="testimonialauthor">&nbsp;'.JText::_('RG_BY').'&nbsp;'.$testimonial->submitedby.'</span>';
					echo '<span class="testimonialdate">'.JHTML::_('date',  $testimonial->date, JText::_('DATE_FORMAT_LC1')).'</span></p>' . "\n"; 
				echo '</div>' . "\n";
	
				echo '<div class="titlerow" style="height:100px;">' . "\n";
					echo '<div class="leftcell" style="width:90px;">' . "\n";
						echo '<div class="rg_inner">' . "\n";
							echo '<div class="testimonialbody" id="testimonialbody-'. $testimonial->id.'"><img class="img_left imgshadow" style="padding:4px; margin: 2px 10px 0 5px;" src="'.$this->baseurl.'/components/com_restaurantguide/assets/images/guest.gif" alt="'.htmlentities($testimonial->submitedby).'" /></div>';
						 echo '</div>' . "\n";
					echo '</div>' . "\n";
		
					echo '<div class="centercell" style="width:auto; #left:90px; #right:191px;">' . "\n";
						echo '<div class="rg_inner" style="width:100%; padding:5px 10px; text-align:left;">' . "\n";							
							echo $testimonial->description;
						echo '</div>' . "\n";
					echo '</div>' . "\n";
								
					echo '<div class="rightcell" style="width:180px;">' . "\n";
						echo '<div class="rg_inner">' . "\n";
							echo rg_html::ratingbar($testimonial, JText::_('RG_USER_RATING'), 175, 85, 0);
							echo rg_html::votebox($testimonial, 1, 2, 180);
						echo '</div>' . "\n";
					echo '</div>' . "\n";
				 echo '</div>' . "\n";
		 
				if($this->user->get('id') == $testimonial->userid){
					$delLink = JRoute::_( 'index.php?option=com_restaurantguide&view=restaurant&task=delete_testimonial&id='.$this->item->id.'&cmtid='.$testimonial->id, false);?>
				
					<img src="<?php echo $this->baseurl; ?>/components/com_restaurantguide/assets/images/delete.gif"  border="0" alt="Delete" />
					<a href="javascript:void(0);"  onClick="javascript:__deleteTestimonial('<?php echo $delLink;?>');return false;"><?php echo JText::_('RG_DELETE_REVIEW');?></a>
					<?php
					$editLink = JRoute::_( 'index.php?option=com_restaurantguide&view=restaurant&task=edit_testimonial&id='.$this->item->id.'&cmtid='.$testimonial->id, false);?>
				
					<img src="<?php echo $this->baseurl; ?>/components/com_restaurantguide/assets/images/edit.gif" border="0" alt="Edit" />
					<a href="javascript:void(0);"  onClick="javascript:__editTestimonial('<?php echo $editLink;?>');return false;"><?php echo JText::_('RG_EDIT_REVIEW');?></a>
					<?php
				 }
				 
				echo '<div class="clear"></div>' . "\n";
   			 endforeach;

				
			if( $this->user->get('id') <= 0 || trim($this->user->get('id')) == '' ){?>
				<div>
					<img src="<?php echo $this->baseurl; ?>/components/com_restaurantguide/assets/images/add_comment.png"  border="0" alt="WRITE REVIEW" align="top" width="16px" /> 
					<a href="<?php echo JRoute::_('index.php?option=com_user&view=login&return='.base64_encode(JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$this->item->id,false)), false);?>"><?php echo JText::_('RG_PLEASE_LOGIN');?> </a>
				</div>
			<?php }else if ( $this->task == 'edit_testimonial') {
		
				?>
				<hr align="center" width="100%" size="1" noshade="noshade" style="color:#999;" />
				<div>
					<p> <?php echo JText::_( 'RG_EDIT_REVIEW' ); ?></p><br />
					<?php   echo '<div style="width:50%; text-align:left; float:left">';
						echo rg_html::vote($this->edittestimonials);
				echo '</div>' . "\n"; 
				echo '<div style="clear:both;padding-bottom:15px;"></div>' . "\n"; ?>
					<div class="optional">
					<label id="testimonial_title" for="testimonial_title"><?php echo JText::_( 'RG_TITLE' ); ?>:</label><br />
					<input type="text" maxlength="150" size="80%" class="inputbox required" name="title" id="title" value="<?php echo $this->edittestimonials->title; ?>" /> </div>
					<div class="optional">
					<label id="description" for="description"><?php echo JText::_( 'RG_REVIEW' ); ?>:</label><br />
	
					<textarea name="description" id="description" rows="10" cols="80%"><?php echo $this->edittestimonials->description; ?></textarea>
					</div><br />
	
					<div id="clsDivMarginTop10">
						<div class="clsFloatLeft">
							<button class="button validate" type="button" onClick="javascript:window.location='<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$this->item->id ); ?>'"><?php echo JText::_('RG_BACK'); ?></button>
							<button class="button validate" type="submit"><?php echo JText::_('RG_SAVE_REVIEW'); ?></button>
						</div>
						<div class="clsClearBoth"></div>
					</div>
				</div>
			<?php }else{
				if ($user == 0) { 
        
					echo '<hr align="center" width="100%" size="1" noshade="noshade" style="color:#000000;" />' . "\n";
					echo '<p>'.JText::_( 'RG_WRITE_REVIEW' ).'</p>' . "\n";
					echo '<div style="clear:both;padding-bottom:5px;"></div>' . "\n";
					echo '<div style="width:100%; text-align:left; float:left">' . "\n";
						echo rg_html::vote($this->edittestimonials);
					echo '</div>' . "\n"; 
					echo '<div style="clear:both;padding-bottom:5px;"></div>' . "\n"; ?>
                    <div style="width:100%">
                        <div class="required">
                            <p><?php echo JText::_( 'RG_TITLE' ); ?>:</p>
                            <input class="text_area" type="text" name="title" id="title" size="65" maxlength="255" value="" />    
                        </div>
                        <div class="optional">
                            <p><?php echo JText::_( 'RG_REVIEW' ); ?>:</p>
                            <textarea name="description" id="description" rows="10" cols="80%"><?php echo JRequest::getVar('description', '') ?></textarea>
                        </div><br />
                
                        <div class="optional">
                            <button class="button validate" type="button"  onClick="javascript:window.location='<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$this->item->id ); ?>'"><?php echo JText::_('RG_BACK'); ?></button>
                            <button class="button validate" type="submit"><?php echo JText::_('RG_SAVE_REVIEW'); ?></button>
                        </div>
                        <div class="clsClearBoth"></div>
                
                    </div>
				<?php } 
			}?>
			<?php echo '<div style="clear:both;padding-bottom:20px;"></div>' . "\n";  ?>  
            <input type="hidden" name="option" value="com_restaurantguide" />
            <input type="hidden" name="view" value="restaurant" />
            <input type="hidden" name="post_id" value="<?php echo $this->item->id;?>" />
            <input type="hidden" name="userid" value="<?php echo $this->user->get('id');?>" />
            <input type="hidden" name="id" value="" />
            <input type="hidden" name="cmtid" value="<?php echo $this->edittestimonials->id;?>" />
            <input type="hidden" name="rate_1" id="rate_1" value="" />
            <input type="hidden" name="rate_2" id="rate_2" value="" />
            <input type="hidden" name="rate_3" id="rate_3" value="" />
            <input type="hidden" name="rate_4" id="rate_4" value="" />
            <input type="hidden" name="rate_5" id="rate_5" value="" />
            <input type="hidden" name="oldrating" id="oldrating" value="<?php echo $this->edittestimonials->oldrating;?>" />
            <input type="hidden" name="task" value="save_Testimonial" />
            <?php echo JHTML::_( 'form.token' ); ?>
            </form>
			<script language="javascript" type="text/javascript">
                function  __deleteTestimonial( strLink ){
                    if( !confirm("<?php echo JText::_('RG_DO_YOU_WANT_TO_DELETE') ?>")){
                        return false;
                    }

                    window.location = strLink;
                }
            
                function  __editTestimonial( strLink ){
                    if( !confirm("<?php echo JText::_('RG_DO_YOU_WANT_TO_EDIT') ?>")){
                        return false;
                    }
                    window.location = strLink;
                }
            </script> <?php

		echo '</div>' . "\n";
		if ($this->rgconf->reservation == 1) {
		echo '<div class="tab" id="reservation">' . "\n";
			
?>				
<form action="<?php echo $this->getViewUrl ($this->row->id,'&task=sendmail' ) ?>" method="post" enctype="application/x-www-form-urlencoded">

	<p style="padding:5px 0"><label for="restaurant"><?php echo JText::_('RG_RESTAURANT') ?> :</label>
		<input type="text" name="restaurant" id="restaurant" value="Ref : <?php echo $this->escape( $this->item->title ) ?>" size="40" />
    </p>
    <p style="padding:5px 0"><label for="lastname"><?php echo JText::_('RG_LASTNAME') ?> :</label>
		<input type="text" name="lastname" id="lastname" value="<?php echo JRequest::getVar('lastname', '') ?>" size="40" />
    </p>
    <p style="padding:5px 0"><label for="firstname"><?php echo JText::_('RG_FIRSTNAME') ?> :</label>
		<input type="text" name="firstname" id="firstname" value="<?php echo JRequest::getVar('firstname', '') ?>" size="40" />
    </p>
    <p style="padding:5px 0"><label for="phone"><?php echo JText::_('RG_PHONE') ?> :</label>
		<input type="text" name="phone" id="phone" value="<?php echo JRequest::getVar('phone', '') ?>" size="40" />
    </p>
    
    <p style="padding:5px 0"><label for="email"><?php echo JText::_('RG_EMAIL') ?> :</label>
       <input type="text" name="email" id="email" value="<?php echo JRequest::getVar('email', '') ?>" size="40" />
    </p>
    <p class="small" style="margin-left: 145px;"><?php echo JText::_('RG_PLEASE_ENSURE_YOUR_EMAIL') ?> </p>
    
	<p style="padding:5px 0"><label for="date"><?php echo JText::_('RG_DATE') ?> :</label>
        <input type="text" name="date" id="date" value="<?php echo JRequest::getVar('date', '') ?>"/><img class="calendar" src="templates/system/images/calendar.png" alt="calendar" id="date_img" />
		<script type="text/javascript">
        Calendar.setup(
			{
				inputField  : "date",         // ID of the input field
				ifFormat    : "%Y-%m-%d",    // the date format
				button      : "date_img",       // ID of the button
				align       : "Tl",           // alignment (defaults to "Bl")
        		singleClick : true
			}
        );
        </script>
    </p>
    <p style="padding:5px 0"><label for="time"><?php echo JText::_('RG_TIME') ?> :</label>
		<?php echo rgSelectHelper::hours().'&nbsp;&nbsp;:&nbsp;&nbsp;'.rgSelectHelper::mins();  ?>
	</p>

    <p style="padding:5px 0"><label for="number"><?php echo JText::_('RG_NUMBER_IN_YOUR_PARTY') ?> :</label>
		<input type="text" name="number" id="number" value="<?php echo JRequest::getVar('number', '') ?>" size="40" />
    </p>
    
    <p style="padding:10px 0 5px 0"><label for="request"><?php echo JText::_('RG_SPECIAL_REQUESTS') ?> :</label>
    	<textarea name="request" id="request" rows="10" cols="60%"><?php echo JRequest::getVar('request', '') ?></textarea>
    </p>
    <p class="small" style="margin-left: 145px;"><?php echo '('.JText::_('RG_INFORMATION_PROVIDED_HERE_WILL_ONLY').')' ?> </p><br /> 
    <hr align="center" width="100%" size="1" noshade="noshade" style="color:#666666;" />
    <?php /*
    <div>
        <img id="captcha" align="left" style="margin-right: 15px; border: 1px solid #000" src="<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_show.php" alt="CAPTCHA Image" />
        <object type="application/x-shockwave-flash" data="<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_play.swf?audio=<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_play.php&amp;bgColor1=#fff&amp;bgColor2=#fff&amp;iconColor=#777&amp;borderWidth=1&amp;borderColor=#000" height="19px" width="19px">
        <param name="movie" value="<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_play.swf?audio=<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_play.php&amp;bgColor1=#fff&amp;bgColor2=#fff&amp;iconColor=#777&amp;borderWidth=1&amp;borderColor=#000" /></object><br /> 
        <a href="#" onclick="document.getElementById('captcha').src = '<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/securimage_show.php?' + Math.random(); return false"><img src="<?php echo $this->baseurl; ?>/components/com_restaurantguide/lib/securimage/images/refresh.gif" alt="Reload Image" border="0" onclick="this.blur()" align="bottom" /></a></div>
        <p><?php echo JText::_('RG_CODE_FROM_THE_IMAGE_ABOVE') ?> :&nbsp;&nbsp;
        <p>
        <input type="text" name="captcha_code" size="10" maxlength="6" style="width: 120px" />&nbsp;                  
        </p><br />
    */ ?>
    <input type="hidden" name="created_by" value="<?php echo $this->item->created_by ?>" />
    <input type="submit" class="button" value="<?php echo JText::_('RG_SEND') ?>" />

</form>  
<?php 

		echo '</div>' . "\n";
		}
	echo '</div>' . "\n";
echo '</div>' . "\n";   
?>

<script type="text/javascript">
var tabber1 = new Yetii({
id: 'tab-container-1'
});
</script>