<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


switch ($this->currentpage) {
	case 'world' :
		$slideheight = (int)$this->rgconf->world_slideheight;
		$slideshowwidth = $this->rgconf->world_slidewidth;
		$delay = $this->rgconf->world_delay;
		$infoheight = $this->rgconf->world_infoheight;
	break;
	
	case 'continent' :
		$slideheight = (int)$this->rgconf->conti_slideheight;
		$slideshowwidth = $this->rgconf->conti_slidewidth;
		$delay = $this->rgconf->conti_delay;
		$infoheight = $this->rgconf->conti_infoheight;
	break;
	
	case 'country' :
		$slideheight = (int)$this->rgconf->country_slideheight;
		$slideshowwidth = $this->rgconf->country_slidewidth;
		$delay = $this->rgconf->country_delay;
		$infoheight = $this->rgconf->country_infoheight;
	break;
	
	case 'city' :
		$slideheight = (int)$this->rgconf->city_slideheight;
		$slideshowwidth = $this->rgconf->city_slidewidth;
		$delay = $this->rgconf->city_delay;
		$infoheight = $this->rgconf->city_infoheight;
	break;
	
	default:
		$slideheight = 250;
		$slideshowwidth = '100%';
		$delay = 8000;
		$infoheight = 24;
	break;
}


	
if ($this->gallery[0]->imagewidth > $this->gallery[0]->imageheight)
{
	if ($this->rgconf->thumb_size <= 0)
		$this->rgconf->thumb_size = 48;
	$thumbwidth = $this->rgconf->thumb_size+6;
	$thumbheight = intval(($this->gallery[0]->imageheight / $this->gallery[0]->imagewidth) * $thumbwidth + 6);
	$carouselContainer = $thumbheight + 50;
	$carousel = $thumbheight + 30;
}

		
echo "<script type=\"text/javascript\">
	
	function startGallery() {
		var restaurantGallery = new gallery($('restaurantGallery'), {
			showCarousel: true,
			activateCarouselScroller: true,
			textShowCarousel: 'Thumbnails', 
			carouselMinimizedOpacity:  0.9,
			carouselMinimizedHeight: 20,
			carouselMaximizedOpacity: 1.0,
			timed: true,
			showArrows: true,
			embedLinks: true,
			defaultTransition: 'fadeslideleft',
			showInfopane: true,
			slideInfoZoneOpacity: 0.7,
			slideInfoZoneSlide: true,
			useLytebox: true,
			useThumbGenerator: false,
			liveSite: 'www.eazytour.com',
			thumbHeight: ".$thumbheight.",
			thumbWidth: ".$thumbwidth.",
			thumbSpacing: 3,
			thumbidleOpacity: 0.2,
			linkTarget: '_self',
			delay: ".$delay.",
			useHistoryManager: false,
			GalleryHeight: ".$slideheight.",
			carouselPreloader: true,
			ExternalCarouselHeight: 200,
			ExternalCarouselWidth: 600,
			useExternalCarousel: false
		});
	}

	window.addEvent('domready', startGallery);

</script>". "\n";
?>

<style type="text/css">
.jdGallery div.carouselContainer
{
	height:<?php echo $carouselContainer ?>px;
}
.jdGallery .carousel
{
	height:<?php echo $carousel ?>px;
}
.jdGallery .carousel .carouselWrapper, .jdExtCarousel .carouselWrapper
{
	height:<?php echo $carousel ?>px;
}
.jdGallery .slideInfoZone {
	height:<?php echo $infoheight ?>px;
}

</style>

<?php

echo rg_html::boxtop();

	echo '<div id="restaurantGallery" style="width: '.$slideshowwidth .'%; height: '.$slideheight .'px; border-color:'.$this->rgconf->bordercolor.'">' . "\n";	
		echo '<div id="gallery1" class="galleryElement">';
		
			foreach ($this->gallery as $image) : 
				if (!$image->slideshow) continue;
				echo '<div class="imageElement">'. "\n";
				echo '<h3>'.$image->title.'</h3>'. "\n";
				echo '<p style="text-align:center">'.$image->description.'</p>'. "\n";
				echo '<a href="'.JURI::base() .'images/restaurantguide/gallery/restaurant_0/album/'.$image->filename.'" title="'.$image->title.'" class="open"></a>'. "\n";
				echo '<img src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_0/album/'.$image->filename.'" class="full" alt="'.$image->title.'" />'. "\n";
				echo '<img src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_0/thumb/'.$image->filename.'" class="thumbnail" alt="'.$image->title.'" /></div>'. "\n";
			endforeach;	
		
		echo '</div>';
	echo '</div>';

echo rg_html::boxbottom();

?>
