<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

switch ($this->currentpage) {
	case 'world' :
		$adsense = $this->rgconf->world_adsense;
		$publisher_id = $this->rgconf->world_publisher_id;
		$ad_slot = $this->rgconf->world_ad_slot;
		$ad_width = $this->rgconf->world_ad_width;
		$ad_height = $this->rgconf->world_ad_height;
	break;
	
	case 'continent' :
		$adsense = $this->rgconf->conti_adsense;
		$publisher_id = $this->rgconf->conti_publisher_id;
		$ad_slot = $this->rgconf->conti_ad_slot;
		$ad_width = $this->rgconf->conti_ad_width;
		$ad_height = $this->rgconf->conti_ad_height;
	break;
	
	case 'country' :
		$adsense = $this->rgconf->country_adsense;
		$publisher_id = $this->rgconf->country_publisher_id;
		$ad_slot = $this->rgconf->country_ad_slot;
		$ad_width = $this->rgconf->country_ad_width;
		$ad_height = $this->rgconf->country_ad_height;
	break;
	
	case 'states' :
		$adsense = $this->rgconf->states_adsense;
		$publisher_id = $this->rgconf->states_publisher_id;
		$ad_slot = $this->rgconf->states_ad_slot;
		$ad_width = $this->rgconf->states_ad_width;
		$ad_height = $this->rgconf->states_ad_height;
	break;
	
	case 'city' :
		$adsense = $this->rgconf->city_adsense;
		$publisher_id = $this->rgconf->city_publisher_id;
		$ad_slot = $this->rgconf->city_ad_slot;
		$ad_width = $this->rgconf->city_ad_width;
		$ad_height = $this->rgconf->city_ad_height;
	break;
	
	case 'search' :
		$adsense = $this->rgconf->search_adsense;
		$publisher_id = $this->rgconf->search_publisher_id;
		$ad_slot = $this->rgconf->search_ad_slot;
		$ad_width = $this->rgconf->search_ad_width;
		$ad_height = $this->rgconf->search_ad_height;
	break;
	
	default:
		$adsense = $this->rgconf->world_adsense;
		$publisher_id = $this->rgconf->world_publisher_id;
		$ad_slot = $this->rgconf->world_ad_slot;
		$ad_width = $this->rgconf->world_ad_width;
		$ad_height = $this->rgconf->world_ad_height;
	break;
}

	$n = 0;
	$i = 0;
	$total = count($this->sponsors);
	if ($this->rgconf->no_sponsorrow)
		$norow = 100 / $this->rgconf->no_sponsorrow;
	else
		$norow = 25;

	echo '<div class="boxlist">' . "\n";
		echo '<div class="box_row">' . "\n";
			foreach ($this->sponsors as $sponsor) : 

				echo '<div class="inbox" style="width:'.$norow.'%;"><div class="rg_box">';
					$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($sponsor->slug) );
					echo '<div class="inframe">' . "\n";
						if ($sponsor->facilities) {
							echo '<div class="trans">' . "\n";				
								$query="SELECT * FROM #__rg_facilities WHERE id IN (".$sponsor->facilities.")";
								$this->db->setQuery($query);
								$facilityDetails = $this->db->loadObjectList();
								if ( $facilityDetails != NULL )
								{
									foreach ( $facilityDetails as $facilityDetail )
									{ 
										if (!$facilityDetail->pictogram) continue;
										echo "<img style='margin:0' src='".JURI::base() ."images/restaurantguide/pictogram/".$facilityDetail->pictogram."' width='15px' alt='".$facilityDetail->name."' title='".$facilityDetail->name."' />";
									}
								}				
							echo '</div>' . "\n";
						}

						if ($sponsor->url) {
							echo '<a href="http://'.$sponsor->url.'" target="_blank">';
						} else {
							echo '<a href="'.$link.'" title="'.$sponsor->title.'">';
						}
						
						if ($sponsor->mainimage) {							
							echo '<img style="position:absolute; top: 8px; left: 0; border:1px solid #bbbbbb;" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$sponsor->id.'/square/'.$sponsor->mainimage.'" alt="'.$sponsor->title.'" /></a>' . "\n";
							
						} else {
							echo '<img style="border:1px solid #cccccc;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_image.gif" /></a>' . "\n";
						}
					echo '</div>' . "\n";
					echo '<div class="cap">' . "\n";
						echo '<div class="captionbar">' . "\n";
						if ($sponsor->url) {
							echo '<a href="http://'.$sponsor->url.'" target="_blank">' . "\n";
						} else {
							echo '<a href="'.$link.'" title="'.$sponsor->title.'">';
						}
						echo '<i>'.JText::_( $sponsor->title );							
						echo '</i></a></div>' . "\n";
					echo '</div>' . "\n";
				echo '</div></div>' . "\n";

			endforeach;		
	
		echo '</div>' . "\n";
	echo '</div>' . "\n";
	
	if ($adsense) {
		echo rg_html::showGoodleAdSense($publisher_id, $ad_slot, $ad_width, $ad_height );
	}

?>
