<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo rg_html::boxtop();

	echo '<h3 class="title">';  
	echo $this->continents[0]->assignedrestos.'&nbsp;'.JText::_('RESTAURANTS WORLDWIDE'); 
	echo '</h3>';

	echo '<h6 style="margin: 10px 0">' . "\n";
	echo $this->rgconf->world_slogan; 
	echo '</h6>' . "\n"; 

	echo '<div id="topcontainer">' . "\n";
		echo '<ul id="worldmap">' . "\n";
			foreach ( $this->continents as $continent ) {
				if ($continent->id == 1 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="asia"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 2 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="africa"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 3 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="middleeast"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 4 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="oceania"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 5 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="europe"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 6 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="namerica"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 7 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="camerica"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
				else if ($continent->id == 8 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li id="samerica"><a href="'.$wlink.'">'.$continent->name;
					echo '</a></li>' . "\n";
				}
			}
		echo '</ul>' . "\n";
	echo '</div>' . "\n";
	
		
	echo '<div id="topcontainer">' . "\n";
		echo '<ul id="top" class="feature">' . "\n";
			foreach ( $this->continents as $continent ) {
				if ($continent->id == 1 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li>' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				} else if ($continent->id == 2 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li>' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}	
					echo '</p>'. "\n";
					
				} else if ($continent->id == 3 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li>' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}	
					echo '</p>'. "\n";
				}  else if ($continent->id == 4 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li class="feature">' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				} else if ($continent->id == 5 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li class="feature">' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				} else if ($continent->id == 6 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li class="feature">' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				} else if ($continent->id == 7 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li class="feature">' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				} else if ($continent->id == 8 && $continent->published == 1) {
					$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					echo '<li class="feature">' . "\n";
					echo '<a href="'.$wlink.'"><strong>'.$continent->name.'</strong></a></li>'. "\n";
					echo '<p style="margin:5px 0px 15px 20px">';
					foreach ( $continent->country as $country ) {
						$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->countryslug));
						$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
						echo '<span style="margin-right:20px;"><a href="'.$clink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->name.'" />'.$country->name.'</a></span>';
					}
					echo '</p>'. "\n";
				}
			}
		echo '</ul>' . "\n"; 
	echo '</div>' . "\n";
	
	echo '<div class="clear"></div>' . "\n";
		

	if ($this->rgconf->world_links && count($this->sponsors) > 0) {
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</a></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		echo $this->loadTemplate('sponsors');
	}

echo rg_html::boxbottom();
					
?>