<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage HotelGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * HotelGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * HotelGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<script language="javascript" type="text/javascript">

function getMapData(){ 

	var mapdata = new Array();
	var x = y = 0;
	<?php 
	foreach( $this->cityname as $sub){ 
		if (empty($sub->lat)) continue;  ?>		
		mapdata[x] = new Array(2);
		for (y = 0; y < 2; y++) {
			if (y == 0) {
				mapdata[x][y] = <?php echo $sub->lat ?>;
			} else if (y == 1) {
				mapdata[x][y] = <?php echo $sub->lon ?>;
			}
		}
		
		x++;
	<?php
	} ?>

	return mapdata; 
}

function togglemainmap(){

	loadRestoMap(); 
}
</script>
<?php
if ($this->rgconf->api_key) {
	$base = array(
		'lat' => 0,
		'lon' => 0,
		'region' => "city",
		'child' => false,
		'ajaxmap' => true
	);
	
	echo rg_html::showmap($this->rgconf, $base, $this->cityname, $this->states->name);
}

echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->states_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->states_publisher_id, $this->rgconf->states_ad_slot, $this->rgconf->states_ad_width, $this->rgconf->states_ad_height );
	}

	if ($this->params->def( 'show_page_title', 1 ) && $this->states->titleimage) {
		$height = $this->states->titleimageheight;
		
		if ($this->rgconf->states_menu) {
			echo rgSelectHelper::StatesMenu($this->states);
		}
		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->states->titleimage .'" align="left" width="100%" height="'.$this->states->titleimageheight.'px" alt="'.htmlentities($this->states->name).'" />' . "\n";   
			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="padding: 5px 10px"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->states_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}
		if ($this->rgconf->states_menu) {
			echo rgSelectHelper::StatesMenu($this->states);
			echo '<div style="clear:both;"></div>' . "\n"; 
		}
		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="padding: 5px 10px"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div class="clear"></div>' . "\n"; 
	
	echo '<div id="restomap" style="display: none; height:480px;">' . "\n";
		echo '<h3 class="title">'; 
			echo JText::_('RG_FIND_CITY_BY_MAP'); 
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	echo '</div>' . "\n";
	
	echo $this->loadTemplate('destinations');

	if ($this->rgconf->states_topdesti && count($this->topdestinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	
	if ($this->rgconf->states_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	if ($this->rgconf->states_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->states_publisher_id, $this->rgconf->states_ad_slot, $this->rgconf->states_ad_width, $this->rgconf->states_ad_height );
	}
	
	echo '<div class="clear"></div>' . "\n"; 
?>
<!---
/***********************************************
* HotelGuide - © EazyTOUR (www.eazytour.com)
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
*
* If you want to remove copyright, 
* buy the commercial version.
*
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
	echo RGUtil::footer();


echo '</div>';
?>