<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage HotelGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * HotelGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * HotelGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo rg_html::boxtop();

	echo '<h3 class="title">';  
		echo $this->states->name; 
	echo '</h3>';

	echo '<p>';
	if ($this->states->image) {
		echo '<div class="floatleft"><a href="'.JURI::base().'images/restaurantguide/states/album/'.$this->states->image.'" rel="lightbox" title="'.$this->states->image.'"><img class="img_left imgshadow" style="padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/states/resize/' . $this->states->image .'" width="'. $this->states->imagewidth.'px" height="'.$this->states->imageheight.'px" align="left" alt="'.htmlentities($this->states->name).'" /></a></div>';
	}
	
	if (($this->states->description)<>'')	{
		echo $this->states->description;
	} else {
		echo JText::_('RG_PLEASE_INSERT_DESCRIPTION');
	}
	echo '<p>';
	
	echo '<div style="clear:both;"></div>' . "\n"; 

	if (count($this->cityname) > 0) {
		echo '<h3 class="title" style="margin-top:20px">';  
		echo JText::sprintf('RG_ALL_CITIES_IN', $this->states->name);
		echo '</h3>';
		
		if (count($this->cityname) > 24) {
			echo '<div id="list_wrapper"><ul class="multiple_columns">' . "\n";
				foreach ($this->cityname as $city) : 
				echo '<li style="width:28%">' . "\n";
					$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
					echo '<a href="'. $link.'">'.$city->name.'</a>' . "\n";
				echo '</li>' . "\n";
				endforeach;	
			echo '</ul></div>' . "\n";
		} else {
			echo '<ul id="desti"><li>' . "\n";
				$i = 0;
				foreach ($this->cityname as $city) : 	
					$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($city->cityslug));
				
					echo '<div class="desti_1">';
					echo '<ul class="restobox"><a href="'.$link.'">';
					echo '<li style="line-height:13px;">';
					echo '<h6 style="font-size:13px; margin: 5px;">'.JText::_($city->name).'</h6>';
					
					if ($city->image) {
						echo '<img style="border:none; width:100%;" src="'.JURI::base() .'images/restaurantguide/city/resize/'.$city->image.'" title="'.htmlentities($city->name).'" alt="'.htmlentities($city->name).'" />';
					} else {
						echo '<div style="text-align:center"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.htmlentities($city->name).'" alt="'.htmlentities($city->name).'" /></div>';	
					}
							
					echo '<p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:10px; float:right;">';	
						if ($city->assignedrestaurants > 0) {
							echo JText::sprintf('RG_S_RESTAURANTS', $city->assignedrestaurants);	
						} else {
							echo JText::_('RG_NO_RESTAURANT'); 
						}
					echo '</p>';
					echo '</li></a></ul></div>';
					
					$i++;
					if ($i == 3) {
						echo '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					} 
					
				endforeach;
			echo '</li></ul>' . "\n";	
		}

		echo '<div style="clear:both;"></div>' . "\n"; 
	}
	
	if ($this->rgconf->states_links && count($this->sponsors) > 0) {
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;">'.JText::_('RG_SPONSOR_LINKS').'</span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
	}

echo rg_html::boxbottom();

?>