<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<script type="text/javascript">

function changeOrdering( order, dir, view )
{
	var form = document.getElementById("adminForm");

	form.filter_order.value 	= order;
	form.filter_order_Dir.value	= dir;
	form.submit( view );
}
	
function getMapData(){ 

	var mapdata = new Array();
	var x = y = 0;
	<?php 
	foreach( $this->items as $sub){ 
		if (empty($sub->lat)) continue;  ?>		
		mapdata[x] = new Array(2);
		for (y = 0; y < 2; y++) {
			if (y == 0) {
				mapdata[x][y] = <?php echo $sub->lat ?>;
			} else if (y == 1) {
				mapdata[x][y] = <?php echo $sub->lon ?>;
			}
		}
		
		x++;
	<?php
	} ?>

	return mapdata; 
}

function togglemainmap(){

	loadRestoMap(); 
}
</script>

<?php
echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->tag_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->tag_publisher_id, $this->rgconf->tag_ad_slot, $this->rgconf->tag_ad_width, $this->rgconf->tag_ad_height );
	}
	
	if ($this->params->def( 'show_page_title', 1 ) && $this->rgconf->titleimage) {
		$height = $this->rgconf->titleimageheight + 0;

		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->rgconf->titleimage .'" align="left" width="100%" height="'.$this->rgconf->titleimageheight.'px" alt="'.htmlentities($this->params->get('page_title')).'" />' . "\n";  

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->world_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}

		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div style="clear:both;"></div>' . "\n";

	

if (count($this->items) > 0) {
	$base = array(
		'lat' => $this->items[0]->lat,
		'lon' => $this->items[0]->lon,
		'region' => "resto",
		'child' => false,
		'ajaxmap' => true
	);

	echo rg_html::showmap($this->rgconf, $base, $this->items,  "Tag");
	
	echo '<div id="restomap" style="display: none; height:460px; margin-bottom: 35px;">' . "\n";
	echo rg_html::boxtop();
		echo '<h3 class="title">'; 
			echo JText::_('RG_FIND_RESTAURANTS_BY_MAP'); 
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	echo rg_html::boxbottom();
	echo '</div>' . "\n";  
			
	echo '<div class="clear"></div>' . "\n"; 
}
?>
<form action="<?php echo $this->action; ?>" method="post" id="adminForm">

	<div id="rg_filter"> <?php
		echo '<p style="float:right; font-size:11px">';
    		echo JText::_('RG_RESTOSPERPAGE').':&nbsp;';
			echo $this->pageNav->getLimitBox(); 
		echo '</p>' . "\n"; 
		echo '<div style="clear:both;"></div>' . "\n";  ?>
		<div class="rg_fleft">
			<?php
			echo JText::_('RG_SORT_BY'). ':&nbsp;'.implode(' | ', $this->sort_links);	
			?>
		</div>
        <div class="rg_fright">
        	<?php 
        	$n = count($this->items);

			$start = $this->pageNav->limitstart + 1;
			$total = $n + $this->pageNav->limitstart;

			if ($n < $this->pageNav->limit && $this->pageNav->limitstart == 0)
				echo JText::sprintf('RG_RESULTS_S_MATCHING_RESTAURANTS',$n);
			else
				echo JText::sprintf('RG_RESULTS_S_S_OUT_OF_MATCHING_RESTAURANTS',$start, $total, $this->pageNav->total);
			?>
		</div>
	</div>


<?php 

echo '<div class="clear"></div>' . "\n"; 

	echo rg_html::boxtop();

	echo '<h3 class="title">';
			echo JText::_( 'RG_TAG_RESULTS' );
	echo '</h3>' . "\n";

	$k = 0;
	$i = 0;
	if ($this->rgconf->listheight_resto)
		$margin = $this->rgconf->listheight_resto;
	else
		$margin = 74;
	
	echo '<div class="itembox">' . "\n";

	foreach($this->items as $restaurant) :	
		if ($k == 0) 
			echo '<div class="titlerow" style="height:'.$margin.'px; background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_light.png) 0 0 repeat;">' . "\n";
		else
			echo '<div class="titlerow" style="height:'.$margin.'px; background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_dark.png) 0 0 repeat;">' . "\n";
			echo '<div class="leftcell">' . "\n";
				echo '<div class="rg_inner">' . "\n";
					$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($restaurant->slug) );

					if ($restaurant->mainimage) {
						echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$restaurant->id.'/crop/'.$restaurant->mainimage.'" title="'.htmlentities($restaurant->title).'" alt="'.htmlentities($restaurant->title).'"/></a>';
					} else {
						echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_image.gif" width=60px"; title="No Image" alt="No Image"/></a>';	
					}
					
				echo '</div>' . "\n";
			echo '</div>' . "\n";
			echo '<div class="centercell" style="width:auto; #left:90px; #right:130px;">' . "\n";
				echo '<div class="rg_inner">' . "\n";
					
					echo '<p style="position:relative;" ><a class="titleitem" href="'. $link.'">';
					echo stripslashes($restaurant->title).'</a>';
					if ($restaurant->restauranttype) {
						echo '&nbsp;-&nbsp;<span style="font-size:11px;">'. $restaurant->restauranttype.'</span>';
					}
					
					if ($restaurant->hits > 0) {
						echo '<span style="position: absolute; right:0px; font-size:11px;">';
						if ($restaurant->hits==1) echo JText::_('RG_VISIT');
						if ($restaurant->hits>1) echo JText::sprintf('RG_VISITS',$restaurant->hits);
						echo '</span>' . "\n";
					}
					echo '</p>' . "\n";

					echo '<p class="cat" style="font-size:11px; line-height:1.2em">';	
						if ($restaurant->facilities) {
							$query="SELECT * FROM #__rg_facilities WHERE id IN (".$restaurant->facilities.")";
							$this->db->setQuery($query);
							$facilityDetails = $this->db->loadObjectList();
							if ( $facilityDetails != NULL )
							{
								foreach ( $facilityDetails as $facilityDetail )
								{ 
									if (!$facilityDetail->pictogram) continue;
									echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/pictogram/'.$facilityDetail->pictogram.'" width="17px" alt="'.htmlentities($facilityDetail->name).'" title="'.htmlentities($facilityDetail->name).'" />';
								}
								echo '<br />';
							}
						}
						if ($restaurant->address && $restaurant->cityname) echo '&#9642&nbsp;'.$restaurant->address;
						if ($restaurant->statescode) {
							echo ',&nbsp;'.$restaurant->statescode;
						}
						
						if ($restaurant->zipcode) {
							echo '&nbsp;'.$restaurant->zipcode;
						}
						echo '<br />';

				//		if ($this->rgconf->max_char_restaurant)
				//			$limitchar = $this->rgconf->max_char_restaurant;
				//		else
							$limitchar = 180;
						if ($restaurant->introduction) echo RGUtil::introtext(strip_tags($restaurant->introduction), $limitchar); 
						
						if ($restaurant->taglist) {
							echo '<div class="clear" style="margin:0"></div>' . "\n"; 
							echo '<div class="seperator"></div>';
							echo rgSelectHelper::showtags($restaurant->taglist);
						}
					echo '</p>';	
						
						
				echo '</div>';				
			echo '</div>' . "\n";
			
			echo '<div class="rightcell" style="vertical-align: middle;">' . "\n";
				echo '<div class="rg_inner">' . "\n";
			
					if ($restaurant->cuisinelist || $restaurant->votes) {
						echo '<div class="ratingIcon" style="font-weight:normal; font-size:11px; text-align:left; background-color:'.$this->rgconf->cuisineboxcolor.'; border-color:'.$this->rgconf->cuisinebordercolor.'; padding:5px;">';
						if ($restaurant->pricerange) {								
							echo '<p style="font-size:11px; height:20px;">';	
							echo '<strong><a href="index.php?option=com_restaurantguide&amp;task=showPricePopUp&amp;format=raw" class="modal">'.JTEXT::_('RG_PRICE').'</a>:&nbsp;';
							if ($restaurant->pricerange == 1) {
								echo JTEXT::_('RG_VV');
							} else if ($restaurant->pricerange == 2) {
								echo JTEXT::_('RG_VVV');
							} else if ($restaurant->pricerange == 3) {
								echo JTEXT::_('RG_VVVV');
							}
							echo '</strong></p>';
						}
						if ($restaurant->cuisinelist) {								
							echo '<p style="font-size:11px; line-height:1.1em;">';	
							echo '<strong>'.JTEXT::_('RG_CUISINE').':</strong><br/>';
							echo $restaurant->cuisinelist->cuisines;
							echo '</p>';
						}
						if ($restaurant->votes) {
							echo '<div style="padding-bottom:7px; text-align:center;"></div>' . "\n"; 
							echo rg_html::categoryratingbar($restaurant);
							echo '<p style="font-size:11px; font-weight:normal; text-align:center;">';	
							echo JText::sprintf('RG_USERS_RATING',number_format($restaurant->votes, 2, '.', ' ')); 
							echo '</P>';
						}
						echo '</div>';
					}
				echo '</div>';
			echo '</div>';				
		echo '</div>' . "\n";

		$i++;
		$k = 1 - $k; 

	endforeach; 
	echo '</div>' . "\n";

	echo rg_html::boxbottom();

	echo '<p class="pageslinks">' . "\n"; 
		echo $this->pageNav->getPagesLinks(); 
	echo '</p>' . "\n"; 
	
	echo '<p class="pagescounter">' . "\n"; 
		echo $this->pageNav->getPagesCounter();
	echo '</p>' . "\n"; 
	
echo '<div class="clear"></div>' . "\n"; 

?>


<p>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="tags" />
<input type="hidden" name="task" value="" />

</p>
</form>
<?php

	echo '<p style="width:100%; margin:0 auto; text-align:center;">';
        echo JTEXT::_("RG_THIS_IS_A_LIST_OF_MOST_POPULAR_TAGS");
    echo '</p>';
    echo '<ul id="cloud" class="tagcloud" style="width:100%; margin:0 auto; text-align:left;">' . "\n"; 
        foreach ($this->taglists as $tag) : 
            echo '<li><span>'.$tag->screenreader.' '.'</span><a href="'.$tag->link.'" class="tag'.$tag->size.'">'.$tag->name.'</a></li>' . "\n"; 
        endforeach;
    echo '</ul>' . "\n"; 
	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->tag_links && count($this->sponsors) > 0) {
		echo '<div class="clear"></div>' . "\n"; 
		echo rg_html::boxtop();
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</a></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
		echo rg_html::boxbottom();
	}
	
	if ($this->rgconf->tag_topdesti) {
		echo '<div style="clear:both;padding-top:10px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
		
	if ($this->rgconf->tag_desti)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');
	
	if ($this->rgconf->tag_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->tag_publisher_id, $this->rgconf->tag_ad_slot, $this->rgconf->tag_ad_width, $this->rgconf->tag_ad_height );
	}
		
	echo RGUtil::footer();
?>

</div>