<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.module.helper' );

?>
<script language="javascript" type="text/javascript">

function activateaccordion()
{
	window.addEvent('domready', function() {
	
		// Anpassung IE6
		if(window.ie6) var heightValue='100%';
		else var heightValue='';
		
		// Selektoren der Container für Schalter und Inhalt
		var togglerName='dt.accordion_toggler_';
		var contentName='dd.accordion_content_';
		
		
		// Selektoren setzen
		var counter=1;	
		var toggler=$$(togglerName+counter);
		var content=$$(contentName+counter);
		
		while(toggler.length>0)
		{
			// Accordion anwenden
			new Accordion(toggler, content, {
				opacity: false,

				onComplete: function() { 
					var element=$(this.elements[this.previous]);
					if(element && element.offsetHeight>0) element.setStyle('height', heightValue);			
				},
				onActive: function(toggler, content) {
					toggler.addClass('open');
				},
				onBackground: function(toggler, content) {
					toggler.removeClass('open');
				}
			});
			
			// Selektoren für nächstes Level setzen
			counter++;
			toggler=$$(togglerName+counter);
			content=$$(contentName+counter);
		}
		$('open_accordion_entry').fireEvent('click');
	});
}
window.onload=activateaccordion;

</script>

<?php
echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
		
		echo '<div style="clear:both;"></div>' . "\n";
	}
	
	if ($this->params->def( 'show_page_title', 1 ) && $this->rgconf->titleimage) {
		$height = $this->rgconf->titleimageheight + 0;

		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->rgconf->titleimage .'" align="left" width="100%" height="'.$this->rgconf->titleimageheight.'px" alt="'.htmlentities($this->params->get('page_title')).'" />' . "\n";  

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->world_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}

		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div style="clear:both;"></div>' . "\n";


	$this->rgconf->leadingnews = 1;
	$this->rgconf->intronews = 4;

	if ($this->review) {
		echo $this->loadTemplate('review');
	}
	else {
		echo '<div id="newsframe">' . "\n";

		$k =0;
		$n = $this->rgconf->leadingnews + $this->rgconf->intronews;
		if ($this->total < $n) {
			$n = $this->total;
		}
		$boxclass = array("newsleft", "newsright");
		for ($i = 0; $i <= $n-1; $i++ ) {
			$review = $this->reviews[$i];

			if ($i == 0) {
				echo '<div class="newsleading">' . "\n";
				echo '<h3>';
				echo '<a href='.JRoute::_( 'index.php?view=testimonial&id='. $review->slug ).'>' . "\n";
				echo stripslashes($review->title);
				echo '</a><span style="font-size:70%">&nbsp;-&nbsp;<a href='.JRoute::_( 'index.php?view=restaurant&id='. $review->restoslug ).'>'.$review->restoname.'</a></h3>';
				
				echo '<p class="small" style="font-style: normal; margin-top:10px;">';
				echo JText::_('RG_BY').'&nbsp;'.$review->submitedby;
				echo '<span style="float:right">'.JHTML::_('date',  $review->date,  JText::_('DATE_FORMAT_LC1') );
				echo '</span></p>' . "\n";

				$review->readmore = true;
				echo RGUtil::autoreadmore($review, 400);
				echo "<a class='readon' href='".JRoute::_( 'index.php?view=testimonial&id='. $review->slug )."'  >". JText::sprintf('Read more', $review->title) ."</a>";	
				echo '</div>' . "\n";
				echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
			} else {
				echo '<div class="'. $boxclass[$k] .'">' . "\n";
				echo '<div class="rgbox">' . "\n";
				echo '<h3 style="text-align:left">';
				echo '<a href='.JRoute::_( 'index.php?view=testimonial&id='. $review->slug ).'>' . "\n";
				echo stripslashes($review->title);
				echo '</a><span style="font-size:70%">&nbsp;-&nbsp;<a href='.JRoute::_( 'index.php?view=restaurant&id='. $review->restoslug ).'>'.$review->restoname.'</a></h3>';
				
				echo '<p class="small" style="font-style: normal; margin-top:10px;">';
				echo JText::_('RG_BY').'&nbsp;'.$review->submitedby;
				echo '<span style="float:right">'.JHTML::_('date',  $review->date,  JText::_('DATE_FORMAT_LC1') );
				echo '</span></p>' . "\n";

				$review->readmore = true;
				echo RGUtil::autoreadmore($review, 180);
				echo "<a class='readon' href='".JRoute::_( 'index.php?view=testimonial&id='. $review->slug )."'  >". JText::sprintf('Read more', $review->title) ."</a>";	

				echo '</div>' . "\n";
				echo '</div>' . "\n";
				
				if ($k == 1) {
					echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
				}
				$k = 1-$k; 
			}
		}
		echo '</div>' . "\n";
		echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
/*
		if (count($this->items) > $this->rgconf->leadingnews + $this->rgconf->intronews) {
			echo $this->loadTemplate('items');
		}
		
		echo '<p class="pageslinks">' . "\n";
			echo $this->pageNav->getPagesLinks();
		echo '</p>' . "\n";

		echo '<p class="pagescounter">' . "\n";
			echo $this->pageNav->getPagesCounter();
		echo '</p>' . "\n";	*/
	}	


echo '<div style="clear:both;padding-bottom:20px;"></div>' . "\n"; 

	if ($this->rgconf->world_links && count($this->sponsors) > 0) {
		echo '<div class="clear"></div>' . "\n"; 
		echo rg_html::boxtop();
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</s></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
		echo rg_html::boxbottom();
	}
	
	if ($this->rgconf->world_topdesti && count($this->topdestinations) > 0) {
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
	
	if ($this->rgconf->world_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
	}
?>
<!---
/***********************************************
* Restaurant Guide - © EazyTOUR (www.eazytour.com)
* Do not remove footer for legal use.
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
echo RGUtil::footer();

echo '</div>';
?>
