<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
/*
if ($this->review->lat) {
	if ($this->review->lat)
		$lat = $this->review->lat;
	else
		$lat = $this->rgconf->lat;
		
	if ($this->review->lon)
		$lon = $this->review->lon;
	else
		$lon = $this->rgconf->lon;
		
	if ($this->review->zoom)
		$zoom = $this->review->zoom;
	else
		$zoom = $this->rgconf->zoom;
		
	if ($this->review->maptype)
		$type = $this->review->maptype;
	else
		$type = $this->rgconf->maptype;
	
	switch ($type) {
		case 'map':
			$map_type='google.maps.MapTypeId.ROADMAP';
			break;
		case 'satellite':
			$map_type='google.maps.MapTypeId.SATELLITE';
			break;
		case 'hybrid':
			$map_type='google.maps.MapTypeId.HYBRID';
			break;
		case 'terrain':
			$map_type='google.maps.MapTypeId.TERRAIN';
			break;
		default :
			$map_type='google.maps.MapTypeId.ROADMAP';
	} 
} */
?>
<script language="javascript" type="text/javascript">
/*    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		var marker = new google.maps.Marker({
			position: latlng, 
			map: map,
			title:"Hello World!"
		}); 

	}

	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}

	window.addEvent('domready', function(){ 
		appendBootstrap();
	})*/
</script>
<?php


echo '<div>' . "\n";

    if ($this->review->title) :

		echo rg_html::boxtop();

			echo '<div class="content">' . "\n";
				if (($this->review->title)<>'')	{
					echo '<h3 class="title">';  
					echo stripslashes($this->review->title); 
					echo '</h3>';
				}
	
				echo '<div class="colmask">' . "\n";
					if ($this->review->restoimage) {
						echo '<a href="'.JURI::base().'images/restaurantguide/gallery/restaurant_'.$this->review->restoid.'/album/'.$this->review->restoimage.'" rel="lightbox" title="'.$this->review->restoname.'"><img class="img_left imgshadow" style="padding:4px;border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$this->review->restoid.'/resize/' .$this->review->restoimage. '" margin-right="10px" alt="'.$this->review->restoname.'"/></a>';
					}
/*					
					if ($this->review->image) {
						echo '<div class="leftcol" style="width:'.$imagewidth.'px; padding-top:10px;">' . "\n";
							echo '<img class="catimage" src="'.JURI::base() .'images/restaurantguide/review/resize/' . $this->review->image .'" align="left" width="'.$this->review->imagewidth.'px" height="'.$this->review->imageheight.'px" alt="" />';
						if ($this->review->lat) {
							echo '<div style="clear:both;padding-top:10px;"></div>' . "\n"; 
							echo '<h2 style="font-size: 1.0em; line-height:1.4em; text-align: center; color: #888; background-color: #1B1B1B; margin-bottom:0;">'.JText::_('LOCATION MAP').'</h2>' . "\n"; 
							echo '<div id="map"><div id="map_canvas" style="width: '.$imagewidth.'px; height: '.$imagewidth.'px"></div></div>' . "\n";
						}
						echo '</div>' . "\n";
					}
*/
					if (($this->review->description)<>'')	{
						$imagewidth = $this->rgconf->mainimage_size + 10;
						$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($this->review->restoslug) );
						echo '<div class="rightcol" style="margin-left:'.$imagewidth.'px; padding-top:10px;">' . "\n";
						
						echo '<ul id="top" class="feature">' . "\n";
						if ($this->review->restoname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('RG_RESTAURANT').':&nbsp;</strong>'. "\n";
							echo '<a href="'.$link.'">'.$this->review->restoname. '</a></li>'. "\n";
						}
						
						if ($this->review->cityname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('RG_PLACE').':&nbsp;</strong>'. "\n";
							echo $this->review->cityname;
							
							if ($this->review->statesname) {
								echo ',&nbsp;'.$this->review->statesname;
							}
							if ($this->review->countryname) {
								echo ',&nbsp;'.$this->review->countryname;
							}
							echo '</li>'. "\n";
						}
							
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('RG_REVIEWER').':&nbsp;</strong>'. "\n";
						echo $this->review->submitedby. '</li>'. "\n";
						
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('RG_SUBMIT_DATE').':&nbsp;</strong>'. "\n";
						echo JHTML::_('date', $this->review->date, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
						echo '</ul>';
						

						echo rg_html::ratingbar($this->review, JText::_('RG_USER_RATING'), 160, 0);
						echo rg_html::votebox($this->review, 1, 2, 160);
					
						echo '<div style="clear:both; padding-bottom:15px;"></div>' . "\n"; 
						echo '<p>';
						echo stripslashes($this->review->description);
						echo '</p>';
						echo '</div>' . "\n";
					}
	
				echo '</div>' . "\n";
			echo '</div>' . "\n";
			echo '<div style="clear:both;"></div>' . "\n";

		echo rg_html::boxbottom();
	endif;

echo '</div>' . "\n";

echo '<div class="clear"></div>' . "\n";  
 
?>
