<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


?>
<script language="javascript" type="text/javascript">

function getMapData(){ 

	var mapdata = new Array();
	var x = y = 0;
	<?php 
	foreach( $this->restaurants as $sub){ 
		if (empty($sub->lat)) continue;  ?>		
		mapdata[x] = new Array(2);
		for (y = 0; y < 2; y++) {
			if (y == 0) {
				mapdata[x][y] = <?php echo $sub->lat ?>;
			} else if (y == 1) {
				mapdata[x][y] = <?php echo $sub->lon ?>;
			}
		}
		
		x++;
	<?php
	} ?>

	return mapdata; 
}

function togglemainmap(){

	loadRestoMap(); 
}
</script>
<?php
if ($this->rgconf->api_key) {
	$base = array(
		'lat' => 0,
		'lon' => 0,
		'region' => "resto",
		'child' => false,
		'ajaxmap' => true
	);
	
	echo rg_html::showmap($this->rgconf, $base, $this->restaurants, JText::_('RG_RESTAURANTS'));
}

echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
		
		echo '<div style="clear:both;"></div>' . "\n";
	}

	if ($this->params->def( 'show_page_title', 1 ) && $this->rgconf->titleimage) {
		$height = $this->rgconf->titleimageheight + 0;

		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/country/album/' . $this->rgconf->titleimage .'" align="left" width="100%" height="'.$this->rgconf->titleimageheight.'px" alt="'.htmlentities($this->params->get('page_title')).'" />' . "\n";  

			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->world_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}

		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
					echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div style="clear:both;"></div>' . "\n";

	echo '<div id="restomap" style="display: none; height:480px;">' . "\n";
	echo rg_html::boxtop();
		echo '<h3 class="title">'; 
			echo JText::_('RG_FIND_RESTAURANTS_BY_MAP'); 
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	echo rg_html::boxbottom();
	echo '</div>' . "\n";
	
	
	
echo '<ul id="desti" style="margin:0; padding:0"><li>' . "\n";
$i = 0;
foreach ($this->types as $type) : 	
	$link = JRoute::_( restaurantguideHelperRoute::getTypeRoute($type->slug));

	if ($i == 0) {
		echo '<div class="desti_1" style="margin-left:0px">';
	} else if ($i == 3){
		echo '<div class="desti_1" style="margin-left:10px; margin-right:0px;">';
	} else {
		echo '<div class="desti_1" style="margin-left:10px;">';
	}

	echo '<ul class="restobox">';
	echo '<li style="line-height:13px;"><a href="'.$link.'">';
	echo '<h6 style="font-size:13px">'.JText::_($type->name).'</h6>';
	
	if ($type->image) {
		echo '<img style="border:none; width:100%;" src="'.JURI::base() .'images/restaurantguide/type/resize/'.$type->image.'" title="'.htmlentities($type->name).'" alt="'.htmlentities($type->name).'" />';
	} else {
		echo '<div style="text-align:center"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.htmlentities($type->name).'" alt="'.htmlentities($type->name).'" /></div>';	
	}
				
	echo '<p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:12px; float:right">';	
		if ($type->restos->assign > 0) {
			echo JText::sprintf('RG_S_RESTAURANTS', $type->restos->assign);	
		} else {
			echo JText::_('RG_NO_RESTAURANT'); 
		}
	echo '</p>';
	echo '</a></li></ul></div>';
	
	$i++;
	if ($i == 3) {
		echo '<div style="clear:both;"></div>' . "\n"; 
		$i = 0;
	} 
	
endforeach;
echo '</li></ul>' . "\n";			


/*
	if (count($this->types) > 0) {
		echo '<div id="list_wrapper"><ul class="multiple_columns">' . "\n";
		foreach ($this->types as $type) : 
			echo '<li>' . "\n";
				$link = JRoute::_( restaurantguideHelperRoute::getTypeRoute($type->slug));
				echo '<a href="'. $link.'">'.$type->name.'</a>' . "\n";
			echo '</li>' . "\n";
		endforeach;	
		echo '</ul></div>' . "\n";
	}
*/	
	echo '<div style="clear:both;"></div>' . "\n"; 

	if (count($this->restaurants) > 0)
		echo $this->loadTemplate('items');
	else
		echo JText::_('RG_OOPS!_THERE_ARE_NO_RESULTS');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->world_links && count($this->sponsors) > 0) {
		echo '<div class="clear"></div>' . "\n"; 
		echo rg_html::boxtop();
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;"><a href="index.php?option=com_restaurantguide&amp;task=showSponsorPopUp&amp;format=raw" class="modal">'.JText::_('RG_SPONSOR_LINKS').'</a></span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
		echo rg_html::boxbottom();
	}
	
	if ($this->rgconf->world_topdesti && count($this->topdestinations) > 0) {
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
	
	if ($this->rgconf->world_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->world_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->world_publisher_id, $this->rgconf->world_ad_slot, $this->rgconf->world_ad_width, $this->rgconf->world_ad_height );
	}
	echo '<div class="clear"></div>' . "\n"; 
?>
<!---
/***********************************************
* HotelGuide - © EazyTOUR (www.eazytour.com)
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
*
* If you want to remove copyright, 
* buy the commercial version.
*
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php	
	echo RGUtil::footer();

echo '</div>';
?>