<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<script type="text/javascript">

	function changeOrdering( order, dir )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		form.submit();
	}

</script>


<form action="<?php echo $this->action; ?>" method="post" id="adminForm">

	<div id="rg_filter" class="floattext">
		<div class="rg_fleft">
			<?php
			echo JText::_('RG_SORT_RESTAURANTS_BY'). ':&nbsp;'.implode(' | ', $this->sort_links);			
			?>
		</div>
		<div class="rg_fright">
        	<?php 
        	echo JText::_('RG_RESTOSPERPAGE').'&nbsp;';
			echo $this->pageNav->getLimitBox(); ?>
		</div>
	</div>

<?php 

echo rg_html::boxtop();

	echo '<h3 class="title">';
//			echo $this->city->name;
	echo '</h3>' . "\n";

	$k = 0;
	$i = 0;
	if ($this->rgconf->listheight_resto)
		$margin = $this->rgconf->listheight_resto;
	else
		$margin = 74;
	
	echo '<div class="itembox">' . "\n";
	
	foreach($this->restaurants as $restaurant) :	
		if ($k == 0) 
			echo '<div class="titlerow" style="height:'.$margin.'px; background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_light.png) 0 0 repeat;">' . "\n";
		else
			echo '<div class="titlerow" style="height:'.$margin.'px; background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_dark.png) 0 0 repeat;">' . "\n";
				echo '<div class="leftcell">' . "\n";
					echo '<div class="rg_inner">' . "\n";
					$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($restaurant->slug) );

					if ($restaurant->mainimage) {
						echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$restaurant->id.'/crop/'.$restaurant->mainimage.'" title="'.htmlentities($restaurant->title).'" alt="'.htmlentities($restaurant->title).'"/></a>';
					} else {
						echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_image.gif" width=60px"; title="No Image" alt="No Image"/></a>';	
					}
					echo '</div>' . "\n";	
				echo '</div>' . "\n";
				echo '<div class="centercell" style="width:auto; #left:90px; #right:130px;">' . "\n";
					echo '<div class="rg_inner">' . "\n";
						
						echo '<p style="position:relative;" ><a class="titleitem" href="'. $link.'">';
						echo stripslashes($restaurant->title).'</a>';
						if ($restaurant->restauranttype) {
							echo '&nbsp;-&nbsp;<span style="font-size:11px;">'. $restaurant->restauranttype.'</span>';
						}
						
						if ($restaurant->hits > 0 /*&& $this->rgconf->showhit*/) {
							echo '<span style="position: absolute; right:0px; font-size:11px;">';
							if ($restaurant->hits==1) echo JText::_('RG_VISIT');
							if ($restaurant->hits>1) echo JText::sprintf('RG_VISITS',$restaurant->hits);
							echo '</span>' . "\n";
						}
						echo '</p>' . "\n";
	
						echo '<p class="cat" style="font-size:11px; line-height:1.2em">';	
							if ($restaurant->facilities) {
								$query="SELECT * FROM #__rg_facilities WHERE id IN (".$restaurant->facilities.")";
								$this->db->setQuery($query);
								$facilityDetails = $this->db->loadObjectList();
								if ( $facilityDetails != NULL )
								{
									foreach ( $facilityDetails as $facilityDetail )
									{ 
										if (!$facilityDetail->pictogram) continue;
										echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/pictogram/'.$facilityDetail->pictogram.'" width="17px" alt="'.htmlentities($facilityDetail->name).'" title="'.htmlentities($facilityDetail->name).'" />';
									}
									echo '<br />';
								}
							}
							if ($restaurant->address && $restaurant->cityname) echo '&#9642&nbsp;'.$restaurant->address.'<br />';
	
					//		if ($this->rgconf->max_char_restaurant)
					//			$limitchar = $this->rgconf->max_char_restaurant;
					//		else
								$limitchar = 180;
							if ($restaurant->introduction) echo RGUtil::introtext(strip_tags($restaurant->introduction), $limitchar); 
						
							
							if ($restaurant->taglist)
								echo rgSelectHelper::showtags($restaurant->taglist);
						echo '</p>';		
					echo '</div>';				
				echo '</div>' . "\n";

				echo '<div class="rightcell" style="vertical-align: middle;">' . "\n";
					echo '<div class="rg_inner">' . "\n";
				
						if ($restaurant->cuisinelist || $restaurant->votes) {
							echo '<div class="ratingIcon" style="font-weight:normal; font-size:11px; text-align:left; background-color:'.$this->rgconf->cuisineboxcolor.'; border-color:'.$this->rgconf->cuisinebordercolor.'; padding:5px;">';
							if ($restaurant->pricerange) {								
								echo '<p style="font-size:11px; margin-botton:5px;">';	
								echo '<strong>'.JTEXT::_('RG_PRICE').':&nbsp;';
								if ($restaurant->pricerange == 1) {
									echo JTEXT::_('RG_VV');
								} else if ($restaurant->pricerange == 2) {
									echo JTEXT::_('RG_VVV');
								} else if ($restaurant->pricerange == 3) {
									echo JTEXT::_('RG_VVVV');
								}
								echo '</strong></p>';
							}
							if ($restaurant->cuisinelist) {								
								echo '<p style="font-size:11px; line-height:1.1em;">';	
								echo '<strong>'.JTEXT::_('RG_CUISINE').':</strong><br/>';
								echo $restaurant->cuisinelist->cuisines;
								echo '</p>';
							}
							if ($restaurant->votes) {
								echo '<div style="padding-bottom:7px; text-align:center;"></div>' . "\n"; 
								echo rg_html::categoryratingbar($restaurant);
								echo '<p style="font-size:11px; font-weight:normal; text-align:center;">';	
								echo JText::sprintf('RG_USERS_RATING',number_format($restaurant->votes, 2, '.', ' ')); 
								echo '</P>';
							}
							echo '</div>';
						}
					echo '</div>';
				echo '</div>';				
			echo '</div>' . "\n";

		$i++;
		$k = 1 - $k; 

	endforeach;
	echo '</div>' . "\n";

echo rg_html::boxbottom();

echo '<p class="pageslinks">';
	echo $this->pageNav->getPagesLinks();
echo '</p>' . "\n"; 

echo '<p class="pagescounter">';
	echo $this->pageNav->getPagesCounter(); 
	echo '<div class="clear"></div>' . "\n"; 
echo '</p>' . "\n"; 
?>

<p>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="city" />
<input type="hidden" name="task" value="" />

</p>
</form>
