<?php
/**
 * @version 1.0 $Id: tablefile.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide Reservations table class
 *
 * @package Joomla
 * @subpackage Reservations
 * @since 0.9
 */
class rg_reservations extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id 			= null;
	var $firstname		= null;
	var $lastname		= null;
	var $email			= null;
	var $sender_ip		= null;
	var $subject		= null;
	var $hotel			= null;
	var $city			= null;
	var $hotel_country	= null;
	var $roomtype		= null;
	var $bedtype		= null;
	var $adult			= null;
	var $children		= null;
	var $rooms			= null;
	var $breakfast		= null;
	var $nobreakfast	= null;
	var $status			= null;
	var $checkin		= null;
	var $checkout		= null;
	var $rdate			= null;
	var $mdate			= null;
	var $country		= null;
	var $phone			= null;
	var $comment		= null;
	var $tamount		= null;
	var $pamount		= null;
	var $damount		= null;
	var $confirm_subject	= null;
	var $confirm_description = null;
	var $change_subject		= null;
	var $change_description	= null;
	var $rewards		= 0;
	var $user_id		= null;
	var $checked_out 	= 0;
	var $checked_out_time	= '';
	var $ordering		= null;

	function rg_reservations(& $db) {
		parent::__construct('#__rg_reservations', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{

		return true;
	}
}
?>