<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

JHTML::_('behavior.formvalidation');

$tempregion = explode(", ", $this->row->region);
$tempphone = explode(", ", $this->row->phone);

// create script string to append to content. First create the value array in JavaScript.
$regionscript = 'var region = new Array(';
if (count($tempregion)>1) {
    foreach ($tempregion as $key => $value){
        if ($key < (count($tempregion)-1)){
            $regionscript = $regionscript . '"'.$value . '",';
        }
        else {
            $regionscript = $regionscript . '"'.$value.'"' . ");\n";
        }
    }
}
else {  // can't create an array that just has one integer element using Array()
    $regionscript = $regionscript . '"' . $tempregion[0] . '"'.");\n";
}

$phonescript = 'var phone = new Array(';
if (count($tempphone)>1) {
    foreach ($tempphone as $key => $value){
        if ($key < (count($tempphone)-1)){
            $phonescript = $phonescript . '"'.$value . '",';
        }
        else {
            $phonescript = $phonescript . '"'.$value.'"' . ");\n";
        }
    }
}
else {  // can't create an array that just has one integer element using Array()
    $phonescript = $phonescript . '"' . $tempphone[0] . '"'.");\n";
}
?> 

<script language="javascript" type="text/javascript">
<!--
	var number = 0;
	var counter = 0;
	
	var loadHTML = '';
	var phoneHTML = '';
	<?php echo $regionscript; ?>
	<?php echo $phonescript; ?>
	window.addEvent('domready', function() { 
		number = <?php echo count($tempregion) ?>; 		
		
		if (number > 0) { 
			var i; 
			for (i=0; i<number;i++) { 
				loadInput(region[i], phone[i], i); 
			} 
		} 
	});
		
	function loadInput(region, phone, no){

		loadHTML += '<table class="adminform"><tr><td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRY', 'region', false, '' ); ?></td><td><input name="region[]" value="'+region+'" size="50" maxlength="255" /></td></tr><tr><td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PHONE_NUMBER', 'phone', false, '' ); ?></td><td><input name="phone[]" value="'+phone+'" size="50" maxlength="40" /></td></tr></table>';
		document.getElementById('loadphone').innerHTML = loadHTML; 
		counter = no;	
	}
	
	function addInput(){
		counter++;
		phoneHTML += '<table class="adminform"><tr><td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRY', 'region', false, '' ); ?></td><td><input name="region[]" value="" size="50" maxlength="255" /></td></tr><tr><td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PHONE_NUMBER', 'phone', false, '' ); ?></td><td><input name="phone[]" value="" size="50" maxlength="40" /></td></tr></table>';
		document.getElementById('showphone').innerHTML = phoneHTML; 		
	}

//-->
</script>


<div>
<form action="index.php?option=com_restaurantguide&amp;view=callus" method="post" name="adminForm" id="adminForm" class="form-validate" enctype="multipart/form-data">
	
    <table class="adminform">
    	<tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_OUR_TOLLFREE', 'tollfree', true ); ?></td>
            <td>
                <input id="tollfree" name="tollfree" value="<?php echo $this->row->tollfree; ?>" size="50" maxlength="255" />
            </td>
        </tr>
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_OUR_INTERNATIONAL', 'international' ); ?></td>
            <td>
                <input id="international" name="international" value="<?php echo $this->row->international; ?>" size="50" maxlength="255" />
            </td>
        </tr>
    </table>
    <table class="adminform">
    	<div style="float:right"><input type="button" class="button" value="<?php echo JText::_('RG_ADD_REGION') ?>" onclick="addInput()" /></div>
        <div style="margin-bottom:10px"></div>
        <div id="loadphone"></div>
        <div id="showphone"></div>
        <tr>
        	
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DESCRIPTION', 'intro', false, '' ); ?></td>
            <td>
                <?php echo $this->editor->display( 'intro',  $this->row->intro , '100%', '300', '75', '20', $buttons = false ); ?>
            </td>
        </tr>
    </table>

    <?php echo JHTML::_( 'form.token' ); ?>
    <input type="hidden" name="option" value="com_restaurantguide" />
    <input type="hidden" name="controller" value="callus" />
    <input type="hidden" name="view" value="callus" />
    <input type="hidden" name="task" value="" />
</form>
</div>