<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewCallUs extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);
		
	}

	function displayDefault()
	{
		global $mainframe, $hgconf;

		$params 	= & JComponentHelper::getParams('com_restaurantguide');
		$editor 	= & JFactory::getEditor();
		
		JToolBarHelper::title( JText::_( 'RG_CALL_US' ), 'callus' );
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();

		$model = &$this->getModel();
		$row = & $this->get( 'Data');
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('editor', 				$editor);
		$this->assignRef('row', 				$row);
	}
}
?>