<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                <tr>
                    <td class="key">
                        <label for="name">
                            <?php echo JText::_( 'RG_CHAIN_NAME' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
                    </td>
                </tr>
                <tr>
                    <td class="key">
                        <label for="alias">
                            <?php echo JText::_( 'RG_ALIAS' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <input id="alias" name="alias" value="<?php echo $this->row->alias; ?>" size="50" maxlength="100" />
                    </td>
                </tr>
                <tr>
                    <td class="key">
                        <label for="published">
                            <?php echo JText::_( 'RG_PUBLISHED' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <?php
                        $html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
                        echo $html;
                        ?>
                    </td>
                </tr>
                <tr>    
                    <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_USE_SEARCH_FILTER', 'searchfilter', true ); ?></td>
                    <td><?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'searchfilter', null, $this->row->searchfilter ); ?></td>
                </tr> 
            </table>		
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="chains" />
<input type="hidden" name="view" value="chain" />
<input type="hidden" name="task" value="" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>