<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

if ($this->row->lat)
	$lat = $this->row->lat;
else
	$lat = $this->rgconf->lat;
	
if ($this->row->lon)
	$lon = $this->row->lon;
else
	$lon = $this->rgconf->lon;
	
?> 
    

<script language="javascript" type="text/javascript">

	window.addEvent( "domready", function()
	{  
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 5, script_url :'index.php?option=com_restaurantguide&controller=cities&format=raw', task:'gettags'});
		tags.fetchscreen();
	});
	
	function addtag()
	{
		var tagname = document.adminForm.tagname.value;
		var type = 5;
		var agent = <?php echo $this->user->id; ?>;
		
		if(tagname == ''){
			alert('<?php echo JText::_('RG_ENTER_TAG', true); ?>');
			return;
		}
	
		var tag = new itemscreen();
		tag.addtag( tagname, type, agent );
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 5, script_url :'index.php?option=com_restaurantguide&controller=cities&format=raw', task:'gettags'});
		tags.fetchscreen();
	}
	
    var map;function handleApiReady(){var b=new google.maps.LatLng(<?php echo $lat?>,<?php echo $lon?>);var c={zoom:4,center:b,scaleControl:true,mapTypeControl:true,mapTypeControlOptions:{style:google.maps.MapTypeControlStyle.DROPDOWN_MENU},navigationControl:true,navigationControlOptions:{style:google.maps.NavigationControlStyle.ZOOM_PAN},mapTypeId:google.maps.MapTypeId.ROADMAP};map=new google.maps.Map(document.getElementById("map_canvas"),c);google.maps.event.addListener(map,'click',function(a){codeLatLng(a.latLng)});google.maps.event.addListener(map,'center_changed',centerChanged)}function centerChanged(){document.adminForm.lat.value=map.getCenter().lat();document.adminForm.lon.value=map.getCenter().lng()}function appendBootstrap(){var a=document.createElement("script");a.type="text/javascript";a.src="http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";document.body.appendChild(a)}function selectStates(a){var b=$('progressL');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=selectStates',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectCity(a)},update:$('AjaxState'),data:'country_id='+a}).send();alert()}function selectCity(a){var b=$('progressM');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=selectCity',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectResto(a)},update:$('AjaxCity'),data:'country_id='+a}).send()}function secondCity(a){var b=$('progressM');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=secondCity',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectResto(a)},update:$('AjaxCity'),data:'states='+a}).send()}
	
</script>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                	<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CITY_LOCAL_AREA_NAME', 'name' ); ?></td>
						<td>
							<input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ALIAS', 'alias' ); ?></td>
						<td>
                        	<input name="alias" value="<?php echo $this->row->alias; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                	<tr>
                        <?php 
						$row->id=0;
						$row->country = $this->row->country;
						?>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRY', 'country' ); ?></td>
						<td>
							<?php echo JHTML::_( 'restaurantguide.list.selectCountry', 'country', $this->row->country, NULL ); ?>
						</td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_STATES', 'states' ); ?></td>
                        <td colspan='2' align='left'>
                            <div id="AjaxState" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->states = $this->row->states;
                            echo rgSelectHelper::SelectAjaxState( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressL"></div> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PARENT_CITY', 'parent_id' ); ?></td>
                        <td colspan='2' align='left'>
                            <div id="AjaxCity" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->parent_id = $this->row->parent_id;
                            echo rgSelectHelper::SelectAjaxParentCity( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressM"></div>
                        </td>
                    </tr>
					<tr>
						<td class="key">
							<label for="published">
								<?php echo JText::_( 'RG_PUBLISHED' ).':'; ?>
							</label>
						</td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
                    <tr>
                    	<td class="key">
							<label for="tags">
								<?php echo JText::_( 'RG_PLEASE_SELECT_TAGS' ).':'; ?>
							</label>
						</td>
                        <td>
                            <div id="tags"></div>
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TOP_DESTINATION', 'destination' ); ?></td>
                        <td valign="top">
                            <input type="text" size="10" name="destination" value="<?php echo $this->row->destination ?>" /> 
                            <?php
                            echo '<div class="rg-error">';
                            echo JText::_( 'RG_INSERT_NUMBER_DESINATIONS' );
                            echo '</div>';
                            ?>
                        </td>
                    </tr>
                    <tr>
						<td class="key">
                            <?php echo JHTML::_('tooltip', JText::_( 'RG_UPLOAD_CITY_IMAGE' ), null , null, JText::_( 'RG_CITY_IMAGE' ).':'); ?>
                        </td>
                        <td><input type="file" name="file_upload" size="30" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'image' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->image) { ?>
                                    <img src="../images/restaurantguide/city/thumb/<?php echo $this->row->image; ?>" /><br />
                                    <input class="text_area" type="text" disabled name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                    <input class="text_area" type="text" disabled name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                    <input class="text_area" type="text" disabled name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TITLE_IMAGE', '' ); ?></td>
                        <td><input type="file" name="title_upload" size="50" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'preview' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->titleimage) { ?>
                                    <img src="../images/restaurantguide/city/thumb/<?php echo $this->row->titleimage; ?>" /><br />
                                    <input class="text_area" type="text" disabled name="titleimage" id="titleimage" size="40" maxlength="255" value="<?php echo $this->row->titleimage; ?>" />
                                    <input class="text_area" type="text" disabled name="titleimagewidth" id="titleimagewidth" size="10" maxlength="50" value="<?php echo $this->row->titleimagewidth; ?>" />
                                    <input class="text_area" type="text" disabled name="titleimageheight" id="titleimageheight" size="10" maxlength="50" value="<?php echo $this->row->titleimageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
				</table>
                <table class="adminform">

                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MAP', 'showmap' ); ?></td>
                        <td valign="top">
                            <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LATITUDE_LONGITUDE', 'lat' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="lat" value="<?php echo $this->row->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->row->lon ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SELECT_MAP_COORD', 'map' ); ?></td>
                       <td><div id="map"><div id="map_canvas" style="width: 100%; height: 400px"></div><div id="crosshair"></div></div></td>
                    </tr>  	

                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DESCRIPTION', 'description' ); ?></td>
                        <td>
                            <?php
                            echo $this->editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
                            ?>
                        </td>
                    </tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_TITLE', 'meta_title' ); ?></td>
                        <td valign="top">
                            <input id="meta_title" name="meta_title" class="required" value="<?php echo $this->row->meta_title; ?>" size="80" maxlength="255" />
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_DESCRIPTION', 'metadesc' ); ?></td>
						<td valign="top">
							<textarea class="inputbox" cols="100%" rows="5" name="meta_description" id="metadesc" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_description); ?></textarea>
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_KEYWORDS', 'metakey' ); ?></td>
                        <td valign="top">
							<textarea class="inputbox" cols="80" rows="5" name="meta_keywords" id="metakey" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_keywords); ?></textarea>
						</td>
					</tr>
				</table>	
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="cities" />
<input type="hidden" name="view" value="city" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="image" value="<?php echo $this->row->image; ?>" />
<input type="hidden" name="imagewidth" value="<?php echo $this->row->imagewidth; ?>" />
<input type="hidden" name="imageheight" value="<?php echo $this->row->imageheight; ?>" />
<input type="hidden" name="titleimage" value="<?php echo $this->row->titleimage; ?>" />
<input type="hidden" name="titleimagewidth" value="<?php echo $this->row->titleimagewidth; ?>" />
<input type="hidden" name="titleimageheight" value="<?php echo $this->row->titleimageheight; ?>" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>