<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CURRENCY', 'name' ); ?></td>
						<td>
							<input type="text" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CODE', 'code' ); ?></td>
						<td>
                        	<input id="code" name="code" value="<?php echo $this->row->code; ?>" size="20" maxlength="100" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRYCODE_1', 'countrycode_1' ); ?></td>
						<td>
                        	<input id="countrycode_1" name="countrycode_1" value="<?php echo $this->row->countrycode_1; ?>" size="20" maxlength="3" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CURRENCY_SYMBOL', 'symbol' ); ?></td>
						<td>
                        	<input id="symbol" name="symbol" value="<?php echo $this->row->symbol; ?>" size="10" maxlength="10" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DECIMALS', 'decimals' ); ?></td>
						<td>
                        	<input id="decimals" name="decimals" value="<?php echo $this->row->decimals; ?>" size="5" maxlength="1" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DECIMAL_SYMBOL', 'decimalsymbol' ); ?></td>
						<td>
                        	<input id="decimalsymbol" name="decimalsymbol" value="<?php echo $this->row->decimalsymbol; ?>" size="5" maxlength="1" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_THOUSANDS_SEPARATOR', 'separator' ); ?></td>
						<td>
                        	<input id="separator" name="separator" value="<?php echo $this->row->separator; ?>" size="5" maxlength="1" />
						</td>
					</tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CURRENCY_FORMAT', 'format', true ); ?></td>	
                        <td><?php echo JHTML::_( 'restaurantguide.list.currencyformat', 'format', $this->row->format, NULL ); ?></td>
                    </tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published' ); ?></td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
				</table>			
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="currencies" />
<input type="hidden" name="view" value="currency" />
<input type="hidden" name="task" value="" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>