<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


?>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
    <table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_FACILITY_NAME', 'name', true ); ?></td>
                        <td>
                            <input class="text_area" type="text" name="name" id="name" size="60" maxlength="50" value="<?php echo $this->data->name; ?>" />
                        </td>
                    </tr>      
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_FACILITY_IMAGE', 'pictogram' ); ?></td>
                        <td>
                            <input type="file" name="file_upload" size="50" />
                        
                            <div class="photogrid">
                                <?php
                                if ($this->data->pictogram) { ?>
                                    <img src="../images/restaurantguide/pictogram/<?php echo $this->data->pictogram; ?>" /><br />
                                    <input name="image" value="<?php echo $this->data->pictogram; ?>" size="30" maxlength="255" />
                                <?php } else {?>
                                    <img src="../administrator/com_restaurantguide/asstes/images/no_listthumb.png" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                            </div>
                        </td>
                    </tr>    
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DESCRIPTION', 'description' ); ?></td>
                        <td>
                            <input class="text_area" type="text" name="numdays" id="numdays" size="60" maxlength="50" value="<?php echo $this->data->description; ?>" />
                        </td>
                    </tr>      
                    <tr>    
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published', true ); ?></td>
                        <td><?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'published', null, $this->data->published ); ?></td>
                    </tr>              
                </table>		
			</td>
		</tr>
	</table>
<div class="clr"></div>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->data->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="facilities" />
<input type="hidden" name="view" value="facility" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
