<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.formvalidation');

$editor =& JFactory::getEditor();

?>

<script language="javascript" type="text/javascript">
<!--

var room_id = <?php echo $this->row->roomtype; ?>;
var bedtype =  <?php echo $this->row->bedtype; ?>;
window.addEvent('domready', function(){  
	roomtypelist(); 
	bedtypelist();	
});
	
function roomtypelist()
{
	var elem = document.adminForm.roomtypelist;
	var i = 0;

	elem.style.width="200px";
	elem.style.fontSize="11px";
	elem.options.length = 0;
	elem.options[-1]= new Option("- <?php echo JText::_('HG_SELECT_A_ROOM_TYPE') ?> -",""); 
	<?php 
	foreach ($this->rooms as $room ) { ?>
		elem.options[i] = new Option("<?php echo $room->title ?>","<?php echo $room->id ?>");
		if(elem.options[i].value == room_id)
			elem.selectedIndex = i;
		i++; 
		<?php
		if ($room->subrate) { 
			foreach ($room->subrate as $sub ) { ?>
				var title = "\u00A0\u00A0\u00A0-\u00A0<?php echo $sub->title ?>";
				elem.options[i] = new Option(title, "<?php echo $sub->id ?>");
				if(elem.options[i].value == room_id)
					elem.selectedIndex = i;
				i++;  
				<?php
			} 
		} 
	} ?>
}

function bedtypelist()
{	
	var elem = document.adminForm.bedtypelist;	
	var i = 0;
	elem.style.width="200px";
	elem.style.fontSize="11px";
	elem.options.length = 0;
	elem.options[-1] = new Option("- <?php echo JText::_( 'HG_SELECT_A_BED_TYPE' ) ?> -",""); 
	<?php 
	$beds = $this->getBedType($this->row->roomtype); 
	foreach ($beds as $bed) { 
		if ($bed->breakfast == 2) { ?>
			elem.options[i] = new Option("<?php echo $bed->bedtype ?> - <?php echo JText::_( 'HG_BREAKFAST' ) ?>", "<?php echo $bed->id ?>"); <?php
		} else { ?>
			elem.options[i] = new Option("<?php echo $bed->bedtype ?>", "<?php echo $bed->id ?>"); <?php
		} ?>
		
//		if(elem.options[i].value == bedtype)
//			elem.selectedIndex = i;
		i++; <?php
	} ?>
}

function changeroomtype()
{
	var selRoom = document.adminForm.roomtypelist;
	var selRooomIndex = selRoom.selectedIndex;
	var roomtype = selRoom.options[selRooomIndex].value
	
	var progressA = $('progressA');

	var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=ChangeBed';

	var ajax = new Ajax(url, {
		method: 'get',
		onRequest: function(){progressA.setStyle('visibility', 'visible');},
		onComplete: function(){progressA.setStyle('visibility', 'hidden');},
		update: $('AjaxBedType'), 
		data: 'room_id='+roomtype
		});
	ajax.request();
}

function changebedtype()
{
	var selBed = document.adminForm.bedtypelist;
	var selBedIndex = selBed.selectedIndex;
	bedtype = selBed.options[selBedIndex].value;
	
	var progressB = $('progressB');
	
	var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=ChangeBreakfast';

	var ajax = new Ajax(url, {
		method: 'get',
		onRequest: function(){progressB.setStyle('visibility', 'visible');},
		onComplete: function(){progressB.setStyle('visibility', 'hidden');},
		update: $('AjaxBreakfast'), 
		data: 'bed_id='+bedtype
		});
	ajax.request();
}

function calculate()
{
	var selBed = document.adminForm.bedtypelist;
	var selBedIndex = selBed.selectedIndex;
	bedtype = selBed.options[selBedIndex].value;
	
	alert(bedtype);
	
var tamount = document.getElementById("tamount"); 
var pamount = document.getElementById("pamount");
var damount = tamount.value - pamount.value;
document.getElementById("damount").value = damount;
}

function submitbutton(pressbutton) {
	
	var form = document.adminForm;
	
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}
	
	if (pressbutton == 'apply' || pressbutton == 'save') {
/*		if ( form.title.value == "") {
			alert( "<?php echo JText::_('AD MUST HAVE A TITLE') ?>" );
			return;
		} */
	} 
	submitform( pressbutton );

	return;
}
//-->
</script>



<div>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="form-validate" enctype="multipart/form-data">
	<fieldset>
    <legend>&nbsp;<?php echo JText::_('HG_BOOKING_INFORMATION');?>&nbsp;</legend>
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">

        </tr>
        <tr>
            <td width="80%" valign="top" align="left">
                <table class="admintable">
                	<tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_BOOKING_ID', 'id', false ); ?></td>
                        <td>
                            <?php echo $this->row->id; ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_LEAD_GUEST', 'name', false ); ?></td>
                        <td>
                            <?php echo $this->row->firstname.' '.$this->row->lastname; ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_ACCOMMODATION', 'restaurant', false ); ?></td>
                        <td>
                            <?php echo $this->row->restaurantname.', '.$this->row->cityname ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_ROOM', 'roomtype', false ); ?></td>
                        <td>
                            <script type="text/javascript">
								document.write('<select name="roomtypelist" onChange="changeroomtype()"><option value="-1"><?php echo JText::_('HG_SELECT_A_ROOM_TYPE') ?></option></select>');
							</script> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_BED_TYPE', 'bedname', false ); ?></td>
                        <td>
                            <div id="AjaxBedType">
							<script type="text/javascript">
                                document.write('<select name="bedtypelist" onChange="changebedtype()"><option value="-1"><?php echo JText::_('HG_SELECT_A_BED_TYPE') ?></option></select>');
                            </script> 
                            </div>
                            <div id="progressA"></div>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_BREAKFAST', 'nobreakfast', false ); ?></td>
                        <td>
                            <?php 							
							echo '<div id="AjaxBreakfast">';
								if (isset( $this->row->breakfast)) {
									if ( $this->row->breakfast == 2) {
										echo JText::_('HG_INCLUDES_BREAKFAST').  "\n";
									} else if ( $this->row->breakfast == 1) { ?>
                                    	<input type="text" size="10" name="nobreakfast" value="<?php echo $this->row->nobreakfast ?>" />  <?php			
										echo '&nbsp;&nbsp;'.JText::_('HG_DAYS_PER_PERSON');
									} else if ( $this->row->breakfast == 0) {
										echo JText::_('HG_NOT_AVAILABLE').  "\n";
									}
								} 
							echo '</div>';
							echo '<div id="progressB"></div>'; 
							?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_NO_ROOMS', 'rooms', false ); ?></td>
                        <td>
                            <input type="text" size="10" name="rooms" value="<?php echo $this->row->rooms ?>" /> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_ADULTS', 'adult', false ); ?></td>
                        <td>
                            <input type="text" size="10" name="adult" value="<?php echo $this->row->adult ?>" /> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CHILDREN', 'children', false ); ?></td>
                        <td>
                            <input type="text" size="10" name="children" value="<?php echo $this->row->children ?>" /> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CHECKIN', 'checkin', false ); ?></td>
                        <td>
                            <?php echo JHTML::_('calendar', $this->row->checkin, "checkin", "checkin"); ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CHECKOUT', 'checkout', false ); ?></td>
                        <td>
                            <?php echo JHTML::_('calendar', $this->row->checkout, "checkout", "checkout"); ?>
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_BOOKING_STATUS', 'status', false ); ?></td>
                        <td>
                            <?php echo JHTML::_( 'restaurantguide.list.bookingstatus', 'status', $this->row->status, NULL ); ?> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_AMOUNT_TOTAL', 'tamount', false ); ?></td>
                        <td>
                            <input type="text" size="20" name="tamount" id="tamount" value="<?php echo $this->row->tamount ?>" />
                            <input type='button' value='<?php echo JText::_('HG_CALCULATE');?>' onClick="calculate()" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_AMOUNT_PAID', 'pamount', false ); ?></td>
                        <td>
                            <input type="text" size="20" name="pamount" id="pamount" value="<?php echo $this->row->pamount ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_AMOUNT_DUE', 'damount', false ); ?></td>
                        <td>
                            <input type="text" size="20" name="damount" id="damount" value="<?php echo $this->row->damount ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_REWARDS', 'rewards', false ); ?></td>
                        <td>
                            <input type="text" size="20" name="rewards" value="<?php echo $this->row->rewards ?>" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_RESERVATIN_DATE', 'rdate', false ); ?></td>
                        <td>
                            <?php echo JHTML::Date($this->row->rdate, "%A, %d. %B %Y"); ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_MODIFIED_DATE', 'mate', false ); ?></td>
                        <td>
                            <?php echo JHTML::Date($this->row->mdate, "%A, %d. %B %Y"); ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr> 

	</table>  
    </fieldset>
    <fieldset>
    <legend>&nbsp;<?php echo JText::_('HG_REPLY');?>&nbsp;</legend>
	<table class="admintable">
    	<tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CONFIRMATION_EMAIL_SUBJECT', 'confirm_subject', true ); ?></td>
            <td>
                <input type="text" size="60" name="confirm_subject" value="<?php if ($this->row->confirm_subject == '') { echo $this->hgconf->subject_confirm.'&nbsp;'.$this->row->id; } else { echo $this->row->confirm_subject; } ?>" />
            </td>
		</tr>
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CONFIRM_DESCRIPTION', 'confirm_description', false, '' ); ?></td>
            <td>
                <?php 
				if ($this->row->confirm_description == '') { $content = $this->hgconf->confirm_content; } else { $content = $this->row->confirm_description; }
				echo $editor->display( 'confirm_description', $content, '100%', '200', '75', '20', $buttons = false ); ?>
            </td>
        </tr>
    </table>  
    </fieldset>
    <fieldset>
    <legend>&nbsp;<?php echo JText::_('HG_CHANGE_BOOKING_STATUS');?>&nbsp;</legend>
	<table class="admintable">
    	<tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CHANGE_EMAIL_SUBJECT', 'change_subject', true ); ?></td>
            <td>
                <input type="text" size="60" name="change_subject" value="<?php if ($this->row->change_subject == '') { echo $this->hgconf->subject_change.'&nbsp;'.$this->row->id; } else { echo $this->row->change_subject; } ?>" />
            </td>
		</tr>
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HG_CHANGE_DESCRIPTION', 'change_description', false, '' ); ?></td>
            <td>
                <?php 
				if ($this->row->change_description == '') { $content = $this->hgconf->change_content; } else { $content = $this->row->change_description; }
				echo $editor->display( 'change_description', $content, '100%', '200', '75', '20', $buttons = false ); ?>
            </td>
        </tr>
    </table>  
    </fieldset>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="reservation" />
<input type="hidden" name="view" value="reservation" />
<input type="hidden" name="task" value="" />
</form>

</div>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>