<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


JToolBarHelper::title( JText::_( 'RG_WELCOME_TO_RESTAURANT_GUIDE'), 'restaurants' )

?>
<div id="restaurant" style="float:left;width:80%; text-align:center;">
	<div class="adminform" style="margin-left:5px;">
    	<div id="cpanel">
        <?php 
    	if (!$this->existmenu)
		{
			echo '<div class="rg-error">';
				if (!$this->existmenu)	echo JText::_( 'RG_RESTAURANT_NO_MENU_CREATED' );
			echo '</div>';
		}
/*
		$xmlfile = "http://www.eazytour.com/latest/com_restaurantguide_update.xml";
		$v = getXML($xmlfile, 'version');
		$c = RG_VERSION;
		
		if (empty ($v)) {
			$latest_version = 'n/a';
		}
		else {
			$pot = array(1000000000, 10000000, 100000, 1);
			$wv = explode('.', $v);
			$wvd = 0;
			foreach ($wv as $i => $d) {
				$wvd = $wvd + $d * $pot[$i];
			}
			$cv = explode('.', $c);
			$cvd = 0;
			foreach ($cv as $i => $d) {
				$cvd = $cvd + $d * $pot[$i];
			}
			if ($wvd > $cvd) {
				$latest_version = "<p>&nbsp;" . JText::_( 'RG_VERSION_AVAILABLE') . "&nbsp;<a href=\"http://www.eazytour.com/\">$v</a>";
			}
			else {
				$latest_version = '<p><a href="http://www.eazytour.com" target="_blank">Restaurant Guide</a>&nbsp;' . JText::_( 'RG_VERSION_INSTALLED') . '&nbsp;v.'.RG_VERSION . '&nbsp;' . RESTAURANTGUIDE_RELEASE;
			}
		}
*/
		?> 
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurantitems'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-restoitem.png"  alt="<?php echo JText::_('RG_RESTAURANT');?>" align="middle" border="0" /><span><?php echo JText::_('RG_RESTAURANT');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=galleryitems'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-gallery.png"  alt="<?php echo JText::_('RG_GALLERY');?>" align="middle" border="0" /><span><?php echo JText::_('RG_GALLERY');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=filemanager'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-upload.png"  alt="<?php echo JText::_('RG_BATCH_UPLOAD');?>" align="middle" border="0" /><span><?php echo JText::_('RG_BATCH_UPLOAD');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restauranttypes'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-restotype.png"  alt="<?php echo JText::_('RG_RESTAURANT_TYPE');?>" align="middle" border="0" /><span><?php echo JText::_('RG_RESTAURANT_TYPE');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=cuisines'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-cuisine.png"  alt="<?php echo JText::_('RG_CUISINE');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CUISINE');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=facilities'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-facility.png"  alt="<?php echo JText::_('RG_FACILITY');?>" align="middle" border="0" /><span><?php echo JText::_('RG_FACILITY');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=menus'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-menu.png"  alt="<?php echo JText::_('RG_MENU_MANAGER');?>" align="middle" border="0" /><span><?php echo JText::_('RG_MENU_MANAGER');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=recipes'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-recipe.png"  alt="<?php echo JText::_('RG_RECIPE_MANAGER');?>" align="middle" border="0" /><span><?php echo JText::_('RG_RECIPE_MANAGER');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=promotions'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-promotion.png"  alt="<?php echo JText::_('RG_PROMOTION');?>" align="middle" border="0" /><span><?php echo JText::_('RG_PROMOTION');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=events'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-event.png"  alt="<?php echo JText::_('RG_EVENT');?>" align="middle" border="0" /><span><?php echo JText::_('RG_EVENT');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=continents'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-continent.png"  alt="<?php echo JText::_('RG_CONTINENT');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CONTINENT');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=countries'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-country.png"  alt="<?php echo JText::_('RG_COUNTRY');?>" align="middle" border="0" /><span><?php echo JText::_('RG_COUNTRY');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=states'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-state.png"  alt="<?php echo JText::_('RG_STATES');?>" align="middle" border="0" /><span><?php echo JText::_('RG_STATES');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=cities'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-city.png"  alt="<?php echo JText::_('RG_CITY');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CITY');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=currencies'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-currency.png"  alt="<?php echo JText::_('RG_CURRENCY');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CURRENCY');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=testimonials'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-testimonial.png"  alt="<?php echo JText::_('RG_REVIEW');?>" align="middle" border="0" /><span><?php echo JText::_('RG_REVIEW');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurantlinks'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-articles.png"  alt="<?php echo JText::_('RG_LINKED_ARTICLE');?>" align="middle" border="0" /><span><?php echo JText::_('RG_LINKED_ARTICLE');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=callus'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-callus.png"  alt="<?php echo JText::_('RG_CALL_US');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CALL_US');?></span></a>
            </div>
        </div>
        <div style="float:left">
            <div class="icon">
                <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=settings'); ?>"><img src="../administrator/components/<?php echo RG_OPTION ?>/assets/images/icon-48-configuration.gif"  alt="<?php echo JText::_('RG_CONFIGURATIONS');?>" align="middle" border="0" /><span><?php echo JText::_('RG_CONFIGURATIONS');?></span></a>
            </div>
        </div>
    </div>						
	<div style="clear:both;"></div>

	<div class="adminform" style="margin-left:5px;">
	<?php 
    jimport('joomla.html.pane');
    $pane =& JPane::getInstance('Tabs');
    echo $pane->startPane('myPane');
    
    echo $pane->startPanel(JText::_('RG_ABOUT'), 'abouttab');
    ?>	
        <div class="credits">
            <h1><?php echo JText::_('Restaurant Guide, The Professional Joomla Solution for Travel Agency!'); ?></h1>
            Restaurant Guide v.1.4 free released under the GNU/GPL licence.</p>
            <p><br />
            <p>Special Thanks:<br />
            <br /><br /><br />


            Copyright &copy; 2009 - <?php echo date('Y'); ?> Oh-Taek Im<br />
            <a class="hasTip" href="http://www.eazytour.com" target="_blank" title="EazyTOUR::Professionnal Joomla! development and Integration">www.eazytour.com</a></p>
        </div>
    <?php           
    echo $pane->endPanel();
    ?>
  <?php echo $pane->startPanel(JText::_('RG_LATEST_RESTAURANTS'), 'itemstab');?>
  <table class="adminlist" style="width:100%;">
    <thead>
      <tr>
      	<td class="title"><?php echo JText::_('RG_PREVIEW');?></td>
        <td class="title"><?php echo JText::_('RG_TITLE');?></td>
        <td class="title"><?php echo JText::_('RG_CREATED');?></td>
        <td class="title"><?php echo JText::_('RG_AUTHOR');?></td>
      </tr>
    </thead>
    <tbody>
      <?php foreach($this->latestItems as $latest):
      	$link = 'index.php?option=com_restaurantguide&amp;controller=restaurantitems&amp;task=edit&amp;cid[]='. $latest->id; ?>
      <tr>
      	 <td align="center" valign="top">
		 	<?php if ($latest->mainimage) { 
                echo '<img src="../images/restaurantguide/gallery/restaurant_'.$latest->id.'/thumb/'.$latest->mainimage.'" />';
			} else {
                echo ' <img src="../administrator/components/com_restaurantguide/assets/images/no_thumb.gif" />';
            } ?>
        </td>
        <td><a href="<?php echo $link; ?>"><?php echo $latest->title;?></a></td>
        <td><?php echo $latest->created;?></td>
        <td><?php $author=JFactory::getUser($latest->created_by); echo $author->name; ?></td>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
  <?php echo $pane->startPanel(JText::_('RG_MOST_VIEWED_RESTAURANTS'), 'mostviewtab');?>
  <table class="adminlist" style="width:100%;">
    <thead>
      <tr>
      	<td class="title"><?php echo JText::_('RG_PREVIEW');?></td>
        <td class="title"><?php echo JText::_('RG_TITLE');?></td>
        <td class="title"><?php echo JText::_('RG_HITS');?></td>
        <td class="title"><?php echo JText::_('RG_CREATED');?></td>
        <td class="title"><?php echo JText::_('RG_AUTHOR');?></td>
      </tr>
    </thead>
    <tbody>
      <?php foreach($this->mostviewedItems as $mostviewed):
      $link = 'index.php?option=com_restaurantguide&amp;controller=restaurantitems&amp;task=edit&amp;cid[]='. $mostviewed->id; ?>
      <tr>
      	 <td align="center" valign="top">
		 	<?php if ($mostviewed->mainimage) { 
                echo '<img src="../images/restaurantguide/gallery/restaurant_'.$mostviewed->id.'/thumb/'.$mostviewed->mainimage.'" />';
			} else {
                echo ' <img src="../administrator/components/com_restaurantguide/assets/images/no_thumb.gif" />';
            } ?>
        </td>
        <td><a href="<?php echo $link; ?>"><?php echo $mostviewed->title;?></a></td>
        <td><?php echo $mostviewed->hits;?></td>
        <td><?php echo $mostviewed->created;?></td>
        <td><?php $author=JFactory::getUser($mostviewed->created_by); echo $author->name; ?></td>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
  <?php echo $pane->startPanel(JText::_('RG_MOST_RATED_RESTAURANTS'), 'mostratetab');?>
  <table class="adminlist" style="width:100%;">
    <thead>
      <tr>
      	<td class="title"><?php echo JText::_('RG_PREVIEW');?></td>
        <td class="title"><?php echo JText::_('RG_TITLE');?></td>
        <td class="title"><?php echo JText::_('RG_RATING');?></td>
        <td class="title"><?php echo JText::_('RG_CREATED');?></td>
        <td class="title"><?php echo JText::_('RG_AUTHOR');?></td>
      </tr>
    </thead>
    <tbody>
      <?php 
	  if (isset($this->mostratedItems)) {
		  foreach($this->mostratedItems as $rated):?>
          <tr>
             <td align="center" valign="top">
                <?php if ($rated->mainimage) { 
                    echo '<img src="../images/restaurantguide/gallery/restaurant_'.$rated->id.'/thumb/'.$rated->mainimage.'" />';
                } else {
                    echo ' <img src="../administrator/components/com_restaurantguide/assets/images/no_thumb.gif" />';
                } ?>
            </td>
            <td><?php echo $rated->title;?></td>
            <td><?php echo $rated->rate_sum; ?>&nbsp;( <?php echo $rated->rate; ?> )</td>
            <td><?php echo $rated->created;?></td>
            <td><?php $author=JFactory::getUser($rated->created_by); echo $author->name; ?></td>
          </tr>
          <?php endforeach; 
	  }?>
    </tbody>
  </table>
  <?php echo $pane->endPanel();?> <?php echo $pane->startPanel(JText::_('RG_LATEST_REVIEWS'), 'commentstab');?>
  <table class="adminlist" style="width:100%;">
    <thead>
      <tr>
      	<td class="title" width="80"><?php echo JText::_('RG_PREVIEW');?></td>
        <td class="title" width="120"><?php echo JText::_('RG_REVIEW_TITLE');?></td>
        <td class="title" width="200"><?php echo JText::_('RG_REVIEW');?></td>
        <td class="title" width="100"><?php echo JText::_('RG_SUBMITED_BY');?></td>
        <td class="title" width="100"><?php echo JText::_('RG_DATE');?></td>
      </tr>
    </thead>
    <tbody>
      <?php foreach($this->testimonials as $comment):
      	$link = JRoute::_( 'index.php?option=' .RG_OPTION. '&controller=testimonials&task=edit&cid='.$comment->id.'' ); ?>
      <tr>
      	<td align="center" valign="top">
		 	<?php if ($comment->mainimage) { 
				echo '<img src="../images/restaurantguide/gallery/restaurant_'.$comment->itemid.'/thumb/'.$comment->mainimage.'" />';
			} else {
                echo ' <img src="../administrator/components/com_restaurantguide/assets/images/no_thumb.gif" />';
            } ?>
        </td>
        <td>
        <span class="editlinktip hasTip" title="<?php echo JText::_( 'RG_REVIEW_TITLE' );?>::<?php echo $comment->title; ?>">
                        <a href="<?php echo $link  ?>"><?php echo $comment->title; ?></a></span></td>
        <td><div align="left"><?php echo RGUtil::introtext(strip_tags($comment->description),100); ?></div></td>
        <td><?php $author=JFactory::getUser($comment->userid); echo $author->name; ?></td>
        <td><?php echo $comment->date;?></td>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>

  <?php echo $pane->endPanel(); ?>
  <?php echo $pane->endPane(); ?>
	</div>
</div>
