<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');
	

?>
<form action="index.php?option=com_restaurantguide&amp;view=restaurantlinks" method="post" name="adminForm">
    <table>
        <tr>
            <td align="left" width="100%">
                <?php echo JText::_( 'RG_FILTER' ); ?>:
                <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
                <button onclick="this.form.submit();"><?php echo JText::_( 'RG_GO' ); ?></button>
                <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'RG_RESET' ); ?></button>
            </td>
            <td nowrap="nowrap">
                <?php echo $this->lists['state']; ?>
            </td>
        </tr>
    </table>

    <div id="editcell">
        <table class="adminlist">
            <thead>
                <tr>
                    <th width="5"><?php echo JText::_( 'RG_NUM' ); ?></th>
					<th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $this->links ); ?>);" /></th>
                    <th class="title">
                        <?php echo JHTML::_('grid.sort', 'RG_RESTAURANT', 'restaurantlinks', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>
                    <th class="title">
                        <?php echo JHTML::_('grid.sort', 'RG_LINKED_ARTICLE', 'link', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>
                    <th width="1%" nowrap="nowrap"><?php echo JText::_( 'RG_PUBLISHED' ); ?></th>
                    <th nowrap="nowrap" width="8%">
                        <?php echo JHTML::_('grid.sort', 'Order by', 'ordering', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                        <?php echo JHTML::_('grid.order', $this->links ); ?>
                    </th>			
                    <th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'ID', 'c.id', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
                </tr>
            </thead>

            <tbody>
			<?php
            $k = 0;
            for ($i=0, $n=count( $this->links ); $i < $n; $i++)
            {
                $row = &$this->links[$i];
                $checked    = JHTML::_('grid.id', $i, $row->id );
				$published 	= JHTML::_('grid.published', $row, $i );
                $link 		= JRoute::_( 'index.php?option=com_restaurantguide&controller=restaurantlinks&task=edit&cid='.$row->id.'' );
                $delete     = 'index.php?option=com_restaurantguide&controller=restaurantlinks&task=remove&cid='.$row->id;		
            ?>
                <tr class="<?php echo "row$k"; ?>">
                    <td width="5%">
                        <?php echo $this->pagination->getRowOffset( $i ); ?>
                    </td>
                    <td width="5%">
                        <?php echo $checked; ?>
                    </td>
                    <td>
                        <span class="editlinktip hasTip" title="<?php echo JText::_( 'Restaurants' );?>::<?php echo $row->restaurant; ?>">
                        <a href="<?php echo $link  ?>">
                        <?php echo $row->restaurant; ?></a></span>
                    </td>
                    <td>
                    	<span class="editlinktip hasTip" title="<?php echo JText::_( 'Linked Articles' );?>::<?php echo $row->article; ?>">
                        <a href="<?php echo $link  ?>">
                        <?php echo $row->article; ?></a></span>
                    </td>	
                    <td align="center">
						<?php echo $published; ?>
                    </td>
                    <td class="order">
                        <span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering ); ?></span>
                        <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering );?></span>
                        <?php $disabled = $this->ordering ?  '' : '"disabled=disabled"'; ?>
                        <input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
                    </td>			
                    <td align="center">
                        <?php echo $row->id; ?>
                    </td>
                </tr>
                <?php
                    $k = 1 - $k;
                }
                ?>
            </tbody>     

            <tfoot>
                <tr>
                    <td colspan="13"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
    </div>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<input type="hidden" name="controller" value="restaurantlinks" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
