<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

$editor 	= & JFactory::getEditor();

?>
<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                <tr>
                    <td class="key">
                        <label for="name">
                            <?php echo JText::_( 'RG_TYPE_NAME' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
                    </td>
                </tr>
                <tr>
                    <td class="key">
                        <label for="alias">
                            <?php echo JText::_( 'RG_ALIAS' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <input id="alias" name="alias" value="<?php echo $this->row->alias; ?>" size="50" maxlength="100" />
                    </td>
                </tr>
                <tr>
                    <td class="key">
                        <label for="published">
                            <?php echo JText::_( 'RG_PUBLISHED' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <?php
                        $html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
                        echo $html;
                        ?>
                    </td>
                </tr>
                <tr>
                    <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_IMAGE', 'pictogram' ); ?></td>
                    <td>
                        <input type="file" name="file_upload" size="50" />
                    
                        <div class="photogrid">
                            <?php
                            if ($this->row->image) { ?>
                                <img src="../images/restaurantguide/type/resize/<?php echo $this->row->image; ?>" /><br />
                                <input class="text_area" type="text" disabled name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                <input class="text_area" type="text" disabled name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                <input class="text_area" type="text" disabled name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                            <?php } else {?>
                                <img src="../administrator/com_restaurantguide/asstes/images/no_thumb_list.gif" /><br />
                                <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                            <?php } ?>
                        </div>
                    </td>
                </tr>    
                <tr>
                    <td class="key">
                        <label for="description">
                            <?php echo JText::_( 'RG_DESCRIPTION' ).':'; ?>
                        </label>
                    </td>
                    <td>
                        <?php
                        echo $editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
                        ?>
                    </td>
                </tr>
            </table>		
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="restauranttypes" />
<input type="hidden" name="view" value="restauranttype" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="image" value="<?php echo $this->row->image; ?>" />
<input type="hidden" name="imagewidth" value="<?php echo $this->row->imagewidth; ?>" />
<input type="hidden" name="imageheight" value="<?php echo $this->row->imageheight; ?>" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>