<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Toolbar
JToolBarHelper::title( JText::_( 'RG_CONFIGURATIONS'), 'config.png' );
JToolBarHelper::save();
JToolBarHelper::apply();
JToolBarHelper::cancel();

JHTML::_('behavior.tooltip');

$size = round( ini_get('upload_max_filesize') * 1024 );
?>


<script language="javascript" type="text/javascript">

/**
 * MooSlide with Multiple Divs
 *
 * @version 1.0
 * @license GNU Lesser General Public License, http://www.gnu.org/copyleft/lesser.html
 * @author  Oh-Taek Im, http://www.photoindochina.com
 * @created 2010-08-05
 * @created 2010-08-05
 * @e-mail	pixeldraw@hotmail.com
 */
 
window.addEvent('domready', function(){

	$$( '.slide_wrapper' ).each(function(item){
		var hideSlider = new Fx.Slide( item.getElement( '.slidevisible' ), { duration: 500 } );
		hideSlider.hide();
		var showSlider = new Fx.Slide( item.getElement( '.slidenotvisible' ), { duration: 500 } );

		item.getElement( 'fieldset.layout legend' ).addEvent( 'click', function(){ hideSlider.toggle(); } );
		item.getElement( 'fieldset.layout legend' ).addEvent( 'click', function(){ item.getElement( 'fieldset.layout legend' ).toggleClass('open'); showSlider.toggle(); } );
	} );

});
</script>

<style type="text/css">
div.current label, div.current span.faux-label 
{
min-width: 0px;
width:auto;
float: left;
clear: none;
margin-top: 2px;
margin-right: 10px;
margin-left:3px;
}
</style>

<form action = "index.php?option=com_restaurantguide&amp;view=configuraton" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
<?php
echo $this->pane->startPane( 'pane' );
echo $this->pane->startPanel( JText::_( 'RG_GENERAL' ), 'panel1' );
?>
    	<table  class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_FRONTPAGE', 'frontpage' ); ?></td>	
                <td><?php echo JHTML::_( 'restaurantguide.list.frontpage', 'frontpage', $this->config->frontpage, NULL ); ?></td>
            </tr> 
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SITE_SLOGAN', 'siteslogan' ); ?></td>
                <td>
                	<textarea name="siteslogan" id="siteslogan" cols="80%" rows="3"><?php echo $this->config->siteslogan; ?></textarea>					
                </td>
            </tr> 
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_INTRO', 'showintrotext' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showintrotext', null, $this->config->showintrotext ); ?>
                </td>
            </tr>
            
			<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_INTRO_DESCRIPTION', 'introdescription' ); ?></td>
                <td>      		
                    <?php echo $this->editor->display( 'introdescription', $this->config->introdescription, '100%', '350', '100', '15', $buttons = false ) ; ?>			
                </td>
            </tr>   
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TITLE_IMAGE_OF_FRONT_PAGE', '' ); ?></td>
                <td><input type="file" name="title_upload" size="50" /></td> 
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'preview' ); ?></td>
                <td>
                    <div class="photogrid" style="width:400px">
                        <?php
                        if ($this->config->titleimage) { ?>
                            <img src="../images/restaurantguide/country/thumb/<?php echo $this->config->titleimage; ?>" /><br />
                            <input class="text_area" type="text" disabled name="titleimage" id="titleimage" size="40" maxlength="255" value="<?php echo $this->config->titleimage; ?>" />
                            <input class="text_area" type="text" disabled name="titleimagewidth" id="titleimagewidth" size="10" maxlength="50" value="<?php echo $this->config->titleimagewidth; ?>" />
                            <input class="text_area" type="text" disabled name="titleimageheight" id="titleimageheight" size="10" maxlength="50" value="<?php echo $this->config->titleimageheight; ?>" />
                        <?php } else {?>
                            <img src="../components/com_restaurantguide/assets/images/no_thumb.gif" /><br />
                            <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                        <?php } ?>
                        
                    </div>
                </td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CURRENCY', 'currency' ); ?></td>
                <td>
                    <?php echo JHTML::_( 'restaurantguide.list.currency', 'CURRENCY', $this->config->currency, NULL ); ?>
                </td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CURRENCY_FORMAT', 'currencyformat' ); ?></td>
                <td>
                    <?php echo JHTML::_( 'restaurantguide.list.currencyformat', 'currencyformat', $this->config->currencyformat, NULL ); ?>
                </td>
            </tr>
                            <?php /*	
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'SHOW PDF ICON', 'pdf_icon' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'pdf_icon', 'disabled', $this->config->pdf_icon ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'SHOW PRINT ICON', 'print_icon' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'print_icon', 'disabled', $this->config->print_icon ); ?>
                </td>
			</tr> */ ?>
		</table> 
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_IMAGES' ), 'panel2' );
?>
	<div style="vertical-align:top; width:100%;">
		<fieldset class="adminform"> 
    	<legend><?php echo JText::_( 'RG_IMAGE_SETTING' ); ?></legend>
        <table class="adminform" border="0">

			<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MAIN_IMAGE_SIZE', 'mainimage_size' ); ?></td>	
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'mainimage_size', $this->config->mainimage_size ); ?> px
                    <?php echo "&nbsp;&nbsp;" . JHTML::tooltip('RG_SET_MAXIMUM_SIZE_OF_MAIN_IMAGE', '', 'tooltip.png', '', ''); ?>
                </td>		
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_THUMBNAIL_SIZE_OF_MAIN_IMAGE', 'mainthumb_size' ); ?></td>	
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'mainthumb_size', $this->config->mainthumb_size ); ?> px
                    <?php echo "&nbsp;&nbsp;" . JHTML::tooltip('SET THUMBNAIL SIZE OF MAIN IMAGE', '', 'tooltip.png', '', ''); ?>
                </td>		
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'slide_width' ); ?></td>	
                <td>	
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'slide_width', $this->config->slide_width ); ?> px
                    <?php echo "&nbsp;&nbsp;" . JHTML::tooltip('Set width for slideshow', '', 'tooltip.png', '', ''); ?>
                </td>		
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'slide_height' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'slide_height', $this->config->slide_height ); ?> px
                    <?php echo "&nbsp;&nbsp;" . JHTML::tooltip('Set height for slideshow', '', 'tooltip.png', '', ''); ?>
                </td>		
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_GALLERY_THUMBNAIL_SIZE', 'gall_thumb_width' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'gall_thumb_width', $this->config->gall_thumb_width ); ?> px
                </td>		
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MAX_UPLOAD_SIZE', 'max_upload_size' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'max_upload_size', $this->config->max_upload_size ); ?> KB
                    <?php echo '<div style=color:#FF0000;font-weight:bold;font-size:smaller;>'; ?>
					<?php echo JText::sprintf(('RG_UPLOAD_LIMIT_IS_S_KB_SET_IN_PHP_INI'), $size );?>
                    <?php echo '</div>'; ?>	
                </td>				
            </tr>
        </table>
        </fieldset>
        <fieldset class="adminform"> 
    	<legend><?php echo JText::_( 'RG_THUMBNAIL_SETTINGS' ); ?></legend>
        <table class="adminform" border="0">
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_THUMBNAIL_SIZE_OF_GOOGLE_MAP', 'googlethumb_width' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'googlethumb_width', $this->config->googlethumb_width ); ?> px
                   
                </td>			
            </tr>
          
        </table>
    	</fieldset>
    </div>
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_LAYOUT' ), 'panel3' );
?>
	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_WORLD_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SLOGAN', 'world_slogan' ); ?></td>		
                <td>
                    <input type="text" size="60" name="world_slogan" value="<?php echo $this->config->world_slogan ?>" /> 
                </td>				
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'world_slidewidth' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_slidewidth" value="<?php echo $this->config->world_slidewidth ?>" /> % 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'world_slideheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_slideheight" value="<?php echo $this->config->world_slideheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_INFOZONE', 'world_infoheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_infoheight" value="<?php echo $this->config->world_infoheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DELAY_TIME', 'world_delay' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_delay" value="<?php echo $this->config->world_delay ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'world_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'world_menu', null, $this->config->world_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'world_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'world_links', null, $this->config->world_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'world_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'world_adsense', null, $this->config->world_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'world_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_publisher_id" value="<?php echo $this->config->world_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'world_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_ad_slot" value="<?php echo $this->config->world_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'world_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_ad_width" value="<?php echo $this->config->world_ad_width ?>" />  px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'world_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="world_ad_height" value="<?php echo $this->config->world_ad_height ?>" /> px
                </td>
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'world_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'world_topdesti', null, $this->config->world_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'world_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'world_top_limit', $this->config->world_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'world_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="world_top_color" value="<?php echo $this->config->world_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'world_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="world_top_border" value="<?php echo $this->config->world_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'world_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'world_desti', null, $this->config->world_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'world_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'world_city_limit', $this->config->world_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'world_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'world_resto_limit', $this->config->world_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    	</fieldset>
    </div>

	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_CONTINENT_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'conti_slidewidth' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_slidewidth" value="<?php echo $this->config->conti_slidewidth ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'conti_slideheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_slideheight" value="<?php echo $this->config->conti_slideheight ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_INFOZONE', 'conti_infoheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_infoheight" value="<?php echo $this->config->conti_infoheight ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DELAY_TIME', 'conti_delay' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_delay" value="<?php echo $this->config->conti_delay ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'conti_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'conti_menu', null, $this->config->conti_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'conti_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'conti_links', null, $this->config->conti_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'conti_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'conti_adsense', null, $this->config->conti_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'conti_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_publisher_id" value="<?php echo $this->config->conti_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'conti_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_ad_slot" value="<?php echo $this->config->conti_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'conti_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_ad_width" value="<?php echo $this->config->conti_ad_width ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'conti_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="conti_ad_height" value="<?php echo $this->config->conti_ad_height ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'conti_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'conti_topdesti', null, $this->config->conti_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'conti_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'conti_top_limit', $this->config->conti_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'conti_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="conti_top_color" value="<?php echo $this->config->conti_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'conti_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="conti_top_border" value="<?php echo $this->config->conti_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'conti_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'conti_desti', null, $this->config->conti_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'conti_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'conti_city_limit', $this->config->conti_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'conti_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'conti_resto_limit', $this->config->conti_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    	</fieldset>
    </div>
	<div style="clear:both;padding-bottom:10px;"></div>     
	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_COUNTRY_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'country_slidewidth' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_slidewidth" value="<?php echo $this->config->country_slidewidth ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'country_slideheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_slideheight" value="<?php echo $this->config->country_slideheight ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_INFOZONE', 'country_infoheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_infoheight" value="<?php echo $this->config->country_infoheight ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DELAY_TIME', 'country_delay' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_delay" value="<?php echo $this->config->country_delay ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'country_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'country_menu', null, $this->config->country_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'country_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'country_links', null, $this->config->country_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'country_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'country_adsense', null, $this->config->country_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'country_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_publisher_id" value="<?php echo $this->config->country_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'country_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_ad_slot" value="<?php echo $this->config->country_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'country_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_ad_width" value="<?php echo $this->config->country_ad_width ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'country_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="country_ad_height" value="<?php echo $this->config->country_ad_height ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'country_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'country_topdesti', null, $this->config->country_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'country_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'country_top_limit', $this->config->country_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'country_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="country_top_color" value="<?php echo $this->config->country_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'country_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="country_top_border" value="<?php echo $this->config->country_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'country_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'country_desti', null, $this->config->country_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'country_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'country_city_limit', $this->config->country_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'country_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'country_resto_limit', $this->config->country_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>

	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_STATES_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SLIDESHOW', 'states_showslide' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_showslide', null, $this->config->states_showslide ); ?>
                </td>
            </tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'states_slidewidth' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_slidewidth" value="<?php echo $this->config->states_slidewidth ?>" /> %
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'states_slideheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_slideheight" value="<?php echo $this->config->states_slideheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_INFOZONE', 'states_infoheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_infoheight" value="<?php echo $this->config->states_infoheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DELAY_TIME', 'states_delay' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_delay" value="<?php echo $this->config->states_delay ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'states_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_menu', null, $this->config->states_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'states_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_links', null, $this->config->states_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'states_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_adsense', null, $this->config->states_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'states_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_publisher_id" value="<?php echo $this->config->states_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'states_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_ad_slot" value="<?php echo $this->config->states_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'states_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_ad_width" value="<?php echo $this->config->states_ad_width ?>" /> px 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'states_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="states_ad_height" value="<?php echo $this->config->states_ad_height ?>" /> px
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'states_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_topdesti', null, $this->config->states_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'states_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'states_top_limit', $this->config->states_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'states_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="states_top_color" value="<?php echo $this->config->states_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'states_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="states_top_border" value="<?php echo $this->config->states_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'states_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'states_desti', null, $this->config->states_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'states_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'states_city_limit', $this->config->states_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'states_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'states_resto_limit', $this->config->states_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
    <div style="clear:both;padding-bottom:10px;"></div>  
  
    <div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_CITY_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WIDTH_OF_SLIDESHOW', 'city_slidewidth' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_slidewidth" value="<?php echo $this->config->city_slidewidth ?>" /> %
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_SLIDESHOW', 'city_slideheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_slideheight" value="<?php echo $this->config->city_slideheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_INFOZONE', 'city_infoheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_infoheight" value="<?php echo $this->config->city_infoheight ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DELAY_TIME', 'city_delay' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_delay" value="<?php echo $this->config->city_delay ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'city_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'city_menu', null, $this->config->city_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'city_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'city_links', null, $this->config->city_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'city_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'city_adsense', null, $this->config->city_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'city_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_publisher_id" value="<?php echo $this->config->city_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'city_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_ad_slot" value="<?php echo $this->config->city_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'city_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_ad_width" value="<?php echo $this->config->city_ad_width ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'city_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="city_ad_height" value="<?php echo $this->config->city_ad_height ?>" /> px
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'city_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'city_topdesti', null, $this->config->city_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'city_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'city_top_limit', $this->config->city_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'city_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="city_top_color" value="<?php echo $this->config->city_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'city_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="city_top_border" value="<?php echo $this->config->city_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'city_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'city_desti', null, $this->config->city_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'city_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'city_city_limit', $this->config->city_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'city_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'city_resto_limit', $this->config->city_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
  
  	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_SEARCH_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'search_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'search_menu', null, $this->config->search_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'search_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'search_links', null, $this->config->search_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'search_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'search_adsense', null, $this->config->search_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'search_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="search_publisher_id" value="<?php echo $this->config->search_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'search_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="search_ad_slot" value="<?php echo $this->config->search_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'search_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="search_ad_width" value="<?php echo $this->config->search_ad_width ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'search_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="search_ad_height" value="<?php echo $this->config->search_ad_height ?>" /> px
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_SEARCH_RESULTS', 'search_limit' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="search_limit" value="<?php echo $this->config->search_limit ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'search_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'search_topdesti', null, $this->config->search_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'search_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'search_top_limit', $this->config->search_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'search_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="search_top_color" value="<?php echo $this->config->search_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'search_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="search_top_border" value="<?php echo $this->config->search_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'search_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'search_desti', null, $this->config->search_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'search_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'search_city_limit', $this->config->search_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'search_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'search_resto_limit', $this->config->search_resto_limit ); ?>
                </td>				
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
	<div style="clear:both;padding-bottom:10px;"></div>    
	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_RESTAURANT_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BACKGROUND_COLOR_OF_TITLE', 'mainbackcolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="mainbackcolor" value="<?php echo $this->config->mainbackcolor ?>" />
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BORDER_COLOR', 'mainbordercolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="mainbordercolor" value="<?php echo $this->config->mainbordercolor ?>" />
                </td>				
            </tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TITLE_COLOR', 'maintitlecolor' ); ?></td>	
                <td>
					<input class="color {hash:true}" name="maintitlecolor" value="<?php echo $this->config->maintitlecolor ?>" />
				</td>
            </tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_RESTAURANT_TYPE_COLOR', 'mainrestotypecolor' ); ?></td>
                <td>
					<input class="color {hash:true}" name="mainrestotypecolor" value="<?php echo $this->config->mainrestotypecolor ?>" />
				</td>
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_RESTAURANT_MENU', 'resto_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'resto_menu', null, $this->config->resto_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_RATING', 'rating' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'rating', null, $this->config->rating ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_WEATHER', 'weather' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'weather', null, $this->config->weather ); ?>
                </td>
			</tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WEATHER_BOX_COLOR', 'wboxcolor' ); ?></td>
                <td>
					<input class="color {hash:true}" name="wboxcolor" value="<?php echo $this->config->wboxcolor ?>" />
				</td>
            </tr>	
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_WEATHER_BOX_BORDER_COLOR', 'wbordercolor' ); ?></td>
                <td>
					<input class="color {hash:true}" name="wbordercolor" value="<?php echo $this->config->wbordercolor ?>" />
				</td>
            </tr>	
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_RESERVATION', 'reservation' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'reservation', null, $this->config->reservation ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_FACEBOOK_SHARE_BUTTON', 'faceshare' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'faceshare', null, $this->config->faceshare ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_FACEBOOK_LIKE_BUTTON', 'facelike' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'facelike', null, $this->config->facelike ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TWITTER_LIKE_BUTTON', 'twitter' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'twitter', null, $this->config->twitter ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_PLUS_ONE_BUTTON', 'plusone' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'plusone', null, $this->config->plusone ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_LINKEDIN_BUTTON', 'linkedin' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'linkedin', null, $this->config->linkedin ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SOCIAL_SHARING', 'social' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'social', null, $this->config->social ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TAGS', 'showtags' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showtags', null, $this->config->showtags ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_FACILITY_ICON', 'showficon' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showficon', null, $this->config->showficon ); ?>
                </td>
			</tr>	
			<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'resto_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'resto_adsense', null, $this->config->resto_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'resto_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="resto_publisher_id" value="<?php echo $this->config->resto_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'resto_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="resto_ad_slot" value="<?php echo $this->config->resto_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'resto_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="resto_ad_width" value="<?php echo $this->config->resto_ad_width ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'resto_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="resto_ad_height" value="<?php echo $this->config->resto_ad_height ?>" /> 
                </td>
            </tr>
        </table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
   
    <div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_TAG_PAGE' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MENU', 'tag_menu' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'tag_menu', null, $this->config->tag_menu ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_SPONSOR_LINKS', 'tag_links' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'tag_links', null, $this->config->tag_links ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'tag_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'tag_adsense', null, $this->config->tag_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'tag_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="tag_publisher_id" value="<?php echo $this->config->tag_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'tag_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="tag_ad_slot" value="<?php echo $this->config->tag_ad_slot ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_WIDTH', 'tag_ad_width' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="tag_ad_width" value="<?php echo $this->config->tag_ad_width ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_HEIGHT', 'tag_ad_height' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="tag_ad_height" value="<?php echo $this->config->tag_ad_height ?>" /> 
                </td>
            </tr>
        	<tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TOP_DESTINATIONS', 'tag_topdesti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'tag_topdesti', null, $this->config->tag_topdesti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_TOP_DESTINATIONS', 'tag_top_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'tag_top_limit', $this->config->tag_top_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_PANEL', 'tag_top_color' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="tag_top_color" value="<?php echo $this->config->tag_top_color ?>" />  
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_TOP_DESTINATION_BORDER', 'tag_top_border' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="tag_top_border" value="<?php echo $this->config->tag_top_border ?>" />  
                </td>				
            </tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_DESTINATIONS', 'tag_desti' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'tag_desti', null, $this->config->tag_desti ); ?>
                </td>
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_DESTINATIONS', 'tag_city_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'tag_city_limit', $this->config->tag_city_limit ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LIMIT_OF_RESTAURANTS', 'tag_resto_limit' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'tag_resto_limit', $this->config->tag_resto_limit ); ?>
                </td>				
            </tr>
		</table>
        </div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
	<div style="clear:both;padding-bottom:10px;"></div>     
 	<div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_GENERAL_LAYOUT' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">       
            
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BOX_STYLE', 'box' ); ?></td>
                <td>
					<?php echo $this->Lists['box']; ?>
				</td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MENUBAR_COLOR', 'menubarcolorone' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="menubarcolorone" value="<?php echo $this->config->menubarcolorone ?>" />
                    <input class="color {hash:true}" name="menubarcolortwo" value="<?php echo $this->config->menubarcolortwo ?>" />
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BORDER_COLOR', 'bordercolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="bordercolor" value="<?php echo $this->config->bordercolor ?>" />
                </td>				
            </tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TITLE_COLOR', 'titlecolor' ); ?></td>	
                <td>
					<input class="color {hash:true}" name="titlecolor" value="<?php echo $this->config->titlecolor ?>" />
				</td>
            </tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_RESTAURANT_TYPE_COLOR', 'restotypecolor' ); ?></td>
                <td>
					<input class="color {hash:true}" name="restotypecolor" value="<?php echo $this->config->restotypecolor ?>" />
				</td>
            </tr>	
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BACKGROUND_COLOR_OF_BOX', 'backcolor_box' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="backcolor_box" value="<?php echo $this->config->backcolor_box ?>" />                    
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BORDER_COLOR_OF_BOX', 'linecolor_box' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="linecolor_box" value="<?php echo $this->config->linecolor_box ?>" />                    
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CUISINE_BOX_COLOR', 'cuisineboxcolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="cuisineboxcolor" value="<?php echo $this->config->cuisineboxcolor ?>" />                    
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CUISINE_BOX_BORDER_COLOR', 'cuisinebordercolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="cuisinebordercolor" value="<?php echo $this->config->cuisinebordercolor ?>" />
                    
                </td>				
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ROW_OF_SPONSORS', 'no_sponsorrow' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="no_sponsorrow" value="<?php echo $this->config->no_sponsorrow ?>" /> 
                </td>
            </tr>
        </table>
    	</div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </fieldset>
    </div>
    
    <div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_FAVOURITE_LAYOUT' ); ?></legend>
        <div class="slidevisible">
        <table class="adminform">       
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_NO_OF_COLUMN', 'colm_no' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="colm_no" value="<?php echo $this->config->colm_no ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BOX_HEIGHT', 'height_box' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="height_box" value="<?php echo $this->config->height_box ?>" /> 
                </td>
            </tr> 
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COLOR_OF_BOX', 'favcolor_box' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="favcolor_box" value="<?php echo $this->config->favcolor_box ?>" />                   
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_BORDER_COLOR_OF_BOX', 'favlinecolor_box' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="favlinecolor_box" value="<?php echo $this->config->favlinecolor_box ?>" />
                </td>				
            </tr> <?php /*
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'CUISINE BOX BORDER COLOR', 'cuisinebordercolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="cuisinebordercolor" value="<?php echo $this->config->cuisinebordercolor ?>" />
                    <?php echo "&nbsp;&nbsp;" . JHTML::tooltip(JText::_('CUISINE BOX BORDER COLOR TIP'), '', 'tooltip.png', '', ''); ?>
                    
                </td>				
            </tr> */ ?>
        </table>
    	</div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    </div>
    </fieldset>
    </div>
    <div style="clear:both;padding-bottom:10px;"></div>    
    <div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_DESTINATION_LIST' ); ?></legend>
        <div class="slidevisible">

        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PANEL_COLOR', 'panelcolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="panelcolor" value="<?php echo $this->config->panelcolor ?>" />  
                </td>				
            </tr>
            <tr>
            	<td class="key"><label for="max_char_des"><?php echo JText::_('RG_NO_OF_MAX_CHAR'); ?></label></td>
                <td>
					<?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'max_char_des', $this->config->max_char_des ); ?>	
				</td>
            </tr>	
            <tr>
                <td class="key"><label for="listheight_des"><?php echo JText::_('RG_HEIGHT_OF_LIST'); ?></label></td>
                <td>
					<?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'listheight_des', $this->config->listheight_des ); ?>	
				</td>		
            </tr>
        </table>
    	</div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    	</fieldset>
	</div> 
    
    <div class="slide_wrapper">
		<fieldset class="layout"> 
        <legend><?php echo JText::_( 'RG_SET_LAYOUT_FOR_RESTAURANT_LIST' ); ?></legend>
        <div class="slidevisible">

        <table class="adminform">
            <tr>
            	<td class="key"><label for="max_char_resto"><?php echo JText::_('RG_NO_OF_MAX_CHAR'); ?></label></td>
                <td>
					<?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'max_char_resto', $this->config->max_char_resto ); ?>	
				</td>
            </tr>	
            <tr>
                <td class="key"><label for="listheight_resto"><?php echo JText::_('RG_HEIGHT_OF_LIST'); ?></label></td>
                <td>
					<?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'listheight_resto', $this->config->listheight_resto ); ?>	
				</td>		
            </tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_FACILITIES_ICON', 'facilityicon' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'facilityicon', null, $this->config->facilityicon ); ?>
                </td>
			</tr>

            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_RESTAURANT_TYPE', 'showrestotype' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showrestotype', null, $this->config->showrestotype ); ?>
                </td>
			</tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_HITS', 'showhit' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showhit', null, $this->config->showhit ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_TAG', 'showtag' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showtag', null, $this->config->showtag ); ?>
                </td>
			</tr>
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_RATING', 'showrating' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showrating', null, $this->config->showrating ); ?>
                </td>
			</tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_FEATURED', 'showfearued' ); ?></td>
                <td >
                    <?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'showfearued', null, $this->config->showfearued ); ?>
                </td>
			</tr>
            <tr>
            	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DEFAULT_NO_OF_RESTAURANTS', 'restos' ); ?></td>
                <td><?php echo $this->Lists['restos']; ?></td>	
			</tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SPECIAL_OFFER_COLOR', 'offercolor' ); ?></td>		
                <td>
                    <input class="color {hash:true}" name="offercolor" value="<?php echo $this->config->offercolor ?>" />                    
                </td>				
            </tr>
        </table>
		</div>
        <div class="slidenotvisible">
            <?php echo JText::_( 'RG_CLICK_SLIDER' ); ?>
        </div>
    	</fieldset>
    </div>
	<div style="clear:both;padding-bottom:10px;"></div>    
<?php				            	
echo $this->pane->endPanel();

echo $this->pane->startPanel( JText::_( 'RG_EVENTS'), 'panel4' );
?>
<div style="vertical-align:top; width:100%;">
	<fieldset class="adminform"> 
    	<legend><?php echo JText::_( 'RG_TAB_SETTING' ); ?></legend>
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_NO_OF_EVENT_LISTS', 'maxeventlist' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'maxeventlist', $this->config->maxeventlist ); ?>
                </td>				
            </tr> <?php /*
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'AUTOPLAY', 'autoplay' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'autoplay', null, $this->config->autoplay ); ?>
                </td>
			</tr> 
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'DELAY', 'delay' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'delay', $this->config->delay ); ?>
                </td>				
            </tr> */ ?>
		</table>
	</fieldset>
 	<fieldset class="adminform">        
        <legend><?php echo JText::_( 'RG_LIST_SETTING' ); ?></legend>
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_NO_OF_EVENT_LISTS', 'maxlist' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'maxlist', $this->config->maxlist ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_LIST_BOX', 'listheight_des' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'listheight_des', $this->config->listheight_des ); ?>
                </td>					
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_NO_OF_DESCRIPTION_CHAR', 'max_char_des' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'max_char_des', $this->config->max_char_des ); ?>
                </td>				
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LINKS', 'eventlinks' ); ?></td>		
                <td>
                    <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'eventlinks', $this->config->eventlinks ); ?>
                </td>				
            </tr>
		</table>

    </fieldset>
    </div>
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_CONVERSION_GUIDE'), 'panel5' );
?>
<div style="vertical-align:top; width:100%;"> 	
    <table class="adminform" border="0" width="100%">
        <tr>
            <td><strong><?php echo JText::_('RG_DESCRIPTION'); ?></strong><br /></td>
        </tr>
        <tr>
            <td>
                <?php
                echo $this->editor->display( 'conversionguide',  $this->config->conversionguide, '100%', '550', '75', '20', array('pagebreak', 'readmore') ) ;
                ?>
            </td>
        </tr>
    </table>
</div>
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_PRICE'), 'panel6' );
?>
<div style="vertical-align:top; width:100%;"> 	
	<table class="adminform" border="0" width="100%">
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', '$$', 'minprice' ); ?></td>		
            <td>
                <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'minprice', $this->config->minprice ).' '.JText::_( 'RG_AND_UNDER'); ?>
            </td>				
        </tr>
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', '$$$', 'normalprice' ); ?></td>		
            <td>
                <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'normalprice', $this->config->normalprice ); ?>
            </td>				
        </tr>
        <tr>
            <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', '$$$$', 'hiprice' ); ?></td>		
            <td>
                <?php echo JHTML::_( 'restaurantguide.form.input', 'text', 'hiprice', $this->config->hiprice ).' '.JText::_( 'RG_AND_OVER'); ?>
            </td>				
        </tr>
	</table>       
    <table class="adminform" border="0" width="100%">
        <tr>
            <td><strong><?php echo JText::_('RG_DESCRIPTION'); ?></strong><br /></td>
        </tr>
        <tr>
            <td>
                <?php
                echo $this->editor->display( 'pricedesc',  $this->config->pricedesc, '100%', '550', '75', '20', array('pagebreak', 'readmore') ) ;
                ?>
            </td>
        </tr>
    </table>
</div>
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_SPONSOR'), 'panel7' );
?>
<div style="vertical-align:top; width:100%;"> 	

    <table class="adminform" border="0" width="100%">
        <tr>
            <td><strong><?php echo JText::_('RG_DESCRIPTION'); ?></strong><br /></td>
        </tr>
        <tr>
            <td>
				<?php
                echo $this->editor->display( 'sponsor',  $this->config->sponsor, '100%', '550', '75', '20', array('pagebreak', 'readmore') ) ;
                ?>
            </td>
        </tr>
    </table>
</div>
<?php				            	
echo $this->pane->endPanel();
echo $this->pane->startPanel( JText::_( 'RG_REGISTER' ), 'panel8' );
?>
	<div style="vertical-align:top; width:100%;">
        <fieldset class="adminform"> 
        <table class="adminform" border="0" width="100%">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LOGO_IMAGE_OF_REGISTER_PAGE', '' ); ?></td>
                <td><input type="file" name="register_upload" size="50" /></td> 
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'preview' ); ?></td>
                <td>
                    <div class="photogrid" style="width:400px">
                        <?php
                        if ($this->config->registerlogo) { ?>
                            <img src="../images/restaurantguide/gallery/<?php echo $this->config->registerlogo; ?>"  width="<?php echo $this->config->registerlogowidth; ?>px" height="<?php echo $this->config->registerlogoheight; ?>px"/><br />
                            <input class="text_area" type="text" disabled name="registerlogo" id="registerlogo" size="40" maxlength="255" value="<?php echo $this->config->registerlogo; ?>" />
                            <input class="text_area" type="text" disabled name="registerlogowidth" id="registerlogowidth" size="10" maxlength="50" value="<?php echo $this->config->registerlogowidth; ?>" />
                            <input class="text_area" type="text" disabled name="registerlogoheight" id="registerlogoheight" size="10" maxlength="50" value="<?php echo $this->config->registerlogoheight; ?>" />
                        <?php } else {?>
                            <img src="../components/com_restaurantguide/assets/images/no_thumb.gif" /><br />
                            <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                        <?php } ?>
                        
                    </div>
                </td>
            </tr>
		</table>
        <table class="adminform" border="0" width="100%">
            <tr>
                <?php echo JHTML::_( 'restaurantguide.form.label', 'RG_INTRODUCTION', 'registerintro' ); ?>
                <td>      		
                    <?php echo $this->editor->display( 'registerintro',  $this->config->registerintro, '100%', '600', '100', '15', $buttons = false ) ; ?>			
                </td>
            </tr> 
        </table>
    	</fieldset>
    </div>
<?php				            	
echo $this->pane->endPanel(); 
echo $this->pane->startPanel( JText::_( 'RG_GOOGLE_MAP'), 'panel9' );

	$lat = $this->config->lat;
	$lon = $this->config->lon;
	$zoom = $this->config->zoom;
	$type = $this->config->maptype;

	switch ($type) {
		case 'map':
			$map_type='google.maps.MapTypeId.ROADMAP';
			break;
		case 'satellite':
			$map_type='google.maps.MapTypeId.SATELLITE';
			break;
		case 'hybrid':
			$map_type='google.maps.MapTypeId.HYBRID';
			break;
		case 'terrain':
			$map_type='google.maps.MapTypeId.TERRAIN';
			break;
		default :
			$map_type='google.maps.MapTypeId.ROADMAP';
	}
	?> 
    

    <script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			scaleControl: true,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		google.maps.event.addListener(map, 'click', function(me){
			codeLatLng(me.latLng);
		});
		
		google.maps.event.addListener(map, 'zoom_changed', function() {
			document.adminForm.zoom.value=map.getZoom();
		});

		google.maps.event.addListener(map, 'maptypeid_changed', function() {
			document.adminForm.maptype.value= map.getMapTypeId();
		});
		
		google.maps.event.addListener(map, 'center_changed', centerChanged);
	}
	
	function centerChanged() {
		document.adminForm.lat.value=map.getCenter().lat();
		document.adminForm.lon.value=map.getCenter().lng();
	}
	
	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}
</script>

    
<div style="vertical-align:top; width:100%;">
	<fieldset class="adminform"> 
    	<legend><?php echo JText::_( 'RG_SET_DEFAULT_GOOGLE_MAP' ); ?></legend>
        <table class="adminform">
        	<tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MAP', 'SHOW MAP' ); ?></td>
                <td valign="top">
                    <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                </td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_GOOGLE_MAPS_API_KEY', 'api_key' ); ?></td>
                <td colspan="3">
                	<textarea class="inputbox required" name="api_key" id="api_key"  cols="80%" rows="2"><?php echo $this->config->api_key; ?></textarea>
                    <br />	
                    <strong><a href="http://code.google.com/apis/maps/signup.html" target="_blank"><?php echo JText::_( 'GET' ); ?> API Key</a></strong>				
                </td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LATITUDE_LONGITUDE', 'lat' ); ?></td>
                <td valign="top">
                    <input type="text" size="20" name="lat" value="<?php echo $this->config->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->config->lon ?>" />
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ZOOM', 'zoom' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="zoom" value="<?php echo $this->config->zoom ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MAP_TYPE', 'maptype' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="maptype" value="<?php echo $this->config->maptype ?>" /> 
                </td>

            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_MAP', 'mapheight' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="mapheight" value="<?php echo $this->config->mapheight ?>" />&nbsp;px 
                </td>
            </tr>
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_YOUR_LOGO_IMAGE', 'logoimage' ); ?></td>
                <td>
                    <input type="file" name="file_upload" size="50" />
                	<?php echo JText::_( 'RG_THIS_IMAGE_IS_DISPLAYED_ON_THE_TOP_OF_INFORWINDOW' ); ?>
                    <div class="clr"></div>
                    <div class="photogrid">
                        <?php
                        if ($this->config->logoimage) { ?>
                            <img src="../administrator/components/com_restaurantguide/assets/images/<?php echo $this->config->logoimage; ?>" /><br />
                            <div class="clr"></div>
                            <input class="text_area" type="text" name="logoimage" id="logoimage" size="30" maxlength="255" value="<?php echo $this->config->logoimage; ?>" />
                            <input class="text_area" type="text" name="logowidth" id="logowidth" size="10" maxlength="50" value="<?php echo $this->config->logowidth; ?>" />
							<input class="text_area" type="text" name="logoheight" id="logoheight" size="10" maxlength="50" value="<?php echo $this->config->logoheight; ?>" />
                        <?php } else {?>
                            <img src="../components/com_restaurantguide/assets/images/no_thumb.gif" /><br />
                            <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                        <?php } ?>
                    </div>
                </td>
            </tr>
            	
            <tr class="row">
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_GOOGLE_ADSENSE', 'map_adsense' ); ?></td>
                <td>
                	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'map_adsense', null, $this->config->map_adsense ); ?>
                </td>
			</tr>
        	<tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHER_ID', 'map_publisher_id' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="map_publisher_id" value="<?php echo $this->config->map_publisher_id ?>" /> 
                </td>
            </tr>
            <tr> 
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AD_SLOT', 'map_ad_slot' ); ?></td>
                <td valign="top">
                	<input type="text" size="20" name="map_ad_slot" value="<?php echo $this->config->map_ad_slot ?>" /> 
                </td>
            </tr>	
            <tr>
                <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SELECT_MAP_COORD', 'code' ); ?></td>
               <td><div id="map"><div id="map_canvas" style="width: 100%; height: 400px"></div><div id="crosshair"></div></div></td>
            </tr>  
        </table>
    </fieldset>
    
    </div>
	<?php			            	
echo $this->pane->endPanel();
echo $this->pane->endPane();

?>
</td>
</tr>
</table>


	
	<input type="hidden" name="option" value="com_restaurantguide" />
	<input type="hidden" name="controller" value="settings" />
	<input type="hidden" name="task" value="" />
    <input type="hidden" name="titleimage" value="<?php echo $this->config->titleimage; ?>" />
    <input type="hidden" name="titleimagewidth" value="<?php echo $this->config->titleimagewidth; ?>" />
    <input type="hidden" name="titleimageheight" value="<?php echo $this->config->titleimageheight; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</div>
</form>
