<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class restaurantguideViewSettings extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{		
		//initialise variables
		jimport('joomla.html.pane');
		
		$app 		= &JFactory::getApplication();
		$document 	= & JFactory::getDocument();
		$uri 		= & JFactory::getURI();
		$user 		= & JFactory::getUser();
		
		$pane 		= & JPane::getInstance('tabs');
		
		$editor =& JFactory::getEditor();
				
		$document->addScript( JURI::base().'components/com_restaurantguide/assets/js/jscolor.js' );
		
		//get data from model
		$model		= & $this->getModel();
		$config 	= & $this->get( 'Data');

		$Lists = array();
		$box[] = JHTML::_('select.option', 'None', JText::_( 'RG_NONE' ) );
		$box[] = JHTML::_('select.option', 'White', JText::_( 'RG_WHITE' ) );
		$box[] = JHTML::_('select.option', 'Black', JText::_( 'RG_BLACK' ) );
		$box[] = JHTML::_('select.option', 'Lightblue', JText::_( 'RG_LIGHTBLUE' ) );
		$box[] = JHTML::_('select.option', 'Blue', JText::_( 'RG_BLUE' ) );
		$box[] = JHTML::_('select.option', 'Green', JText::_( 'RG_GREEN' ) );
		$box[] = JHTML::_('select.option', 'Warmbrown', JText::_( 'RG_WARM_BROWN' ) );
		$box[] = JHTML::_('select.option', 'Coolbrown', JText::_( 'RG_COOL_BROWN' ) );

		$Lists['box'] = JHTML::_('select.genericlist', $box, 'box', '', 'value', 'text', $config->box );

		$restos[] = JHTML::_('select.option',  '5', JText::_( '5' ) );
		$restos[] = JHTML::_('select.option',  '10', JText::_( '10' ) );
		$restos[] = JHTML::_('select.option',  '15', JText::_( '15' ) );
		$restos[] = JHTML::_('select.option',  '20', JText::_( '20' ) );
		$restos[] = JHTML::_('select.option',  '25', JText::_( '25' ) );
		$restos[] = JHTML::_('select.option',  '30', JText::_( '30' ) );
		$restos[] = JHTML::_('select.option',  '50', JText::_( '50' ) );
		$restos[] = JHTML::_('select.option',  'All', JText::_( 'RG_ALL' ) );

		$Lists['restos'] = JHTML::_('select.genericlist', $restos, 'restos', '', 'value', 'text', $config->restos );
		
		$this->assignRef( 'config', $config );
		$this->assignRef( 'imageselect', $imageselect);
		$this->assignRef( 'pane', $pane );
		$this->assignRef( 'Lists', $Lists );
		$this->assignRef( 'editor', $editor );
	}
}
?>
