<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');
?>

<script language="javascript" type="text/javascript">
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}

	// do field validation
	if (form.name.value == ""){
		alert( "<?php echo JText::_( 'RG_ADD_TAG_NAME' ); ?>" );
	} else {
		submitform( pressbutton );
	}
}
</script>


<form action="index.php" method="post" name="adminForm" id="adminForm">

	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TAG_NAME', 'name' ); ?></td>
                        <td>
                            <input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="60" maxlength="255" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ALIAS', 'alias' ); ?></td>
                        <td colspan="3">
                            <input class="text_area" type="text" name="alias" id="alias" size="60" maxlength="255" value="<?php echo $this->row->alias; ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PARENT_TYPE', 'type' ); ?></td>
                        <td><?php echo $this->lists['type']; ?></td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published' ); ?></td>
                        <td>
                            <?php
                            $html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
                            echo $html;
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_AGENT', 'agent' ); ?></td>
                        <td>
                            <?php echo $this->agent->username;?>
                        </td>
                    </tr>   
                 </table>		
			</td>
		</tr>
	</table>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="userid" value="<?php echo $this->row->userid; ?>" />
<input type="hidden" name="controller" value="tags" />
<input type="hidden" name="view" value="tag" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>