<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$editor =& JFactory::getEditor();

?>

<form action="index.php?option=com_restaurantguide&amp;view=testimonialedit" method="post" name="adminForm" id="adminForm" class="form-validate" enctype="multipart/form-data">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="title">
                            <?php echo JText::_( 'RG_REVIEW_TITLE' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="title" id="title" size="60" maxlength="50" value="<?php echo $this->data->title; ?>" />
                        </td>
                    </tr>    
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="alias">
                            <?php echo JText::_( 'RG_ALIAS' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="alias" id="alias" size="60" maxlength="50" value="<?php echo $this->data->alias; ?>" />
                        </td>
                    </tr>   
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_RESTAURANT' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="disabled" name="rest" id="rest" size="60" maxlength="250" value="<?php echo $this->data->resto;?>" />
                        </td>
                    </tr>   
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_USER' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="username" id="username" size="60" maxlength="250" value="<?php echo $this->author->username;?>" />
                        </td>
                    </tr>   
                    <tr>    
                        <td class="key">
                            <label for="name">
                                <?php echo JText::_( 'RG_PUBLISHED' ); ?>:
                            </label>
                        </td>
                        <td>
                            <?php $chequeado0 = $this->data->published ? JText::_( '' ) : JText::_( 'checked="checked"' );?>
                            <?php $chequeado1 = $this->data->published ? JText::_( 'checked="checked"' ) : JText::_( '' );?>
                            <input name="published" id="published0" value="0" <?php echo $chequeado0;?> type="radio">
                            <label for="published0"><?php echo JText::_( 'RG_NO' ); ?></label>
                            <input name="published" id="published1" value="1" <?php echo $chequeado1;?> type="radio">
                            <label for="published1"><?php echo JText::_( 'RG_YES' ); ?></label>  
                        </td>
                    </tr>   
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_SERVICE' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="service" id="service" size="20" maxlength="3" value="<?php echo $this->data->service;?>" />
                        </td>
                    </tr> 
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_FOOD' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="food" id="food" size="20" maxlength="3" value="<?php echo $this->data->food;?>" />
                        </td>
                    </tr>
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_AMBIENCE' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="ambience" id="ambience" size="20" maxlength="3" value="<?php echo $this->data->ambience;?>" />
                        </td>
                    </tr> 
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_LOCATION' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="location" id="location" size="20" maxlength="3" value="<?php echo $this->data->location;?>" />
                        </td>
                    </tr>  
                    <tr>
                        <td width="100" align="right" class="key">
                            <label for="name">
                            <?php echo JText::_( 'RG_VALUE' ); ?>:
                            </label>
                        </td>
                        <td>
                            <input class="text_area" type="text" name="value" id="value" size="20" maxlength="3" value="<?php echo $this->data->value;?>" />
                        </td>
                    </tr>                    
                </table>
            
                <fieldset class="adminform"><legend><?php echo JText::_( 'RG_DESCRIPTION' ); ?></legend>
            
                <table class="adminform">
                    <tr>
                        <td valign="top" colspan="3">
                            <?php
                            ## parameters : areaname, content, width, height, cols, rows
                            echo $editor->display( 'description',  $this->data->description , '100%', '350', '100', '15', $buttons = true ) ; ?>
                        </td>
                    </tr>
                </table>
                </fieldset>
            </td>
		</tr>
	</table>
<div class="clr"></div>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->data->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="testimonials" />
<input type="hidden" name="view" value="testimonialedit" />

<?php echo JHTML::_( 'form.token' ); ?>
</form>
