<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

//TODO: Refactor this mess completely!!!
class restaurantguide_state
{
	/**
	 * Parent States
	 * @var array
	 */
	var $id = null;
	
	/**
	 * Parent States
	 * @var array
	 */
	var $parentstate = array();
	
	var $local = array();
	
	/**
	 * Constructor
	 * @param int $cid
	 * @return restaurantguide_states
	 */
	function restaurantguide_state($cid)
	{
		$this->id = $cid;
		$this->buildParentState($this->id);
		$this->getParentState();
	}

	/**
    * Get the room tree
    *
    * @return array
    */
/*	function getStateStateTree($state)
	{
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND name = '.$state;

		$query = 'SELECT *, id AS value, name AS text'
				.' FROM #__rg_states'
				.$where
				.' ORDER BY name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		//set depth limit
		$levellimit = 10;
		
		//get children
    	$children = array();  	
    	foreach ($rows as $child) {
        	$parent = $child->parent_id;
       		$list = @$children[$parent] ? $children[$parent] : array();
        	array_push($list, $child);
        	$children[$parent] = $list;
    	}
    	//get list of the items
    	$list = restaurantguide_state::treerecurse(0, '', array(), $children, true, max(0, $levellimit-1));
    	
		return $list;
	}
*/	
	function getStateTree($country)
	{
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND country = '.$country;

		$query = 'SELECT id AS value, name AS text'
				.' FROM #__rg_states'
				.$where
				.' ORDER BY name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
   	
		return $rows;
	}

	/**
    * Get the room tree
    * based on the joomla 1.0 treerecurse 
    *
    * @access public
    * @return array
    */
	function treerecurse( $id, $indent, $list, &$children, $title, $maxlevel=9999, $level=0, $type=1 )
	{
		if (@$children[$id] && $level <= $maxlevel) {
			foreach ($children[$id] as $v) {
				$id = $v->id;

				if ( $type ) {
					$pre    = '<sup>|_</sup>&nbsp;';
					$spacer = '.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
				} else {
					$pre    = '- ';
					$spacer = '&nbsp;&nbsp;';
				}

				if ($title) {
					if ( $v->parent_id == 0 ) {
						$txt    = ''.$v->name;
					} else {
						$txt    = $pre.$v->name;
					}
				} else {
					if ( $v->parent_id == 0 ) {
						$txt    = '';
					} else {
						$txt    = $pre;
					}
				}
				$pt = $v->parent_id;
				$list[$id] = $v;
				$list[$id]->treename = "$indent$txt";
				$list[$id]->children = count( @$children[$id] );

				$list = restaurantguide_state::treerecurse( $id, $indent . $spacer, $list, $children, $title, $maxlevel, $level+1, $type );
			}
		}
		return $list;
	}

	/**
	 * Build States select list
	 *
	 * @param array $list
	 * @param string $name
	 * @param array $selected
	 * @param bool $top
	 * @param string $class
	 * @return void
	 */
	function buildstateselect($list, $name, $selected, $class = 'class="inputbox"')
	{
		$statelist 	= array();

		$statelist[] 	= JHTML::_( 'select.option', '0', '- '.JText::_( 'RG_SELECT_A_STATES' ).' -' );
		
		foreach ($list as $item) {
			$statelist[] = JHTML::_( 'select.option', $item->value, $item->text);
		}
		return JHTML::_('select.genericlist', $statelist, $name, $class, 'value', 'text', $selected );
	}
}
?>