<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


?>
<script language="javascript" type="text/javascript">

function getMapData(){ 

	var mapdata = new Array();
	var x = y = 0;
	<?php 
	foreach( $this->restaurants as $sub){ 
		if (empty($sub->lat)) continue;  ?>		
		mapdata[x] = new Array(2);
		for (y = 0; y < 2; y++) {
			if (y == 0) {
				mapdata[x][y] = <?php echo $sub->lat ?>;
			} else if (y == 1) {
				mapdata[x][y] = <?php echo $sub->lon ?>;
			}
		}
		
		x++;
	<?php
	} ?>

	return mapdata; 
}

function togglemainmap(){

	loadRestoMap(); 
}
</script>
<?php
if ($this->rgconf->api_key) {
	$base = array(
		'lat' => 0,
		'lon' => 0,
		'region' => "resto",
		'child' => false,
		'ajaxmap' => true
	);
	
	echo rg_html::showmap($this->rgconf, $base, $this->restaurants, $this->city->name);
}

echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->city_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->city_publisher_id, $this->rgconf->city_ad_slot, $this->rgconf->city_ad_width, $this->rgconf->city_ad_height );
	}

	if ($this->params->def( 'show_page_title', 1 ) && $this->city->titleimage) {
		$height = $this->city->titleimageheight + 0;
		
		if ($this->rgconf->city_menu) {
			echo rgSelectHelper::CityMenu($this->city);
		}
		echo '<div class="titlewrapper" style="height:'.$height.'px">' . "\n";  
			echo '<img style="margin:0" src="'.JURI::base() .'images/restaurantguide/city/album/' . $this->city->titleimage .'" align="left" width="100%" height="'.$this->city->titleimageheight.'px" alt="'.htmlentities($this->city->name).'" />' . "\n";  
			echo '<div class="titlebox" style="height:40px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>' . "\n";
			echo '</div>' . "\n";  
		echo '</div>' . "\n"; 
	} else { 
		if ($this->rgconf->conti_menu) {
			$menu_height = 78;
		} else { 
			$menu_height = 78;
		}
		if ($this->rgconf->city_menu) {
			echo rgSelectHelper::CityMenu($this->city);
		}
		echo '<div class="titlewrapper" style="height:'.$menu_height.'px;">' . "\n";  
			echo '<div class="titlebox" style="height:46px;"> ' . "\n"; 
				echo '<h1 class="title_content">'.$this->params->get('page_title').'</h1> ' . "\n"; 
			echo '</div>' . "\n"; 
			echo '<div style="clear:both;"></div>' . "\n"; 
			echo '<div class="slogan"> ' . "\n"; 
				echo '<p style="font-weight:bold; padding: 5px 10px;"> ' . "\n"; 
				echo $this->rgconf->siteslogan;
				echo '</p>' . "\n"; 
			echo '</div>' . "\n";  
		echo '</div>' . "\n";  
	}

	echo '<div class="clear"></div>' . "\n"; 

	
	echo '<div id="restomap" style="display: none; height:480px;">' . "\n";
	
	echo rg_html::boxtop();
		echo '<h3 class="title">'; 
			echo JText::_('RG_FIND_RESTAURANTS_BY_MAP'); 
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n"; 
	echo rg_html::boxbottom();
	echo '</div>' . "\n";
	
	if (count($this->localareas) > 0) {
		echo rg_html::boxtop();
		
			echo '<h3 class="title">';  
			echo $this->city->name; 
			echo '</h3>';
/*	
		if ($this->country->image) {
			echo '<div class="floatleft"><a href="'.JURI::base().'images/restaurantguide/country/album/'.$this->country->image.'" rel="lightbox" title="'.$this->country->name.'"><img class="img_left imgshadow" style="padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/country/resize/' . $this->country->image .'" width="'. $this->country->imagewidth.'px" height="'.$this->country->imageheight.'px" alt="'.htmlentities($this->country->name).'" /></a></div>';
		}
	
		if (($this->country->description)<>'')	{
			echo '<p style="text-align:left">';
			echo $this->country->description;
			echo '</p>';
		}  else {
			echo JText::_('RG_PLEASE_INSERT_DESCRIPTION');
		}
		echo '<div class="clear"></div>' . "\n";
*/		
		
			

		/*		echo '<div id="list_wrapper"><ul class="multiple_columns">' . "\n";
				foreach ($this->cityname as $city) : 
					if (isset($city->city)) {
						$link = JRoute::_( restaurantguideHelperRoute::getStatesRoute($city->statesslug));
						echo '<div id="list_wrapper"><strong><a href="'. $link.'">'.$city->name.'</a></strong><ul class="multiple_columns">' . "\n";
						if (count($city->city) > 0) {
							foreach ($city->city as $town) : 
								echo '<li>' . "\n";
									$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($town->cityslug));
									echo '<a href="'. $link.'">'.$town->name.'</a>' . "\n";
								echo '</li>' . "\n";
							endforeach;	
						}
						echo '</ul></div><div style="clear:both;"></div>' . "\n";
					} else {
						echo '<li>' . "\n";
							$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($city->cityslug));
							echo '<a href="'. $link.'">'.$city->name.'</a>' . "\n";
						echo '</li>' . "\n";
					}
				endforeach;	
	
				echo '</ul></div>' . "\n"; */
				
				
			echo '<ul id="desti"><li>' . "\n";
			$i = 0;
			foreach ($this->localareas as $local) : 	
				$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($local->slug));
			
				echo '<div class="desti_1">';
				echo '<ul class="restobox"><a href="'.$link.'">';
				echo '<li style="line-height:13px;">';
				echo '<h6 style="font-size:13px; margin: 5px;">'.JText::_($local->name).'</h6>';
				
				if ($local->image) {
					echo '<img style="border:none; src="'.JURI::base() .'images/restaurantguide/city/resize/'.$local->image.'" title="'.htmlentities($local->name).'" alt="'.htmlentities($local->name).'" />';
				} else {
					echo '<div style="text-align:center"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.htmlentities($local->name).'" alt="'.htmlentities($local->name).'" /></div>';	
				}
						
				echo '<br/><p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:12px; float:right">';	
					if ($local->assignedrestos > 0) {
						echo JText::sprintf('RG_S_RESTAURANTS', $local->assignedrestos);	
					} else {
						echo JText::_('RG_NO_RESTAURANT'); 
					}
				echo '</p>';
				echo '</li></a></ul></div>';
				
				$i++;
				if ($i == 3) {
					echo '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				} 
				
			endforeach;
			echo '</li></ul>' . "\n";	
		
			echo '<div style="clear:both;"></div>' . "\n"; 
	
		echo rg_html::boxbottom();
	}
	

	if (count($this->restaurants) > 0)
		echo $this->loadTemplate('items');
	else
		echo JText::_('RG_OOPS_THERE_ARE_NO_RESULTS');
	
	echo $this->loadTemplate('destinations');
	
	if ($this->rgconf->city_topdesti && count($this->topdestinations) > 0) {
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_topdestinations.php');
	}
	
	if ($this->rgconf->city_desti && count($this->destinations) > 0)
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_destination.php');

	echo '<div class="clear"></div>' . "\n"; 

	if ($this->rgconf->city_adsense) {
		echo rg_html::showGoodleAdSense($this->rgconf->city_publisher_id, $this->rgconf->city_ad_slot, $this->rgconf->city_ad_width, $this->rgconf->city_ad_height );
	}
	echo '<div class="clear"></div>' . "\n"; 
?>
<!---
/***********************************************
* HotelGuide - © EazyTOUR (www.eazytour.com)
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
*
* If you want to remove copyright, 
* buy the commercial version.
*
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php	
	echo RGUtil::footer();

echo '</div>';
?>