<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

if ($this->rgconf->api_key) {
	$base = array(
		'lat' => 0,
		'lon' => 0,
		'zoom' => 5,
		'maptype' => $this->rgconf->maptype,
		'region' => "resto",
		'child' => false,
		'ajaxmap' => false
	);
	
	echo rg_html::showmap($this->rgconf, $base, $this->restaurants, $this->city->name);
}

if ($this->rgconf->mapheight)
	$height = $this->rgconf->mapheight;
else
	$height = 400;

echo rg_html::boxtop();

	echo '<h3 class="title">';  
	echo JText::_('FIND RESTAURANTS BY MAP'); 
	echo '</h3>';


	echo '<div id="map_container" style="width:100%">';
		echo '<div id="sidebar" style="overflow: auto; height: '.$height.'px; width:150px;"></div>';
		echo '<div id="map_canvas" style="width:auto; height:'.$height.'px; overflow: hidden; "></div>';
	echo '</div>';

echo rg_html::boxbottom();
?>
