<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo rg_html::boxtop();

	echo '<h3 class="title">';  
	echo $this->country->name; 
	echo '</h3>';

	if ($this->country->image) {
		echo '<div class="floatleft"><a href="'.JURI::base().'images/restaurantguide/country/album/'.$this->country->image.'" rel="lightbox" title="'.$this->country->name.'"><img class="img_left imgshadow" style="padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/country/resize/' . $this->country->image .'" width="'. $this->country->imagewidth.'px" height="'.$this->country->imageheight.'px" align="left" alt="'.htmlentities($this->country->name).'" /></a></div>';
	}

	if (($this->country->description)<>'')	{
		echo '<p style="text-align:left">';
		echo $this->country->description;
		echo '</p>';
	}  else {
		echo JText::_('RG_PLEASE_INSERT_DESCRIPTION');
	}
	echo '<div class="clear"></div>' . "\n";
	
	if (count($this->cityname) > 0) {
		if (isset($this->cityname[0]->city)) {
			echo '<h3 class="title" style="margin-top:20px">';  
				echo JText::sprintf('RG_ALL_STATES_IN', $this->country->name);
			echo '</h3>';
			
			echo '<ul id="desti"><li>' . "\n";
				$i = 0;
				foreach ($this->cityname as $states) : 	
					$link = JRoute::_( restaurantguideHelperRoute::getStatesRoute($states->statesslug));
				
					echo '<div class="desti_1">';
					echo '<ul class="restobox"><a href="'.$link.'">';
					echo '<li style="line-height:13px;">';
					echo '<h6 style="font-size:13px">'.JText::_($states->name).'</h6>';
					
					if ($states->image) {
						echo '<img style="border:none; width:100%;" src="'.JURI::base() .'images/restaurantguide/states/resize/'.$states->image.'" title="'.htmlentities($states->name).'" alt="'.htmlentities($states->name).'" />';
					} else {
						echo '<div style="text-align:center"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.htmlentities($states->name).'" alt="'.htmlentities($states->name).'" /></div>';	
					}
					
					$no_city = count($states->city);
							
					echo '<p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:14px; float:right;">';	
						if ($no_city > 0) {
							echo JText::sprintf('RG_S_CITIES', $no_city);	
						} else {
							echo JText::_('RG_NO_CITY'); 
						}
					echo '</p>'; 
					echo '</li></a></ul></div>';
					
					$i++;
					if ($i == 3) {
						echo '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					} 
					
				endforeach;
				echo '</li></ul>' . "\n";	
			
			echo '<div style="clear:both;"></div>' . "\n"; 
		} else {
			
			echo '<h3 class="title" style="margin-top:20px">';  
				echo JText::sprintf('RG_ALL_CITIES_IN', $this->country->name);
			echo '</h3>';
		
			echo '<ul id="desti"><li>' . "\n";
				$i = 0;
				foreach ($this->cityname as $city) : 
					$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($city->cityslug));
				
					if ($i % 3 == 0) {
						echo '<div class="desti_1" style="margin-left:0px">';
					} else {
						echo '<div class="desti_1">';
					}
					echo '<ul class="restobox"><a href="'.$link.'">';
					echo '<li style="line-height:13px;">';
					echo '<h6 style="font-size:13px; padding-top:0px;">'.JText::_($city->name).'</h6>';
					
					if ($city->image) {
						echo '<img style="border:none; width:100%;" src="'.JURI::base() .'images/restaurantguide/city/resize/'.$city->image.'" title="'.htmlentities($city->name).'" alt="'.htmlentities($city->name).'" />';
					} else {
						echo '<div style="text-align:center"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="'.htmlentities($states->name).'" alt="'.htmlentities($states->name).'" /></div>';	
					}

					echo '<p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:14px; float:right;">';	
						if ($city->assignedrestos > 0) {
							echo JText::sprintf('RG_NO_RESTAURANTS', $city->assignedrestos);	
						} else {
							echo JText::_('RG_NO_RESTAURANT'); 
						}
					echo '</p>'; 
					echo '</li></a></ul></div>';
					
					$i++;
					if ($i == 3) {
						echo '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					} 
					
				endforeach;
			echo '</li></ul>' . "\n";	
			
		/*	
			echo '<ul id="desti"><li>' . "\n";
			$i = 0;
			foreach ($this->cityname as $city) : 	
				$link = JRoute::_( restaurantguideHelperRoute::getCityRoute($city->cityslug));
			
				echo '<div class="desti_1">';
				echo '<ul class="restobox"><a href="'.$link.'">';
				echo '<li style="line-height:13px;">';
				echo '<h6 style="font-size:13px">'.JText::_($city->name).'</h6>';
				
				if ($city->image) {
					echo '<a href="'. $link.'"><img style="border:none; width:100%;" src="'.JURI::base() .'images/restaurantguide/city/resize/'.$city->image.'" title="'.htmlentities($city->name).'" alt="'.htmlentities($city->name).'" /></a>';
				} else {
					echo '<div style="text-align:center"><a href="'. $link.'"><img style="border:none;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.jpg" title="No Image" alt="No Image" /></a></div>';	
				}
						
				echo '<p style="font-size:11px; color:#757575; font-weight:normal; padding:0; line-height:10px;">';	
					if ($city->assignedrestos > 0) {
						echo JText::sprintf('RG_S_RESTAURANTS', $city->assignedrestos);	
					} else {
						echo JText::_('RG_NO_RESTAURANT'); 
					}
				echo '</p>';
				echo '</li></a></ul></div>';
				
				$i++;
				if ($i == 3) {
					echo '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				} 
				
			endforeach;
			echo '</li></ul>' . "\n";	
		
		echo '<div style="clear:both;"></div>' . "\n"; */
		}
	}
 
	if ($this->rgconf->country_links && count($this->sponsors) > 0) {
		echo '<h3 class="title" style="margin:10px 0 0 0; text-align:right;">';  
		echo '<span style="font-size:11px; font-weight:normal;">'.JText::_('RG_SPONSOR_LINKS').'</span>'; 
		echo '</h3>';
		
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_sponsors.php');
	}

echo rg_html::boxbottom();
			
?>