<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


echo '<div id="tab-container-1" class="tablayout">' . "\n";
    echo '<ul id="tab-container-1-nav" class="tablayout">' . "\n";
		foreach ($this->events as $sub) : 
			if ($sub->tabtitle)
				$name = $sub->tabtitle;
			else
				$name = $sub->title;
			echo '<li><span><a href="#'.htmlentities($name).'">'.htmlentities($name).'</a></span></li>' . "\n";
		endforeach;	
	echo '</ul>' . "\n";
	echo '<div class="tabs-container" style="border-color:'.$this->rgconf->bordercolor.';">' . "\n";
		
		$eventtotal = count($this->events); 
		for ($i = 0, $n = $eventtotal; $i < $n; $i++ ){
			$total = count($this->events[$i]->subevent);
			if ($total <= 0) continue;
			if ($this->events[$i]->tabtitle)
				$name = $this->events[$i]->tabtitle;
			else
				$name = $this->events[$i]->title;
				
			echo '<div class="tab" id="'.htmlentities($name).'">' . "\n";

				$x = 0;

				for ($j = 0, $k = $total; $j < $k; $j++ ){
					$subitem = $this->events[$i]->subevent[$j];
					$link = JRoute::_(restaurantguideHelperRoute::getEventRoute($subitem->slug));
					if ($j == 0) {
						
						echo '<div class="leftcol">' . "\n";
							echo '<div class="imagebox">' . "\n";
								echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; padding:4px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/event/resize/' . $subitem->image .'" align="left" width="'.$subitem->imagewidth.'px" height="'.$subitem->imageheight.'px" alt="" /></a>';
							echo '</div>' . "\n";
							echo '<div class="textbox">' . "\n";
								echo '<a href="'. $link.'"><h3 class="title" style="text-align:left">';  
								echo stripslashes($subitem->title); 
								echo '</h3></a>';
								echo '<p style="text-align:left; color:#8888ee;">';
								echo JHTML::_('date', $subitem->startdates, JText::_('DATE_FORMAT_LC3') );
								echo '</p>'; 
								echo RGUtil::introtext(strip_tags($subitem->description), 200);
							echo '</div>' . "\n";
						echo '</div>' . "\n";
					} else {
						echo '<div class="rightcol">' . "\n";
							if ($x == 0) 
								echo '<div class="itembox" style="padding:3px 0; background: transparent url('.JURI::base() .'/components/com_restaurantguide/assets/images/back_light.png) 0 0 repeat;">' . "\n";
							else
								echo '<div class="itembox" style="padding:3px 0; background: transparent url('.JURI::base() .'/components/com_restaurantguide/assets/images/back_dark.png) 0 0 repeat;">' . "\n";
								echo '<div class="titlerow" style="height:30px">' . "\n";
									echo '<div class="leftcell">' . "\n";
										echo '<div class="rg_inner" style="color:#8888ee; width:130px; text-align:left; margin-left:5px;">' . "\n";
											echo JHTML::_('date', $subitem->startdates, JText::_('DATE_FORMAT_LC3') );
										echo '</div>' . "\n";
									echo '</div>' . "\n";
									
									echo '<div class="centercell" style="width:auto">' . "\n";
										echo '<div class="rg_inner" style="left:20px; margin-right:10px">' . "\n";
											echo '<a href="'. $link.'">'.stripslashes($subitem->title).'</a>'; 
										echo '</div>' . "\n";
									echo '</div>' . "\n";
								echo '</div>' . "\n";
							echo '</div>' . "\n";

						echo '</div>' . "\n";
						
						$x = 1 - $x; 
					}
				}

				echo '<p style="text-align:right;">';
					$parentlink = JRoute::_(restaurantguideHelperRoute::getEventRoute($this->events[$i]->slug));
					echo '<a href="'. $parentlink.'">'.JText::_('RG_VIEW_ALL').'&nbsp;&raquo</a>';
				echo '</p>';
			echo '</div>' . "\n";
		}
			
	echo '</div>' . "\n";
echo '</div>' . "\n"; 
?>	
<script type="text/javascript">
var tabber1 = new Yetii({
id: 'tab-container-1'
});
</script>

