<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<script type="text/javascript">

	function tableOrdering( order, dir, task )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.getElementById("adminForm").submit( task );
	}
</script>

<form action="<?php echo $this->action; ?>" method="post" id="adminForm">
	<div id="rg_filter" class="floattext">
		<div class="rg_fright">
			<?php
			echo JText::_('RG_EVENTSPERPAGE').':&nbsp;';
			echo $this->pageNav->getLimitBox();
			?>
		</div>
	</div>
<?php

	echo rg_html::boxtop();
		
		echo '<div class="content">' . "\n";
			echo '<h3 class="title">';
				echo $this->parents->title;
			echo '</h3>' . "\n";

			$k =0;
			if ($this->rgconf->listheight_des > 0)
				$margin = $this->rgconf->listheight_des;
			else
				$margin = 80;
				
			echo '<div class="itembox">' . "\n";
			foreach ($this->events as $sub) : 
				if ($sub->published==0) continue;
				$link = JRoute::_(restaurantguideHelperRoute::getEventRoute($sub->slug));
				
				if ($k == 0) 
					echo '<div class="titlerow" style="background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_light.png) 0 0 repeat;">' . "\n";
				else
					echo '<div class="titlerow" style="background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_dark.png) 0 0 repeat;">' . "\n";
						echo '<div class="leftcell">' . "\n";
							echo '<div class="rg_inner">' . "\n";
							if ($sub->image) {
								echo '<a href="'. $link.'"><img class="img_left imgshadow" src="'.JURI::base() .'images/restaurantguide/event/thumb/' . $sub->image. '" alt="'.htmlentities($sub->title).'"></a>';
							} else {
								echo '<a href="'. $link.'"><img class="img_left imgshadow" style="float:none; padding:4px; border-color:'.$this->rgconf->bordercolor.'"  src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.gif" title="'.htmlentities($sub->title).'" alt="'.htmlentities($sub->title).'" ></a>';	
							}
						echo '</div>' . "\n";
					echo '</div>' . "\n";
					
					echo '<div class="centercell" style="width:auto">' . "\n";
						echo '<div class="rg_inner">' . "\n";

							echo '<p style="position:relative;" ><a class="titleitem" href="'. $link.'">';
							echo stripslashes($sub->title);
							echo '</a>';
							if ($sub->hits > 0 /*&& $this->rgconf->showhit*/) {
								echo '<span style="position: absolute; right:0px; font-size:11px;">';
								if ($sub->hits==1) echo JText::_('RG_VISIT');
								if ($sub->hits>1) echo JText::sprintf('RG_VISITS',$sub->hits);
								echo '</span>' . "\n";
							}
							echo '</p>' . "\n";
							echo '<p class="small" style="text-align:left; color:#8888ee;">';
							echo JHTML::_('date',  $sub->startdates,  JText::_('DATE_FORMAT_LC3') ).'<br/>';
							echo '</p>'; 
							if ($sub->description) { 
								if ($this->rgconf->max_char_des)
									$limit_char = 200;
								else 
									$limit_char = 200;
								echo '<p style="font-size:11px; line-height:1.2em;">';
								echo RGUtil::introtext(strip_tags($sub->description), $limit_char);
							
								echo '</p>' . "\n";
							}
						echo '</div>' . "\n";
					echo '</div>' . "\n";
				echo '</div>' . "\n";

				$k = 1 - $k; 
			endforeach;	
			echo '</div>' . "\n";

			echo '<p class="pageslinks">' . "\n";
				echo $this->pageNav->getPagesLinks();
			echo '</p>' . "\n";

			echo '<p class="pagescounter">' . "\n";
				echo $this->pageNav->getPagesCounter();
			echo '</p>' . "\n";

		echo '</div>' . "\n";

	echo rg_html::boxbottom();

	echo '<div class="clear"></div>' . "\n"; 

?>
<p>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="event" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="id" value="<?php echo $this->event->id; ?>" />
</p>
</form>