<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

JHTML::_('behavior.calendar');

?>

<script language="javascript" type="text/javascript">

	function togglemainmap(){

		loadRestoMap(); 
	}

</script>

<?php 
if ($this->item->lon) {
	$base = array(
		'lat' => $this->item->lat,
		'lon' => $this->item->lon,
		'region' => "resto",
		'child' => false,
		'ajaxmap' => true
	);

	$name = '';
	if ($this->item->cityname) {
		$name = $this->item->cityname;
	} else {
		$name = $this->item->countryname;
	}
	echo rg_html::showmap($this->rgconf, $base, $this->mapdatas, $name);
}


echo '<div id="restaurantguide" class="restaurantguide">' . "\n";

	if ($this->rgconf->resto_menu) {
		$name = '';
		if ($this->item->cityname) {
			$name = $this->item->cityname;
		} else {
			$name = $this->item->countryname;
		}
		echo rgSelectHelper::RestoMenu($this->item->city, $this->item->country, $this->item, $name, $this->item->countryslug, $this->item->cityslug, $this->user, $this->favoured);
		echo '<div class="clear"></div>' . "\n"; 
	}
		
	echo '<div class="rg_titlebox" style="height: 58px; margin-bottom: 10px;">' . "\n";
		echo '<div class="titlerow" style="height:58px">';
			echo '<div class="leftcell" style="width:auto;">' . "\n";
				echo '<div class="rg_inner" style="margin-top:2px; margin-left:4px;">' . "\n";
					if ($this->item->logoimage != null) { ?>
					<img style="width:auto; padding:0;" src="<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $this->item->id; ?>/<?php echo $this->item->logoimage; ?>" alt="" /> <?php 		
					}
				echo '</div>' . "\n";
			echo '</div>' . "\n";

			echo '<div class="centercell" style="height: 58px; left:0; width:100%;">' . "\n";
				echo '<div class="rg_inner" style="text-align:center">' . "\n";
					echo '<h2 style="font-size:20px; margin:0 0 3px 0; color:'.$this->rgconf->titlecolor.';">' . "\n";
					echo $this->item->title;
					echo '</h2>' . "\n";
					echo '<p style="color:'.$this->rgconf->titlecolor.'; text-align:center;">'.$this->item->restauranttype.'</p>';
				echo '</div>' . "\n";
			echo '</div>' . "\n";
	
			echo '<div class="rightcell" style="width:auto; height: 58px; vertical-align: middle;">' . "\n";
				echo '<div class="rg_inner" style="margin-top:2px; margin-right:4px;">' . "\n";
					if ($this->item->logoimage != null) { ?>
						<img style="width:auto; padding:0; z-index:0" src="<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $this->item->id; ?>/<?php echo $this->item->logoimage; ?>" alt="" /> <?php							
					}
				echo '</div>' . "\n";
			echo '</div>' . "\n";

  		echo '</div>' . "\n";      
    echo '</div>' . "\n";  
		
//	echo '<div class="clear"></div>' . "\n"; 
	
	echo '<div style="display:inline; width:100%; float:right;">';
		echo '<div id="linkedin" style="width:auto; float:right;"><script type="text/javascript" src="http://platform.linkedin.com/in.js"></script><script type="in/share" data-url="'.$this->item->absoluteURL.'" data-counter="right"></script></div>';
		
		$code_google  = '';
		$size_google = 'medium';
		$show_count_google= '1';
		$language_google  = 'en-US';
		$container_google = '1';

		$tmp = '<script type="text/javascript" src="http://apis.google.com/js/plusone.js">
		{lang: '.$language_google.'}
		</script>';
		$tmp .= '<g:plusone size="'.$size_google.'" href="'.$this->item->absoluteURL.'" count="'.$show_count_google.'"></g:plusone>';
		$code_google .= '<div style="float:right;">'.$tmp.'</div>';		
		echo $code_google;
		
		$code_twitter = '';
		$language_twitter    = 'en';
		$data_via_twitter    = '';
		$data_related_twitter= '';

		if ($language_twitter!= 'en'){$language_twitter = 'data-lang="'.$language_twitter.'"';} else {$language_twitter='';}
		if ($data_via_twitter!= ''){$data_via_twitter= 'data-via="'.$data_via_twitter.'"';} else {$data_via_twitter='';}
		if ($data_related_twitter!= ''){$data_related_twitter= 'data-related="'.$data_related_twitter.'"';} else {$data_related_twitter='';}
		
		$code_twitter = '<div style="float:right;"><a href="http://twitter.com/share" class="twitter-share-button" class="twitter-share-button" data-url="'.$this->item->absoluteURL.'" data-text="'.$this->item->title.'" data-count="horizontal" data-via="'.$data_via_twitter.'">Tweet</a></div>';
		echo $code_twitter;
	
		echo '<div style="float:right;margin-right:10px;"><a name="fb_share" type="button_count" share_url=\"'.$this->item->absoluteURL.'" href=\"http://www.facebook.com/sharer.php?u='.$this->item->absoluteURL.'&t='.$this->item->title.'">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script></div>';
		
		$code_like    = '';		
		$code_like .= '<fb:send href="'.$this->item->absoluteURL.'" colorscheme="light"></fb:send>';
		$code_like .= '<fb:like href="'.$this->item->absoluteURL.'" layout="button_count" show_faces="true" send="true" width="100px" action="like" font="arial" colorscheme="light"></fb:like>';
		echo '<div style="float:left;">'.$code_like.'</div>';
		 				
	echo '</div>' . "\n"; 	
	echo '<div class="clear" style="margin:0"></div>' . "\n"; 
				
				
	echo '<div id="restomap" style="display: none; height:480px;">' . "\n";
	echo rg_html::boxtop();
		echo '<h3 class="title">'; 
			echo JText::_('RG_LOCATION_MAP'); 
		echo '</h3>';
	
		echo '<div id="sidebar" style="height:400px; width:150px;"></div>';
		echo '<div id="map_canvas" style="height:400px;"></div>';
		
		echo '<button class="button" style="float:right" type="button" onClick="javascript:togglemap(\'contentlink\', \'link\', \'restomap\'); togglemainmap();">'.JText::_('RG_CLOSE_BIG_MAP').'</button>' . "\n"; 
		echo '<div class="clear"></div>' . "\n";  	
	echo rg_html::boxbottom();	
	echo '</div>' . "\n";

	echo rg_html::boxtop();
	
	echo '<div id="topcontainer">' . "\n";
		echo '<div id="toprow">' . "\n";
			echo '<div id="topleft">' . "\n";
				echo '<ul id="top" class="feature">' . "\n";
	
				if ($this->item->address) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_ADDRESS').':&nbsp;'. "\n";
					echo $this->item->address.',&nbsp;'.$this->item->cityname;
					if ($this->item->statescode) {
						echo ',&nbsp;'.$this->item->statescode;
					}
					
					if ($this->item->zipcode) {
						echo '&nbsp;'.$this->item->zipcode;
					}
					echo '</li>' . "\n";
				endif;
				 
				if ($this->item->phone) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_PHONE').':&nbsp;'. "\n";
					echo $this->item->phone.'</li>' . "\n";
				endif;
				
				if ($this->item->fax) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_FAX').':&nbsp;'. "\n";
					echo $this->item->fax.'</li>' . "\n";
				endif;
				
				if ($this->item->diningstyle != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_DINING_STYLE').':&nbsp;'. "\n";
					echo $this->item->diningstyle. '</li>'. "\n";					
				endif;
				
				if ($this->item->executivechef != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_EXECUTIVE_CHEF').':&nbsp;'. "\n";
					echo $this->item->executivechef. '</li>'. "\n";					
				endif;
				
				if ($this->item->dresscode != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_DRESS_CODE').':&nbsp;'. "\n";
					echo $this->item->dresscode. '</li>'. "\n";					
				endif;
				
				if ($this->item->businesshr) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_HOURS').':&nbsp;'. "\n";
					echo $this->item->businesshr.'</li>' . "\n";
				endif;
				
				if ($this->item->holiday) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_HOLIDAYS').':&nbsp;'. "\n";
					echo $this->item->holiday.'</li>' . "\n";
				endif;
				
				if ($this->item->seats) :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_SEATS').':&nbsp;'. "\n";
					echo $this->item->seats.'</li>' . "\n";
				endif;
	
				if ($this->item->bookingtime != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_RESERVATIONS').':&nbsp;'. "\n";
					echo $this->item->bookingtime.'</li>' . "\n";
				endif;
			
				if ($this->item->payment != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_PAYMENT').':&nbsp;'. "\n";
					echo $this->item->payment.'</li>' . "\n";
				endif;
				
				if ($this->item->language != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_LANGUAGE').':&nbsp;'. "\n";
					echo $this->item->language.'</li>' . "\n";
				endif;
				
				if ($this->item->venue != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_VENUE').':&nbsp;'. "\n";
					echo $this->item->venue.'</li>' . "\n";
				endif;
				
				if ($this->item->additionaldetails != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_ADDITIONAL_DETAILS').':&nbsp;'. "\n";
					echo $this->item->additionaldetails.'</li>' . "\n";
				endif;
				
				if ($this->item->parking != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_PARKING').':&nbsp;'. "\n";
					echo $this->item->parking.'</li>' . "\n";
				endif;
				
				if ($this->item->parkingdetails != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_PARKING_DETAILS').':&nbsp;'. "\n";
					echo $this->item->parkingdetails.'</li>' . "\n";
				endif;
				
				if ($this->item->catering != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_CATERING').':&nbsp;'. "\n";
					echo $this->item->catering.'</li>' . "\n";
				endif;
								
				if ($this->item->email != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_E-MAIL').':&nbsp;'. "\n";
					echo $this->item->email.'</li>' . "\n";
				endif;
				
				if ($this->item->website != '') :
					echo '<li class="feature">' . "\n";
					echo JText::_('RG_WEB_SITE').':&nbsp;'. "\n";
					echo '<a href="http://'.$this->item->website.'" target="_blank">' . "\n";
					echo $this->item->website.'</a></li>' . "\n";
				endif;


				$num = count($this->item->facilitylist);
				if ( $num > 0 )
				{
					if ($this->rgconf->showficon) {
						echo '<li class="feature">' . "\n";
						echo JText::_('RG_FACILITIES').':&nbsp;'. "\n";
						foreach ( $this->item->facilitylist as $facility )
						{ 
							if (!$facility->pictogram) continue;
							echo "<img style='position:relative; top:1px' src='".JURI::base() ."images/restaurantguide/pictogram/".$facility->pictogram."' width='15px' alt='".$facility->name."' title='".$facility->name."' />";
						}
						echo '</li>'. "\n";
					} else {
						$i = 1;
						$html = '';
						foreach ( $this->item->facilitylist as $facility ) {
							$html .= htmlspecialchars($facility->name);
							
							if ($i < $num)
								$html .= ', ';
							$i ++;
						}
	
						echo '<li class="feature">' . "\n";
						echo JText::_('RG_FACILITIES').':&nbsp;'. "\n";
						echo $html;
						echo '</li>'. "\n";
					}
				}
							
				echo '</ul>' . "\n"; 

				echo '<div class="clear" style="margin-bottom:10px"></div>' . "\n"; 

			echo '</div>';
			echo '<div id="topright">' . "\n"; 
				
				if ($this->item->pricerange > 0) :
					echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; width: 210px;">';
						echo '<p class="resto" style="font-size:130%; font-weight:bold; text-align:center; text-decoration:underline;">';
						
						if ($this->item->pricerange == 1) {
							echo rg_html::getCurrency($this->item->id, $this->rgconf->minprice, 1).'&nbsp;'.JText::_('RG_AND_UNDER');
						} else if ($this->item->pricerange == 2) {
							echo rg_html::getCurrency($this->item->id, $this->rgconf->normalprice, 1).'&nbsp;'.JText::_('RG_TO').'&nbsp;'.rg_html::getCurrency($this->item->id, $this->rgconf->hiprice , 1); 
						} else if ($this->item->pricerange == 3) {
							echo rg_html::getCurrency($this->item->id, $this->rgconf->hiprice, 1).'&nbsp;'.JText::_('RG_OVER');
						}
						echo '</p>';
					echo '</div>' . "\n";				
				endif;
					
				if ($this->item->cuisinelist->cuisines != '') :
					if ($this->item->pricerange > 0)
						echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; border-top:none; width: 210px;">';
					else 
						echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; width: 210px;">';
						echo '<p style="font-size:110%; font-weight:bold; text-align:center;">';
							echo $this->item->cuisinelist->cuisines;
						echo '</p>';
					echo '</div>' . "\n";				
				endif;
					
				if ($this->rgconf->weather) {
					if ($this->item->rate > 0 && $this->rgconf->rating) {
						if ($this->item->pricerange > 0 || $this->item->cuisinelist->cuisines != '')
							echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; border-top:none; width: 210px;">';
						else
							echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; width: 210px;">';
							echo rg_html::categoryratingbar($this->item);
							echo '<br />'.JText::sprintf('RG_USERS_RATING',$this->item->rate); 
						echo '</div>' . "\n";
						
						if ($this->item->atmolist->atmos != '') {
							echo '<div class="ratingIcon" style="border-color:'.$this->rgconf->wbordercolor.'; border-top:none; width: 210px;">';
								echo '<p style="font-size:110%; font-weight:bold; text-align:center;">';
									echo $this->item->atmolist->atmos;
								echo '</p>';
							echo '</div>' . "\n";
						}
					}
					
					if ($this->item->cityname || $this->item->countryname == 'Singapore' || $this->item->countryname == 'Hong Kong') {
						// parsed from XML data
						$parsedData = array(
							'unit' => '',
							'current_condition' => '',
							'current_temp_f' => '',
							'current_temp_c' => '',
							'current_humidity' => '',
							'current_icon' => '',
							'current_wind' => '',
							'forecast' => array()
						);
		
						if(function_exists('curl_init'))
						{
							// initializing connection
							$curl = curl_init();
							// saves us before putting directly results of request
							curl_setopt($curl, CURLOPT_RETURNTRANSFER, TRUE);
							// url to get
							$city = str_replace(" ", "+", $this->item->cityname);
							if ($this->item->countryname == "Singapore" || $this->item->countryname == "Hong Kong") {
								$city = str_replace(" ", "+", $this->item->countryname);
							}
							
							if ($this->item->zipcode) {
								$city = $this->item->zipcode;
							} 
							curl_setopt($curl, CURLOPT_URL, 'http://www.google.com/ig/api?weather='.$city.'&hl='.$this->lan);
							// timeout in seconds
							curl_setopt($curl, CURLOPT_TIMEOUT, 20);
							// useragent
							curl_setopt($curl, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
							// reading content
							$weather = curl_exec($curl);
							// closing connection
							curl_close($curl);
						}

						$xml =& JFactory::getXMLParser('Simple');
					
						if($xml->loadString($weather))
						{
							// checking data correct
							if(!isset($xml->document->weather[0]->problem_cause[0]))
							{
								$problem = false;
								// preparing shortcuts
								$forecast_info = $xml->document->weather[0]->forecast_information[0];
								$current_conditions = $xml->document->weather[0]->current_conditions[0];
								//
								if(
									isset($forecast_info->unit_system[0]) &&
									isset($current_conditions->condition[0]) &&
									isset($current_conditions->temp_f[0]) &&
									isset($current_conditions->temp_c[0]) &&
									isset($current_conditions->humidity[0]) &&
									isset($current_conditions->icon[0]) &&
									isset($current_conditions->wind_condition[0])
								)
								{
									// loading data from feed
									$parsedData['unit'] = $forecast_info->unit_system[0]->attributes('data');
									$parsedData['current_condition'] = $current_conditions->condition[0]->attributes('data');
									$parsedData['current_temp_f'] = $current_conditions->temp_f[0]->attributes('data');
									$parsedData['current_temp_c'] = $current_conditions->temp_c[0]->attributes('data');
									$parsedData['current_humidity'] = $current_conditions->humidity[0]->attributes('data');
									$parsedData['current_icon'] = $current_conditions->icon[0]->attributes('data');
									$parsedData['current_wind'] = $current_conditions->wind_condition[0]->attributes('data');
									// parsing forecast
									for($i = 0; $i < 4; $i++)
									{
										$node = $xml->document->weather[0]->forecast_conditions[$i];
										$parsedData['forecast'][$i] = array(
											"day" => $node->day_of_week[0]->attributes('data'),
											"low" => $node->low[0]->attributes('data'),
											"high" => $node->high[0]->attributes('data'),
											"icon" => $node->icon[0]->attributes('data'),
											"condition" => $node->condition[0]->attributes('data')
										);
									}
								}
								else
								{
									$problem = true;
								}
								// if problem detected
								if($problem == true)
								{
									$this->error = 'An error occured during parsing XML data. Please try again.';
								}
							}
							else // if specified location doesn't exist
							{
								$this->error = 'An error occured - you set wrong location or data for your location are unavailable';
							}
						}
						if ($parsedData['current_icon']) {
							if ($this->item->pricerange > 0 || $this->item->cuisinelist->cuisines != '' || $this->rgconf->rating)
								echo '<div class="weather" style="border-color:'.$this->rgconf->wbordercolor.'; border-top:none; border-bottom:none; ">';
							else
								echo '<div class="weather" style="border-color:'.$this->rgconf->wbordercolor.'; border-bottom:none; ">';
							
								echo '<div class="weatherIcon" style="background-color:'.$this->rgconf->wboxcolor.'; border:none;">';
									echo '<img src="http://www.google.com' .$parsedData['current_icon'] . '"/>';
								echo '</div>';
								echo '<div class="weatherText" style="background:none; border:none; margin-left:2px;">';
									echo $parsedData['current_temp_c'].'&deg;C&nbsp;|&nbsp;'.$parsedData['current_temp_f'].'&deg;F<br/>';
									echo $parsedData['current_wind'].'<br/>';
									echo $parsedData['current_humidity'];
								echo '</div>'; 
							echo '</div>' . "\n";
							echo '<div class="weather" style="border-color:'.$this->rgconf->wbordercolor.';">';
								echo '<div class="weatherIcon" style="background-color:'.$this->rgconf->wboxcolor.'; border:none;">';
									echo '<img src="http://www.google.com' .$parsedData['forecast'][1]['icon'] . '"/>';
								echo '</div>';
								echo '<div class="weatherText" style="background:none; border:none; margin-left:2px;">';
									echo $parsedData['forecast'][1]['day'].'<br/>';
									echo intval(($parsedData['forecast'][1]['low']-32)*5/9).'&nbsp;&rArr;'.intval(($parsedData['forecast'][1]['high']-32)*5/9).'&deg;C&nbsp;|&nbsp;'.$parsedData['forecast'][1]['low'].'&nbsp;&rArr;'.$parsedData['forecast'][1]['high'].'&deg;F<br/>';
									echo $parsedData['forecast'][1]['condition'];
		
								echo '</div>';
							echo '</div>';
						}
					}
				}

			echo '</div>';
		echo '</div>';
	echo '</div>';
	echo '<div class="clear" style="margin-bottom:10px"></div>' . "\n"; 

	if ($this->item->introduction) {
		echo '<p>' . "\n";
			if ($this->item->mainimage) {
				echo '<a href="'.JURI::base().'images/restaurantguide/gallery/restaurant_'.$this->item->id.'/album/'.$this->item->mainimage.'" rel="lightbox" title="'.$this->item->title.'"><img class="img_left imgshadow" style="padding:4px;border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$this->item->id.'/resize/' .$this->item->mainimage. '" align="left" margin-right="10px" alt="'.$this->item->title.'"/></a>';
			}

			$content = JHTML::_('content.prepare', $this->item->introduction);
			echo $content; 
		echo '</p>' . "\n";

		echo '<div class="clear"></div>' . "\n"; 
		if ($this->item->eat) {
			echo '<strong>'.JText::_('RG_EAT').'</strong><br />' . "\n";
			echo '<p>'.$this->item->eat.'</p>' . "\n";
			echo '<div class="clear"></div>' . "\n"; 
		}
		if ($this->item->drink) {
			echo '<strong>'.JText::_('RG_DRINK').'</strong><br />' . "\n";
			echo '<p>'.$this->item->drink.'</p>' . "\n";
		}
		
		echo '<iframe id="FaceBookLikeIFrame" class="fbook-like" scrolling="no" frameborder="0" style="border:none; overflow:hidden;width:335px;height:30px;" allowTransparency="true" src="http://www.facebook.com/widgets/like.php?width=335&amp;show_faces=1&amp;layout=standard&amp;href='.$this->item->absoluteURL.'&amp;amp;action=like&amp;amp;font&amp;amp;colorscheme=light&amp;amp;height=30">
</iframe>';
	}
	
	echo rg_html::boxbottom();
	
echo '<div class="clear"></div>' . "\n"; 
echo $this->loadTemplate('tab');

echo '<div class="clear"></div>' . "\n"; 

if ($this->item->alternatives) {
	echo '<div class="clear" style="margin-bottom:40px"></div>' . "\n"; 
	echo rg_html::boxtop();	
		echo '<h3 class="title">';  
			echo JText::_('RG_ALTERNATIVE_RESTAURANTS'); 
		echo '</h3>';
	
		echo '<div id="restoclear">' . "\n"; 
			echo '<p style="font-size:14px; font-style:italic; text-align:center; padding:10px 0;">' . "\n";
				echo JText::sprintf('RG_FOLLOWING_RESTAURANTS_ARE_LOCATED_NEAR', $this->item->title);
			echo '</p>';
			foreach ($this->item->alternativelist as $alternative) : 
				$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($alternative->slug) );
				echo '<div class="alternative">' . "\n"; 
					echo '<div class="alt_left">' . "\n"; 		
						echo "<a href='".JRoute::_( $link )."'>";
						if ($alternative->mainimage) {
							echo '<a href="'. $link.'"><img class="imgshadow" style="width:80px; text-align:center; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$alternative->id.'/thumb/'.$alternative->mainimage.'" width="80px"; title="'.htmlentities($alternative->title).'" alt="'.htmlentities($alternative->title).'" /></a>';
						} else {
							echo '<a href="'. $link.'"><img class="imgshadow" style="border-color:'.$this->rgconf->bordercolor.'; border:none; text-align:center;" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_image.gif" width="'.$margin.'px"; title="No Image" alt="No Image" /></a>';	
						}
						if ($alternative->pricerange) {
							echo '<div class="ratingIcon" style="width:90px; margin:0; background:none; border:none;">';
							if ($this->item->pricerange == 1) {
								echo rg_html::getCurrency($this->item->id, $this->rgconf->minprice, 1).'&nbsp;'.JText::_('RG_AND_UNDER');
							} else if ($this->item->pricerange == 2) {
								echo rg_html::getCurrency($this->item->id, $this->rgconf->normalprice , 1).'&nbsp;'.JText::_('RG_TO').'&nbsp;'.rg_html::getCurrency($this->item->id, $this->rgconf->hiprice , 1);
							} else if ($this->item->pricerange == 3) {
								echo rg_html::getCurrency($this->item->id, $this->rgconf->hiprice, 1).'&nbsp;'.JText::_('RG_OVER');
							} 
							echo '</div>' . "\n"; 
						}
					echo '</div>' . "\n";
					echo '<div class="alt_right">' . "\n";
						echo '<p><a class="titleitem" style="font-weight:bold;" href="'. $link.'">';
						echo stripslashes($alternative->title);
						echo '</a></p>';
						if ($alternative->restauranttype) {
							echo '<p class="resto" style="font-size:11px;">' . "\n";
							echo $alternative->restauranttype; 
							echo '</p>' . "\n";
						} 
						if ($alternative->rate) {
							echo rg_html::categoryratingbar($alternative);
							echo '&nbsp;<span style="font-size:80%;">'.JText::sprintf('RG_USERS_RATING', $alternative->rate); 
							echo '</span>' . "\n";
						}
							
						echo '<p style="font-size:11px; padding: 0; font-style:italic;">' . "\n";
							if ($alternative->address) echo $alternative->address;
						echo '</p>' . "\n";
						echo '<p style="font-size:11px; padding: 0; line-height:1em; overflow: hidden;">';	
							if ($alternative->introduction) { 
								echo RGUtil::introtext(strip_tags($alternative->introduction), 100); 
							}
						echo '</p>';
					echo '</div>' . "\n";
				echo '</div>' . "\n";
			endforeach;		
		echo '</div>' . "\n";
		
	echo rg_html::boxbottom();
	echo '<div class="clear"></div>' . "\n";
}

if ($this->rgconf->showtags && $this->tags) {
	echo rgSelectHelper::showtags($this->tags);
	
	echo '<div class="clear"></div>' . "\n"; 
}

if ($this->rgconf->social) 
    echo rg_html::showSocial($this->item);

echo '<div class="clear"></div>' . "\n"; 

?>
<!---
/***********************************************
* Restaurant Guide - © EazyTOUR (www.eazytour.com)
* Do not remove footer for legal use.
* REMOVAL OR MODIFICATION COPYRIGHT TEXT BELLOW IS 
* VIOLATION OF TERMS & CONDITIONS AND DEPRIVES OF 
* ANY KIND OF SUPPORTS
* Visit http://www.joomla.eazytour.com/ for support
***********************************************/
--->
<?php
echo RGUtil::footer();

echo '<div class="clear"></div>' . "\n"; 

?>
</div>

<script language="javascript" type="text/javascript">

var resto_pages_count = 5;
var resto_item = "The Last Visited Pages";
var resto_expiredays = 30;

function saveCookie() { 

	if(resto_pages_count>0){
		for(var i=resto_pages_count; i>=0; i--){
			if(checkCookie(<?php echo $this->item->id; ?>) == true){ 
				if(i>0){
					setCookie("rg_viewed_restos"+i+"_link", getCookie("rg_viewed_restos"+(i-1)+"_link"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_title", getCookie("rg_viewed_restos"+(i-1)+"_title"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_id", getCookie("rg_viewed_restos"+(i-1)+"_id"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_image", getCookie("rg_viewed_restos"+(i-1)+"_image"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_restotype", getCookie("rg_viewed_restos"+(i-1)+"_restotype"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_cuisine", getCookie("rg_viewed_restos"+(i-1)+"_cuisine"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_city", getCookie("rg_viewed_restos"+(i-1)+"_city"), resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_country", getCookie("rg_viewed_restos"+(i-1)+"_country"), resto_expiredays);
				} else {
					setCookie("rg_viewed_restos"+i+"_link", document.URL, resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_title", "<?php echo $this->item->title; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_id", "<?php echo $this->item->id; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_image", "<?php echo $this->item->mainimage; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_restotype", "<?php echo $this->item->restauranttype; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_cuisine", "<?php echo JText::_('RG_CUISINE').':&nbsp;'.$this->item->cuisinelist->cuisines; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_city", "<?php echo $this->item->cityname; ?>", resto_expiredays);
					setCookie("rg_viewed_restos"+i+"_country", "<?php echo $this->item->countryname; ?>", resto_expiredays); 
				}
			}
		}
	} 
}


var offerAccordion=new TINY.accordion.slider("offerAccordion");
offerAccordion.init("acc","h6",0,0);

var partyAccordion=new TINY.accordion.slider("partyAccordion");
partyAccordion.init("acc2","h3",1,-1,"acc2-selected");

var checkAccordion=new TINY.accordion.slider("checkAccordion");
checkAccordion.init("acc3","h3",1,-1,"acc3-selected");
</script>