<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

switch ($this->currentpage) {
	case 'world' :
		$citylimit = $this->rgconf->world_city_limit;
		$hotellimit = $this->rgconf->world_resto_limit;
	break;
	
	case 'continent' :
		$citylimit = $this->rgconf->conti_city_limit;
		$hotellimit = $this->rgconf->conti_resto_limit;
	break;
	
	case 'country' :
		$citylimit = $this->rgconf->country_city_limit;
		$hotellimit = $this->rgconf->country_resto_limit;
	break;
	
	case 'states' :
		$citylimit = $this->rgconf->states_city_limit;
		$hotellimit = $this->rgconf->states_resto_limit;
	break;
	
	case 'city' :
		$citylimit = $this->rgconf->city_city_limit;
		$hotellimit = $this->rgconf->city_resto_limit;
	break;
	
	case 'search' :
		$citylimit = $this->rgconf->search_city_limit;
		$hotellimit = $this->rgconf->search_resto_limit;
	break;
	
	case 'tags' :
		$citylimit = $this->rgconf->tag_city_limit;
		$hotellimit = $this->rgconf->tag_resto_limit;
	break;
	
	default:
		$citylimit = $this->rgconf->world_city_limit;
		$hotellimit = $this->rgconf->world_resto_limit;
	break;
}

	echo rg_html::boxtop();

	echo '<h3 class="title">';  
	echo JText::_('RG_DESTINATIONS'); 
	echo '</h3>';
	
	echo '<dl class="accordion">' . "\n";
		$tabclass = array("listbox1", "listbox2");
		$k =0;
	
//		$limitnumber = $this->rgconf->destination;
//		$limitnumber = 5;
//		$margin = $this->rgconf->tg_smalllist_thumbwidth + 10;
		$margin = 94;

		$n = 0;
		foreach ($this->destinations as $item) { 	
			if ($n > $citylimit - 1)
				return;

			if ($n == 0) {
				echo '<dt class="accordion_toggler_1" id="open_accordion_entry" style="background-color:'.$this->rgconf->panelcolor.'">' . "\n";
			} else {
				echo '<dt class="accordion_toggler_1" id="open_accordion_entry" style="background-color:'.$this->rgconf->panelcolor.'">' . "\n";
			}
			echo '<strong>'.stripslashes($item->name).'</strong>';	
			
			echo '<span class="hit">';			
			if ($item->assignedrestos)  echo JText::sprintf('RG_OVER_RESTAURANTS', $item->assignedrestos);
			else echo JText::_('RG_NO_RESTAURANT');
			echo "</span>";
			echo '</dt>';
					
			echo '<dd class="accordion_content_1">';
				echo '<div class="'. $tabclass[$k] .'" style="display: table; width:100%; height: 130px; position: relative; overflow: hidden;">' . "\n";
				echo '<div class="titlerowbox">' . "\n";
					echo '<div class="leftdes">' . "\n";
					echo '<div class="rg_inner">' . "\n";
	
						if ($item->image) {
							echo '<img class="img_left imgshadow" style="padding:4px; margin: 6px 10px 0 7px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/city/crop/' . $item->image. '" alt="'.htmlentities($item->name).'"/>';
						} else {
							echo '<img class="img_left imgshadow" style="padding:4px; margin: 6px 10px 0 7px; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb_list.gif" title="No Image" alt="No Image" />';	
						}
					echo '</div>' . "\n";
					echo '</div>' . "\n";
									
					echo '<div class="rightdes">' . "\n";
						foreach ($item->restos as $restaurant) { 
							$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($restaurant->slug) );

							echo '<p><a class="titleitem" href="'. $link.'">'.stripslashes($restaurant->title).'</a>';
							if ($restaurant->restotype) {
								echo '&nbsp;'.JText::_('-').'&nbsp;'.$restaurant->restotype;
							}
							echo '</p>';		
						}
							
						echo '<div style="clear:both;"></div>' . "\n"; 
						if (count($item->restos) > 0) {
							echo '<p style="text-align:right; margin-right:5px">';
							$alllink = JRoute::_( restaurantguideHelperRoute::getCityRoute($item->slug) );	
							echo '<a href="'. $alllink.'">';
							echo JText::sprintf('RG_SEE_ALL_RESTAURANTS', $item->assignedrestos, $item->name);
							echo '</a></p>';
						} else {
							echo '<p style="text-align:right; margin-right:5px">';	
							echo JText::_('RG_NO_RESTAURANT');
							echo '</p>';
						}

					echo '</div>' . "\n";
				echo '</div>' . "\n";
				echo '</div>' . "\n";
			echo '</dd>' . "\n";

			$k = 1 - $k; 
			$n ++;
		}
	echo '</dl>' . "\n";

	echo rg_html::boxbottom();
?>