<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<script language="javascript" type="text/javascript">


function ChangeState(a){
	var progressA = $('progressA');
	
	var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&format=raw&task=ChangeState';

	var ajax = new Ajax(url, {
		method: 'get',
		onRequest: function(){progressA.setStyle('visibility', 'visible');},
		onComplete: function(){progressA.setStyle('visibility', 'hidden');},
		update: $('AjaxState'), 
		data: 'country='+a
		});
	ajax.request();
}

function ChangeStateCity(a){
	var progressB = $('progressB');
	
	var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&format=raw&task=ChangeStateCity';

	var ajax = new Ajax(url, {
		method: 'get',
		onRequest: function(){progressB.setStyle('visibility', 'visible');},
		onComplete: function(){progressB.setStyle('visibility', 'hidden');},
		update: $('AjaxCity'), 
		data: 'states='+a
		});
	ajax.request();
}

function ChangeCity(a){
	var progressB = $('progressB');
	
	var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&format=raw&task=ChangeCity';

	var ajax = new Ajax(url, {
		method: 'get',
		onRequest: function(){progressB.setStyle('visibility', 'visible');},
		onComplete: function(){progressB.setStyle('visibility', 'hidden');},
		update: $('AjaxCity'), 
		data: 'country='+a
		});
	ajax.request();
}

function uncheckAll(field)
{
	for (i = 1; i < field.length; i++)
		field[i].checked = false;
}

function uncheck(field)
{
	if (field[0].checked == true)
		field[0].checked = false;
}

// Preloading the images used for the slider handle
var imgList = ["slider-disabled.png", "slider-disabled-1.png", "slider.png", "slider-1.png"];
var preloadImg = []
for(var i = 0, imgSrc; imgSrc = imgList[i]; i++) {
        preloadImg[i] = new Image();
        preloadImg[i].src = "../images/" + imgSrc;
};

function updateSelect() {
	var sel = document.getElementById("slide");
	var rate = "<?php echo JText::_( 'ALL RESTAURANTS' ); ?>";
	switch (sel.options[sel.selectedIndex].value) {
		case '0':
			rate = "<?php echo JText::_( 'ALL RESTAURANTS' ); ?>";
			break;
			
		case '1':
			rate = "<?php echo JText::_( '1 STAR OR MORE' ); ?>";
			break;
			
		case '2':
			rate = "<?php echo JText::_( '2 STARS OR MORE' ); ?>";
			break;
			
		case '3':
			rate = "<?php echo JText::_( '3 STARS OR MORE' ); ?>";
			break;
			
		case '4':
			rate = "<?php echo JText::_( '4 STARS OR MORE' ); ?>";
			break;
			
		case '5':
			rate = "<?php echo JText::_( '5 STARS' ); ?>";
			break;
	}
	document.getElementById("slideLabel").innerHTML = "<?php echo JText::_( 'USER RATING - (' ); ?>" + rate +")";
};

window.addEvent('domready', function(){

	$$( '.container' ).each(function(item){
		var hideSlider = new Fx.Slide( item.getElement( '.slidevisible' ), { duration: 500 } );
		hideSlider.hide();

		item.getElement( 'h3' ).addEvent( 'click', function(){ hideSlider.toggle(); } );
		item.getElement( 'h3' ).addEvent( 'click', function(){ item.getElement( 'h3' ).toggleClass('open'); showSlider.toggle(); } );
	} );

});

</script>

<?php
			
if ($this->rgconf->box == 'None')
	echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
else
	echo rg_html::boxtop();
	
	echo '<h3 class="title">';  
	echo JText::_('SEARCH FOR RESTAURANTS'); 
	echo '</h3>';
	
?>
<form name="searchform" action="index.php?option=com_restaurantguide&view=search" method="post" id="searchform" class="form-validate" enctype="multipart/form-data">

<?php
	echo '<div class="searchbox">' . "\n";
		echo '<div class="searchleft_cap">' . "\n";
			echo '<div class="inner">' . "\n";
				echo JText::_( 'COUNTRY' ).':&nbsp;';
			echo '</div>';
		echo '</div>';
		echo '<div class="searchleft">' . "\n";
			echo '<div class="inner">' . "\n"; 
				echo SelectHelper::search_country( $this->filter_country ); 
			echo '</div>' . "\n";
		echo '</div>' . "\n";
		echo '<div class="searchright_cap">' . "\n";
			echo '<div class="inner">' . "\n";
				echo JText::_( 'STATE' ).':&nbsp;';
			echo '</div>';
		echo '</div>';
		echo '<div class="searchright">' . "\n";
			echo '<div class="inner">' . "\n";
				echo '<div id="AjaxState">';
					echo SelectHelper::search_state( $this->filter_country, $this->filter_states ); 			
				echo '</div>';
				echo '<div id="progressA"></div>';
			echo '</div>' . "\n";
		echo '</div>' . "\n";
	echo '</div>' . "\n";
	echo '<div class="searchbox">' . "\n";
		echo '<div class="searchleft_cap">' . "\n";
			echo '<div class="inner">' . "\n";
				echo JText::_( 'CITY' ).':&nbsp;';
			echo '</div>';
		echo '</div>';
		echo '<div class="searchleft">' . "\n";
			echo '<div class="inner">' . "\n";
				echo '<div id="AjaxCity">';
					echo SelectHelper::search_city( $this->filter_country, $this->filter_city ); 
				echo '</div>';
				echo '<div id="progressB"></div>';
			echo '</div>' . "\n";
		echo '</div>' . "\n";
		echo '<div class="searchright">' . "\n";
			echo '<div class="inner" style="float:right">' . "\n";
				echo '<input type="submit" class="button" name="submit_search" value="' . JText::_('SEARCH') . '" />'."\n";
			echo '</div>' . "\n";
		echo '</div>' . "\n";
	echo '</div>' . "\n";
	echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 

	echo '<div class="container">' . "\n";
		echo '<h3 style="text-align:left">' . "\n";
			echo '<a name="1" href="#1">'.JText::_( 'ADVANCED SEARCH' ).'</a>  <span>+</span>' . "\n";
		echo '</h3>' . "\n";
        echo '<div class="slidevisible">' . "\n";
			echo '<div class="searchbox">' . "\n";
				echo '<div class="searchleft_cap" style="width:50%;">' . "\n";
					echo '<div class="inner" style="margin-right:5px; width:50%;">' . "\n";
						echo '<p>' . "\n";
							echo JText::_( 'RESTAURANT NAME' ); 
						echo '</p><br/>' . "\n"; ?> 
						<input class="input" type="text" name="search" id="search" size="30" maxlength="100"  value="<?php echo $this->lists['search']; ?>"/><input type="button" class="button" name="clear" value="CLEAR" onClick="document.searchform.search.value='';"><?php 
					echo '</div>' . "\n";
				echo '</div>' . "\n";
				echo '<div class="searchright_cap"  style="width:50%;">' . "\n";
					echo '<div class="inner" style="text-align:left; margin-left:5px;">' . "\n"; 
						/* 
						/*	TO DO: change this part later
						/*
						*/ ?>
						<p id="slideLabel"><?php echo JText::_( 'USER RATING - (ALL RESTAURANTS)' ); ?></p>
                        <ul id="ratelist">
                          <li id="all"><?php echo JText::_( 'ALL' )?></li>
                          <li id="one-star"></li>
                          <li id="two-star"></li>
                          <li id="three-star"></li>
                          <li id="four-star"></li>
                          <li id="five-star"></li>
                        </ul><br/>
                    
                        <select name="filter_rate" id="slide" class="fd_slider fd_callback_updateSelect">
                            <option value="0" selected="selected">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5">5</option>
                        </select> <?php
                    echo '</div>' . "\n";
                echo '</div>' . "\n";
            echo '</div>' . "\n";

			echo '<div style="clear:both;padding-bottom:5px;"></div>' . "\n"; 
			echo '<div class="searchbox">' . "\n";
				echo '<div class="searchleft_cap" style="width:50%">' . "\n";
					echo '<div class="inner" style="margin-right:5px;">' . "\n";
						echo '<p style="text-align:left;">' . "\n";
							echo JText::_( 'CUISINES' ); 
						echo '</p>' . "\n"; 
						echo SelectHelper::search_cuisine($this->filter_cuisines); 
					echo '</div>' . "\n";
				echo '</div>' . "\n";
				echo '<div class="searchright_cap" style="width:50%">' . "\n";
					echo '<div class="inner" style="margin-left:5px;">' . "\n"; 
						echo '<p style="text-align:left;">' . "\n";
							echo JText::_( 'ATMOSPHERE' ); 
						echo '</p>' . "\n"; 
						echo SelectHelper::search_atmosphere($this->filter_atmo); 
					echo '</div>' . "\n";
				echo '</div>' . "\n";
			echo '</div>' . "\n";
		echo '</div>' . "\n";
    echo '</div>' . "\n";
?>
	</form>
<?php
if ($this->rgconf->box == 'None')
	echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
else
	echo rg_html::boxbottom();
	
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>