<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

if ($this->cityname && $this->cityname[0]->lat) {
	$region = "states";
	$base = array(
		'lat' => $this->cityname[0]->lat,
		'lon' => $this->cityname[0]->lon,
		'zoom' => $this->cityname[0]->zoom,
		'maptype' => $this->hgconf->maptype
	);

	echo rg_html::showmap($this->rgconf, $base, $this->cityname, $region, $this->states->name, false, false, $this->rgconf->map_adsense, $this->rgconf->states_publisher_id, $this->rgconf->states_ad_slot);

	
	if ($this->rgconf->mapheight)
		$height = $this->rgconf->mapheight;
	else
		$height = 450;

	echo rg_html::boxtop();
	
		echo '<h3 class="title">';  
		echo JText::_('RG_FIND_CITY_BY_MAP'); 
		echo '</h3>';
		
		echo '<div id="map_container" style="width:100%">';
			echo '<div id="sidebar" style="overflow: auto; height: '.$height.'px; font-size: 11px; color: #000; float:left; width:150px; text-align:left; background-color:#fff;"></div>';
			echo '<div id="map_canvas" style="width:auto; height:'.$height.'px; overflow: hidden; "></div>';
		echo '</div>';

	echo rg_html::boxbottom();
}
?>
