<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<script type="text/javascript">

	function tableOrdering( order, dir, task )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.getElementById("adminForm").submit( task );
	}
</script>



<form action="<?php echo $this->action; ?>" method="post" id="adminForm">

	<div id="rg_filter" class="floattext">
		<div class="rg_fleft">
			<?php
			echo JText::_('RG_RESTAURANTSPERPAGE').'&nbsp;';
			echo $this->pageNav->getLimitBox();
			?>
		</div>
		<div class="rg_fright">
        	<?php 
        	echo JText::_('RG_SORT_BY').'&nbsp;';
            echo "{$this->lists['class']}"; ?>
		</div>
	</div>

<?php 

	echo rg_html::boxtop();
/*
	echo '<h3 class="title">';
		if ($this->filter_class == 'A' || $this->filter_class == 'B')
			echo $restaurants[0]->starrate.'&nbsp;'.JText::_('STAR').'&nbsp;'.$this->category->title;
		else if ($this->filter_class == 'E' || $this->filter_class == 'F')
			echo $restaurants[0]->restauranttype;
		else if ($this->filter_class == 'G' || $this->filter_class == 'H') {
			if ($restaurants[0]->chain)
				echo $restaurants[0]->chain;
			else
				echo JText::_('OTHERS');
		}
	echo '</h3>' . "\n";
*/
	foreach($this->children as $restaurants) :
	$k = 0;
	$i = 0;
	if ($this->rgconf->smalllist_thumbwidth)
		$margin = $this->rgconf->smalllist_thumbwidth + 10;
	else
		$margin = 74;
	
	echo '<div class="itembox">' . "\n";
	
	foreach($restaurants as $item) {
						
		if ($k == 0) 
			echo '<div class="titlerow" style="background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_light.png) 0 0 repeat;">' . "\n";
		else
			echo '<div class="titlerow" style="background: transparent url('.JURI::base() .'components/com_restaurantguide/assets/images/back_dark.png) 0 0 repeat;">' . "\n";
				echo '<div class="leftcell">' . "\n";
					echo '<div class="inner">' . "\n";
					$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($item->slug, $this->category->slug) );

					if ($item->mainimage) {
						echo '<a href="'. $link.'"><img class="listimage" style="padding: 4px; background: #e9e8ca; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'images/restaurantguide/gallery/restaurant_'.$item->id.'/thumb/'.$item->mainimage.'" title="'.htmlentities($item->title).'" alt="'.htmlentities($item->title).'" /></a>';
					} else {
						echo '<a href="'. $link.'"><img class="listimage" style="padding: 4px; background: #e9e8ca; border-color:'.$this->rgconf->bordercolor.'" src="'.JURI::base() .'components/com_restaurantguide/assets/images/no_thumb.gif" width="'.$margin.'px"; title="No Image" alt="No Image"/></a>';	
					}
					
				echo '</div>' . "\n";
			echo '</div>' . "\n";
			echo '<div class="centercell">' . "\n";
				echo '<div class="inner">' . "\n";
					
					echo '<p style="position:relative;" ><a class="titleitem" href="'. $link.'">';
					echo stripslashes($item->title);
					echo '</a>';
					echo '<span class="small" style="position:absolute; right: 5px;">'; 
					if ($item->hits==1) echo JText::_('RG_VISIT');
					if ($item->hits>1) echo JText::sprintf('RG_VISITS',$item->hits);
					echo '</span></p>' . "\n";

					echo '<p class="cat">';	
						if ($item->facilities && $this->rgconf->facilityicon == 1) {
							$query="SELECT * FROM #__rg_facilities WHERE id IN (".$item->facilities.")";
							$this->db->setQuery($query);
							$facilityDetails = $this->db->loadObjectList();
							if ( $facilityDetails != NULL )
							{
								foreach ( $facilityDetails as $facilityDetail )
								{ 
									if (!$facilityDetail->pictogram) continue;
									echo '<img src="'.JURI::base() .'images/restaurantguide/pictogram/'.$facilityDetail->pictogram.'" width="17px" alt="'.htmlentities($facilityDetail->name).'" title="'.htmlentities($facilityDetail->name).'" />';
								}
								echo '<br />';
							}
						}
						if ($item->city) echo "<strong>" .JText::_('RG_CITY'). ":</strong>&nbsp;". $item->city . "&nbsp;&nbsp;&nbsp;&nbsp;"; 	
						if ($item->country) {
							$countrycode = restaurantguideList::countryCodesArray();
							echo "<strong>" .JText::_('RG_COUNTRY'). ":</strong>&nbsp;". JText::_($countrycode[$item->country]). "<br />"; 
						}
						if ($this->rgconf->max_char_restaurant)
							$limitchar = $this->rgconf->max_char_restaurant;
						else
							$limitchar = 250;
						if ($item->intro) echo RGUtil::introtext(strip_tags($item->intro), $limitchar); 
					echo '</p>';		
				echo '</div>';				
			echo '</div>' . "\n";
			
			if ($item->featured > 0)
				echo '<div class="rightcell" style="vertical-align: top;">' . "\n";
			else
				echo '<div class="rightcell" style="vertical-align: middle;">' . "\n";
/*				if ($item->featured == 1) {
					echo '<img src="'.JURI::base() .'components/com_restaurantguide/assets/images/best.png" title="'.JTEXT::_('BEST').'" alt="'.JTEXT::_('BEST').'" />';
				} else if ($item->featured == 2) {
					echo '<img src="'.JURI::base() .'components/com_restaurantguide/assets/images/hot.png" title="'.JTEXT::_('HOT').'" alt="'.JTEXT::_('HOT').'" />';
				} else if ($item->featured == 3) {
					echo '<img src="'.JURI::base() .'components/com_restaurantguide/assets/images/choice.png" title="'.JTEXT::_('CHOICE').'" alt="'.JTEXT::_('CHOISE').'" />';
				} else if ($item->featured == 4) {
					echo '<img src="'.JURI::base() .'components/com_restaurantguide/assets/images/deal.png" title="'.JTEXT::_('DEAL').'" alt="'.JTEXT::_('DEAL').'" />';
				} */
//				if ($item->featured > 0)
//					echo '<div class="trans">' . "\n";
//				else
					echo '<div class="inner">' . "\n";
/*					
					if ($item->snoprice || $item->sloprice) {
						echo '<div class="ratingIcon" style="font-weight:bold; font-size:12px; text-align:center; background-color:'.$this->rgconf->priceboxcolor.'; border-color:'.$this->rgconf->pricebordercolor.';">';
						echo '<p style="font-size:20px; font-weight:bold; text-align:center;">';	
						echo '<span style="font-size:11px; font-weight:normal; ">'.JTEXT::_('FROM').'</span>';
						if ($item->snoprice && $item->sloprice)
							echo min($item->snoprice, $item->sloprice);
						else if ($item->snoprice && !$item->sloprice)
							echo $item->snoprice;
						else if (!$item->snoprice && $item->sloprice)
							echo $item->sloprice;

						echo '<span style="font-size:12px; font-weight:bold; text-align:center;">';	
						echo $item->currency;
						echo '</span>';
						echo '</p>';
						echo '</div>';
					}
*/					
					echo '<div class="ratingIcon" style="font-weight:bold; font-size:12px; text-align:center; background-color:'.$this->rgconf->priceboxcolor.'; border-color:'.$this->rgconf->pricebordercolor.';">';
					echo rg_html::categoryratingbar($item);
					echo '<p style="font-size:10px; font-weight:normal; text-align:center;">';	
					echo JText::sprintf('RG_USERS_RATING',$item->rate); 
					echo '</P>';
					echo '</div>';
				echo '</div>';
			echo '</div>' . "\n";
		echo '</div>' . "\n";
		
		$i++;
		$k = 1 - $k; 
	}
	echo '</div>' . "\n";
	endforeach;

	echo rg_html::boxbottom();

//}
?>

<p>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="category" />
<input type="hidden" name="task" value="" />

</p>
</form>